
module c5gt_fpga_bup_qsys (
	button_pio_out_export,
	cfi_flash_atb_bridge_0_out_tcm_address_out,
	cfi_flash_atb_bridge_0_out_tcm_read_n_out,
	cfi_flash_atb_bridge_0_out_tcm_write_n_out,
	cfi_flash_atb_bridge_0_out_tcm_data_out,
	cfi_flash_atb_bridge_0_out_tcm_chipselect_n_out,
	clkin_50_clk,
	cpu_jtag_debug_module_reset_reset,
	dipsw_pio_out_1_export,
	enet_pll_locked_export,
	enet_pll_outclk0_clk,
	enet_pll_outclk1_clk,
	enet_pll_outclk2_clk,
	enet_pll_reset_reset,
	led_pio_out_export,
	merged_resets_in_reset_reset_n,
	opencores_i2c_lcd_export_scl_pad_io,
	opencores_i2c_lcd_export_sda_pad_io,
	tse_mac_mac_mdio_connection_mdc,
	tse_mac_mac_mdio_connection_mdio_in,
	tse_mac_mac_mdio_connection_mdio_out,
	tse_mac_mac_mdio_connection_mdio_oen,
	tse_mac_mac_rgmii_connection_rgmii_in,
	tse_mac_mac_rgmii_connection_rgmii_out,
	tse_mac_mac_rgmii_connection_rx_control,
	tse_mac_mac_rgmii_connection_tx_control,
	tse_mac_mac_status_connection_set_10,
	tse_mac_mac_status_connection_set_1000,
	tse_mac_mac_status_connection_eth_mode,
	tse_mac_mac_status_connection_ena_10,
	tse_mac_pcs_mac_rx_clock_connection_clk,
	tse_mac_pcs_mac_tx_clock_connection_clk);	

	input	[2:0]	button_pio_out_export;
	output	[26:0]	cfi_flash_atb_bridge_0_out_tcm_address_out;
	output	[0:0]	cfi_flash_atb_bridge_0_out_tcm_read_n_out;
	output	[0:0]	cfi_flash_atb_bridge_0_out_tcm_write_n_out;
	inout	[15:0]	cfi_flash_atb_bridge_0_out_tcm_data_out;
	output	[0:0]	cfi_flash_atb_bridge_0_out_tcm_chipselect_n_out;
	input		clkin_50_clk;
	output		cpu_jtag_debug_module_reset_reset;
	input	[7:0]	dipsw_pio_out_1_export;
	output		enet_pll_locked_export;
	output		enet_pll_outclk0_clk;
	output		enet_pll_outclk1_clk;
	output		enet_pll_outclk2_clk;
	input		enet_pll_reset_reset;
	output	[7:0]	led_pio_out_export;
	input		merged_resets_in_reset_reset_n;
	inout		opencores_i2c_lcd_export_scl_pad_io;
	inout		opencores_i2c_lcd_export_sda_pad_io;
	output		tse_mac_mac_mdio_connection_mdc;
	input		tse_mac_mac_mdio_connection_mdio_in;
	output		tse_mac_mac_mdio_connection_mdio_out;
	output		tse_mac_mac_mdio_connection_mdio_oen;
	input	[3:0]	tse_mac_mac_rgmii_connection_rgmii_in;
	output	[3:0]	tse_mac_mac_rgmii_connection_rgmii_out;
	input		tse_mac_mac_rgmii_connection_rx_control;
	output		tse_mac_mac_rgmii_connection_tx_control;
	input		tse_mac_mac_status_connection_set_10;
	input		tse_mac_mac_status_connection_set_1000;
	output		tse_mac_mac_status_connection_eth_mode;
	output		tse_mac_mac_status_connection_ena_10;
	input		tse_mac_pcs_mac_rx_clock_connection_clk;
	input		tse_mac_pcs_mac_tx_clock_connection_clk;
endmodule
