
module q_sys (
	clk_clk,
	reset_reset_n,
	fm_out_flash_oen,
	fm_out_tb_data,
	fm_out_max_csn,
	fm_out_flash_csn,
	fm_out_max_wen,
	fm_out_flash_wen,
	fm_out_tb_address,
	fm_out_max_oen,
	pio_pb_export,
	pio_dipsw_export,
	pio_led_export,
	opencores_i2c_0_export_0_scl_pad_io,
	opencores_i2c_0_export_0_sda_pad_io);	

	input		clk_clk;
	input		reset_reset_n;
	output	[0:0]	fm_out_flash_oen;
	inout	[15:0]	fm_out_tb_data;
	output	[0:0]	fm_out_max_csn;
	output	[0:0]	fm_out_flash_csn;
	output	[0:0]	fm_out_max_wen;
	output	[0:0]	fm_out_flash_wen;
	output	[26:0]	fm_out_tb_address;
	output	[0:0]	fm_out_max_oen;
	input	[2:0]	pio_pb_export;
	input	[7:0]	pio_dipsw_export;
	output	[7:0]	pio_led_export;
	inout		opencores_i2c_0_export_0_scl_pad_io;
	inout		opencores_i2c_0_export_0_sda_pad_io;
endmodule
