// q_sys.v

// Generated using ACDS version 22.1 915

`timescale 1 ps / 1 ps
module q_sys (
		input  wire        clk_clk,                             //                      clk.clk
		output wire [0:0]  fm_out_flash_oen,                    //                   fm_out.flash_oen
		inout  wire [15:0] fm_out_tb_data,                      //                         .tb_data
		output wire [0:0]  fm_out_max_csn,                      //                         .max_csn
		output wire [0:0]  fm_out_flash_csn,                    //                         .flash_csn
		output wire [0:0]  fm_out_max_wen,                      //                         .max_wen
		output wire [0:0]  fm_out_flash_wen,                    //                         .flash_wen
		output wire [26:0] fm_out_tb_address,                   //                         .tb_address
		output wire [0:0]  fm_out_max_oen,                      //                         .max_oen
		inout  wire        opencores_i2c_0_export_0_scl_pad_io, // opencores_i2c_0_export_0.scl_pad_io
		inout  wire        opencores_i2c_0_export_0_sda_pad_io, //                         .sda_pad_io
		input  wire [7:0]  pio_dipsw_export,                    //                pio_dipsw.export
		output wire [7:0]  pio_led_export,                      //                  pio_led.export
		input  wire [2:0]  pio_pb_export,                       //                   pio_pb.export
		input  wire        reset_reset_n                        //                    reset.reset_n
	);

	wire         pin_sharer_tcm_request;                                       // pin_sharer:request -> fm:request
	wire  [15:0] pin_sharer_tcm_tb_data_out;                                   // pin_sharer:tb_data -> fm:tcs_tb_data
	wire   [0:0] pin_sharer_tcm_flash_wen_out;                                 // pin_sharer:flash_wen -> fm:tcs_flash_wen
	wire         pin_sharer_tcm_tb_data_outen;                                 // pin_sharer:tb_data_outen -> fm:tcs_tb_data_outen
	wire   [0:0] pin_sharer_tcm_max_oen_out;                                   // pin_sharer:max_oen -> fm:tcs_max_oen
	wire  [26:0] pin_sharer_tcm_tb_address_out;                                // pin_sharer:tb_address -> fm:tcs_tb_address
	wire   [0:0] pin_sharer_tcm_max_wen_out;                                   // pin_sharer:max_wen -> fm:tcs_max_wen
	wire  [15:0] pin_sharer_tcm_tb_data_in;                                    // fm:tcs_tb_data_in -> pin_sharer:tb_data_in
	wire   [0:0] pin_sharer_tcm_flash_csn_out;                                 // pin_sharer:flash_csn -> fm:tcs_flash_csn
	wire   [0:0] pin_sharer_tcm_flash_oen_out;                                 // pin_sharer:flash_oen -> fm:tcs_flash_oen
	wire   [0:0] pin_sharer_tcm_max_csn_out;                                   // pin_sharer:max_csn -> fm:tcs_max_csn
	wire         pin_sharer_tcm_grant;                                         // fm:grant -> pin_sharer:grant
	wire         flash_tcm_data_outen;                                         // flash:tcm_data_outen -> pin_sharer:tcs0_data_outen
	wire         flash_tcm_request;                                            // flash:tcm_request -> pin_sharer:tcs0_request
	wire         flash_tcm_write_n_out;                                        // flash:tcm_write_n_out -> pin_sharer:tcs0_write_n_out
	wire         flash_tcm_read_n_out;                                         // flash:tcm_read_n_out -> pin_sharer:tcs0_read_n_out
	wire         flash_tcm_grant;                                              // pin_sharer:tcs0_grant -> flash:tcm_grant
	wire         flash_tcm_chipselect_n_out;                                   // flash:tcm_chipselect_n_out -> pin_sharer:tcs0_chipselect_n_out
	wire  [26:0] flash_tcm_address_out;                                        // flash:tcm_address_out -> pin_sharer:tcs0_address_out
	wire  [15:0] flash_tcm_data_out;                                           // flash:tcm_data_out -> pin_sharer:tcs0_data_out
	wire  [15:0] flash_tcm_data_in;                                            // pin_sharer:tcs0_data_in -> flash:tcm_data_in
	wire         max_tcm_data_outen;                                           // max:tcm_data_outen -> pin_sharer:tcs1_data_outen
	wire         max_tcm_request;                                              // max:tcm_request -> pin_sharer:tcs1_request
	wire         max_tcm_write_n_out;                                          // max:tcm_write_n_out -> pin_sharer:tcs1_write_n_out
	wire         max_tcm_read_n_out;                                           // max:tcm_read_n_out -> pin_sharer:tcs1_read_n_out
	wire         max_tcm_grant;                                                // pin_sharer:tcs1_grant -> max:tcm_grant
	wire         max_tcm_chipselect_n_out;                                     // max:tcm_chipselect_n_out -> pin_sharer:tcs1_chipselect_n_out
	wire   [5:0] max_tcm_address_out;                                          // max:tcm_address_out -> pin_sharer:tcs1_address_out
	wire  [15:0] max_tcm_data_out;                                             // max:tcm_data_out -> pin_sharer:tcs1_data_out
	wire  [15:0] max_tcm_data_in;                                              // pin_sharer:tcs1_data_in -> max:tcm_data_in
	wire         i2c_cont_bridge_0_avalon_master_chipselect;                   // i2c_cont_bridge_0:mstr_en_n -> mm_interconnect_0:i2c_cont_bridge_0_avalon_master_chipselect
	wire  [31:0] i2c_cont_bridge_0_avalon_master_readdata;                     // mm_interconnect_0:i2c_cont_bridge_0_avalon_master_readdata -> i2c_cont_bridge_0:mstr_data_in
	wire         i2c_cont_bridge_0_avalon_master_waitrequest;                  // mm_interconnect_0:i2c_cont_bridge_0_avalon_master_waitrequest -> i2c_cont_bridge_0:mstr_waitrequest_n
	wire  [10:0] i2c_cont_bridge_0_avalon_master_address;                      // i2c_cont_bridge_0:mstr_address -> mm_interconnect_0:i2c_cont_bridge_0_avalon_master_address
	wire         i2c_cont_bridge_0_avalon_master_read;                         // i2c_cont_bridge_0:mstr_read_n -> mm_interconnect_0:i2c_cont_bridge_0_avalon_master_read
	wire         i2c_cont_bridge_0_avalon_master_write;                        // i2c_cont_bridge_0:mstr_write_n -> mm_interconnect_0:i2c_cont_bridge_0_avalon_master_write
	wire  [31:0] i2c_cont_bridge_0_avalon_master_writedata;                    // i2c_cont_bridge_0:mstr_data_out -> mm_interconnect_0:i2c_cont_bridge_0_avalon_master_writedata
	wire  [31:0] master_0_master_readdata;                                     // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                  // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                      // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                         // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                   // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                                // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                        // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                    // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect;  // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_chipselect -> opencores_i2c_0:wb_stb_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata;    // opencores_i2c_0:wb_dat_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_readdata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest; // opencores_i2c_0:wb_ack_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_waitrequest
	wire   [2:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address;     // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_address -> opencores_i2c_0:wb_adr_i
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write;       // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_write -> opencores_i2c_0:wb_we_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata;   // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_writedata -> opencores_i2c_0:wb_dat_i
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect;   // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;     // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;      // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;         // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire         mm_interconnect_0_pio_led_s1_chipselect;                      // mm_interconnect_0:pio_led_s1_chipselect -> pio_led:chipselect
	wire  [31:0] mm_interconnect_0_pio_led_s1_readdata;                        // pio_led:readdata -> mm_interconnect_0:pio_led_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_led_s1_address;                         // mm_interconnect_0:pio_led_s1_address -> pio_led:address
	wire         mm_interconnect_0_pio_led_s1_write;                           // mm_interconnect_0:pio_led_s1_write -> pio_led:write_n
	wire  [31:0] mm_interconnect_0_pio_led_s1_writedata;                       // mm_interconnect_0:pio_led_s1_writedata -> pio_led:writedata
	wire  [31:0] mm_interconnect_0_pio_dipsw_s1_readdata;                      // pio_dipsw:readdata -> mm_interconnect_0:pio_dipsw_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_dipsw_s1_address;                       // mm_interconnect_0:pio_dipsw_s1_address -> pio_dipsw:address
	wire  [31:0] mm_interconnect_0_pio_pb_s1_readdata;                         // pio_pb:readdata -> mm_interconnect_0:pio_pb_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_pb_s1_address;                          // mm_interconnect_0:pio_pb_s1_address -> pio_pb:address
	wire         mm_interconnect_0_i2c_cont_bridge_0_slv_chipselect;           // mm_interconnect_0:i2c_cont_bridge_0_slv_chipselect -> i2c_cont_bridge_0:slv_en_n
	wire  [31:0] mm_interconnect_0_i2c_cont_bridge_0_slv_readdata;             // i2c_cont_bridge_0:slv_data_out -> mm_interconnect_0:i2c_cont_bridge_0_slv_readdata
	wire         mm_interconnect_0_i2c_cont_bridge_0_slv_waitrequest;          // i2c_cont_bridge_0:slv_waitrequest_n -> mm_interconnect_0:i2c_cont_bridge_0_slv_waitrequest
	wire   [9:0] mm_interconnect_0_i2c_cont_bridge_0_slv_address;              // mm_interconnect_0:i2c_cont_bridge_0_slv_address -> i2c_cont_bridge_0:slv_address
	wire         mm_interconnect_0_i2c_cont_bridge_0_slv_read;                 // mm_interconnect_0:i2c_cont_bridge_0_slv_read -> i2c_cont_bridge_0:slv_read_n
	wire         mm_interconnect_0_i2c_cont_bridge_0_slv_write;                // mm_interconnect_0:i2c_cont_bridge_0_slv_write -> i2c_cont_bridge_0:slv_write_n
	wire  [31:0] mm_interconnect_0_i2c_cont_bridge_0_slv_writedata;            // mm_interconnect_0:i2c_cont_bridge_0_slv_writedata -> i2c_cont_bridge_0:slv_data_in
	wire  [15:0] mm_interconnect_0_max_uas_readdata;                           // max:uas_readdata -> mm_interconnect_0:max_uas_readdata
	wire         mm_interconnect_0_max_uas_waitrequest;                        // max:uas_waitrequest -> mm_interconnect_0:max_uas_waitrequest
	wire         mm_interconnect_0_max_uas_debugaccess;                        // mm_interconnect_0:max_uas_debugaccess -> max:uas_debugaccess
	wire   [5:0] mm_interconnect_0_max_uas_address;                            // mm_interconnect_0:max_uas_address -> max:uas_address
	wire         mm_interconnect_0_max_uas_read;                               // mm_interconnect_0:max_uas_read -> max:uas_read
	wire   [1:0] mm_interconnect_0_max_uas_byteenable;                         // mm_interconnect_0:max_uas_byteenable -> max:uas_byteenable
	wire         mm_interconnect_0_max_uas_readdatavalid;                      // max:uas_readdatavalid -> mm_interconnect_0:max_uas_readdatavalid
	wire         mm_interconnect_0_max_uas_lock;                               // mm_interconnect_0:max_uas_lock -> max:uas_lock
	wire         mm_interconnect_0_max_uas_write;                              // mm_interconnect_0:max_uas_write -> max:uas_write
	wire  [15:0] mm_interconnect_0_max_uas_writedata;                          // mm_interconnect_0:max_uas_writedata -> max:uas_writedata
	wire   [1:0] mm_interconnect_0_max_uas_burstcount;                         // mm_interconnect_0:max_uas_burstcount -> max:uas_burstcount
	wire  [15:0] mm_interconnect_0_flash_uas_readdata;                         // flash:uas_readdata -> mm_interconnect_0:flash_uas_readdata
	wire         mm_interconnect_0_flash_uas_waitrequest;                      // flash:uas_waitrequest -> mm_interconnect_0:flash_uas_waitrequest
	wire         mm_interconnect_0_flash_uas_debugaccess;                      // mm_interconnect_0:flash_uas_debugaccess -> flash:uas_debugaccess
	wire  [26:0] mm_interconnect_0_flash_uas_address;                          // mm_interconnect_0:flash_uas_address -> flash:uas_address
	wire         mm_interconnect_0_flash_uas_read;                             // mm_interconnect_0:flash_uas_read -> flash:uas_read
	wire   [1:0] mm_interconnect_0_flash_uas_byteenable;                       // mm_interconnect_0:flash_uas_byteenable -> flash:uas_byteenable
	wire         mm_interconnect_0_flash_uas_readdatavalid;                    // flash:uas_readdatavalid -> mm_interconnect_0:flash_uas_readdatavalid
	wire         mm_interconnect_0_flash_uas_lock;                             // mm_interconnect_0:flash_uas_lock -> flash:uas_lock
	wire         mm_interconnect_0_flash_uas_write;                            // mm_interconnect_0:flash_uas_write -> flash:uas_write
	wire  [15:0] mm_interconnect_0_flash_uas_writedata;                        // mm_interconnect_0:flash_uas_writedata -> flash:uas_writedata
	wire   [1:0] mm_interconnect_0_flash_uas_burstcount;                       // mm_interconnect_0:flash_uas_burstcount -> flash:uas_burstcount
	wire         rst_controller_reset_out_reset;                               // rst_controller:reset_out -> [flash:reset_reset, fm:reset, i2c_cont_bridge_0:reset_n, max:reset_reset, mm_interconnect_0:i2c_cont_bridge_0_reset_reset_bridge_in_reset_reset, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, opencores_i2c_0:wb_rst_i, pin_sharer:reset_reset, pio_dipsw:reset_n, pio_led:reset_n, pio_pb:reset_n, product_info_0:reset_n]

	q_sys_flash #(
		.TCM_ADDRESS_W                  (27),
		.TCM_DATA_W                     (16),
		.TCM_BYTEENABLE_W               (2),
		.TCM_READ_WAIT                  (100),
		.TCM_WRITE_WAIT                 (100),
		.TCM_SETUP_WAIT                 (25),
		.TCM_DATA_HOLD                  (20),
		.TCM_TURNAROUND_TIME            (2),
		.TCM_TIMING_UNITS               (0),
		.TCM_READLATENCY                (2),
		.TCM_SYMBOLS_PER_WORD           (2),
		.USE_READDATA                   (1),
		.USE_WRITEDATA                  (1),
		.USE_READ                       (1),
		.USE_WRITE                      (1),
		.USE_BYTEENABLE                 (0),
		.USE_CHIPSELECT                 (1),
		.USE_LOCK                       (0),
		.USE_ADDRESS                    (1),
		.USE_WAITREQUEST                (0),
		.USE_WRITEBYTEENABLE            (0),
		.USE_OUTPUTENABLE               (0),
		.USE_RESETREQUEST               (0),
		.USE_IRQ                        (0),
		.USE_RESET_OUTPUT               (0),
		.ACTIVE_LOW_READ                (1),
		.ACTIVE_LOW_LOCK                (0),
		.ACTIVE_LOW_WRITE               (1),
		.ACTIVE_LOW_CHIPSELECT          (1),
		.ACTIVE_LOW_BYTEENABLE          (0),
		.ACTIVE_LOW_OUTPUTENABLE        (0),
		.ACTIVE_LOW_WRITEBYTEENABLE     (0),
		.ACTIVE_LOW_WAITREQUEST         (0),
		.ACTIVE_LOW_BEGINTRANSFER       (0),
		.CHIPSELECT_THROUGH_READLATENCY (0)
	) flash (
		.clk_clk              (clk_clk),                                   //   clk.clk
		.reset_reset          (rst_controller_reset_out_reset),            // reset.reset
		.uas_address          (mm_interconnect_0_flash_uas_address),       //   uas.address
		.uas_burstcount       (mm_interconnect_0_flash_uas_burstcount),    //      .burstcount
		.uas_read             (mm_interconnect_0_flash_uas_read),          //      .read
		.uas_write            (mm_interconnect_0_flash_uas_write),         //      .write
		.uas_waitrequest      (mm_interconnect_0_flash_uas_waitrequest),   //      .waitrequest
		.uas_readdatavalid    (mm_interconnect_0_flash_uas_readdatavalid), //      .readdatavalid
		.uas_byteenable       (mm_interconnect_0_flash_uas_byteenable),    //      .byteenable
		.uas_readdata         (mm_interconnect_0_flash_uas_readdata),      //      .readdata
		.uas_writedata        (mm_interconnect_0_flash_uas_writedata),     //      .writedata
		.uas_lock             (mm_interconnect_0_flash_uas_lock),          //      .lock
		.uas_debugaccess      (mm_interconnect_0_flash_uas_debugaccess),   //      .debugaccess
		.tcm_write_n_out      (flash_tcm_write_n_out),                     //   tcm.write_n_out
		.tcm_read_n_out       (flash_tcm_read_n_out),                      //      .read_n_out
		.tcm_chipselect_n_out (flash_tcm_chipselect_n_out),                //      .chipselect_n_out
		.tcm_request          (flash_tcm_request),                         //      .request
		.tcm_grant            (flash_tcm_grant),                           //      .grant
		.tcm_address_out      (flash_tcm_address_out),                     //      .address_out
		.tcm_data_out         (flash_tcm_data_out),                        //      .data_out
		.tcm_data_outen       (flash_tcm_data_outen),                      //      .data_outen
		.tcm_data_in          (flash_tcm_data_in)                          //      .data_in
	);

	q_sys_fm fm (
		.clk               (clk_clk),                        //   clk.clk
		.reset             (rst_controller_reset_out_reset), // reset.reset
		.request           (pin_sharer_tcm_request),         //   tcs.request
		.grant             (pin_sharer_tcm_grant),           //      .grant
		.tcs_flash_oen     (pin_sharer_tcm_flash_oen_out),   //      .flash_oen_out
		.tcs_tb_data       (pin_sharer_tcm_tb_data_out),     //      .tb_data_out
		.tcs_tb_data_outen (pin_sharer_tcm_tb_data_outen),   //      .tb_data_outen
		.tcs_tb_data_in    (pin_sharer_tcm_tb_data_in),      //      .tb_data_in
		.tcs_max_csn       (pin_sharer_tcm_max_csn_out),     //      .max_csn_out
		.tcs_flash_csn     (pin_sharer_tcm_flash_csn_out),   //      .flash_csn_out
		.tcs_max_wen       (pin_sharer_tcm_max_wen_out),     //      .max_wen_out
		.tcs_flash_wen     (pin_sharer_tcm_flash_wen_out),   //      .flash_wen_out
		.tcs_tb_address    (pin_sharer_tcm_tb_address_out),  //      .tb_address_out
		.tcs_max_oen       (pin_sharer_tcm_max_oen_out),     //      .max_oen_out
		.flash_oen         (fm_out_flash_oen),               //   out.flash_oen
		.tb_data           (fm_out_tb_data),                 //      .tb_data
		.max_csn           (fm_out_max_csn),                 //      .max_csn
		.flash_csn         (fm_out_flash_csn),               //      .flash_csn
		.max_wen           (fm_out_max_wen),                 //      .max_wen
		.flash_wen         (fm_out_flash_wen),               //      .flash_wen
		.tb_address        (fm_out_tb_address),              //      .tb_address
		.max_oen           (fm_out_max_oen)                  //      .max_oen
	);

	i2c_cont_bridge i2c_cont_bridge_0 (
		.reset_n            (~rst_controller_reset_out_reset),                     //         reset.reset_n
		.clk                (clk_clk),                                             //         clock.clk
		.slv_address        (mm_interconnect_0_i2c_cont_bridge_0_slv_address),     //           slv.address
		.slv_read_n         (~mm_interconnect_0_i2c_cont_bridge_0_slv_read),       //              .read_n
		.slv_write_n        (~mm_interconnect_0_i2c_cont_bridge_0_slv_write),      //              .write_n
		.slv_data_in        (mm_interconnect_0_i2c_cont_bridge_0_slv_writedata),   //              .writedata
		.slv_waitrequest_n  (mm_interconnect_0_i2c_cont_bridge_0_slv_waitrequest), //              .waitrequest_n
		.slv_data_out       (mm_interconnect_0_i2c_cont_bridge_0_slv_readdata),    //              .readdata
		.slv_en_n           (~mm_interconnect_0_i2c_cont_bridge_0_slv_chipselect), //              .chipselect_n
		.mstr_en_n          (i2c_cont_bridge_0_avalon_master_chipselect),          // avalon_master.chipselect_n
		.mstr_address       (i2c_cont_bridge_0_avalon_master_address),             //              .address
		.mstr_write_n       (i2c_cont_bridge_0_avalon_master_write),               //              .write_n
		.mstr_read_n        (i2c_cont_bridge_0_avalon_master_read),                //              .read_n
		.mstr_data_in       (i2c_cont_bridge_0_avalon_master_readdata),            //              .readdata
		.mstr_data_out      (i2c_cont_bridge_0_avalon_master_writedata),           //              .writedata
		.mstr_waitrequest_n (~i2c_cont_bridge_0_avalon_master_waitrequest)         //              .waitrequest_n
	);

	q_sys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_clk),                       //          clk.clk
		.clk_reset_reset      (~reset_reset_n),                //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	q_sys_max #(
		.TCM_ADDRESS_W                  (6),
		.TCM_DATA_W                     (16),
		.TCM_BYTEENABLE_W               (2),
		.TCM_READ_WAIT                  (100),
		.TCM_WRITE_WAIT                 (100),
		.TCM_SETUP_WAIT                 (60),
		.TCM_DATA_HOLD                  (20),
		.TCM_TURNAROUND_TIME            (2),
		.TCM_TIMING_UNITS               (0),
		.TCM_READLATENCY                (2),
		.TCM_SYMBOLS_PER_WORD           (2),
		.USE_READDATA                   (1),
		.USE_WRITEDATA                  (1),
		.USE_READ                       (1),
		.USE_WRITE                      (1),
		.USE_BYTEENABLE                 (0),
		.USE_CHIPSELECT                 (1),
		.USE_LOCK                       (0),
		.USE_ADDRESS                    (1),
		.USE_WAITREQUEST                (0),
		.USE_WRITEBYTEENABLE            (0),
		.USE_OUTPUTENABLE               (0),
		.USE_RESETREQUEST               (0),
		.USE_IRQ                        (0),
		.USE_RESET_OUTPUT               (0),
		.ACTIVE_LOW_READ                (1),
		.ACTIVE_LOW_LOCK                (0),
		.ACTIVE_LOW_WRITE               (1),
		.ACTIVE_LOW_CHIPSELECT          (1),
		.ACTIVE_LOW_BYTEENABLE          (0),
		.ACTIVE_LOW_OUTPUTENABLE        (0),
		.ACTIVE_LOW_WRITEBYTEENABLE     (0),
		.ACTIVE_LOW_WAITREQUEST         (0),
		.ACTIVE_LOW_BEGINTRANSFER       (0),
		.CHIPSELECT_THROUGH_READLATENCY (0)
	) max (
		.clk_clk              (clk_clk),                                 //   clk.clk
		.reset_reset          (rst_controller_reset_out_reset),          // reset.reset
		.uas_address          (mm_interconnect_0_max_uas_address),       //   uas.address
		.uas_burstcount       (mm_interconnect_0_max_uas_burstcount),    //      .burstcount
		.uas_read             (mm_interconnect_0_max_uas_read),          //      .read
		.uas_write            (mm_interconnect_0_max_uas_write),         //      .write
		.uas_waitrequest      (mm_interconnect_0_max_uas_waitrequest),   //      .waitrequest
		.uas_readdatavalid    (mm_interconnect_0_max_uas_readdatavalid), //      .readdatavalid
		.uas_byteenable       (mm_interconnect_0_max_uas_byteenable),    //      .byteenable
		.uas_readdata         (mm_interconnect_0_max_uas_readdata),      //      .readdata
		.uas_writedata        (mm_interconnect_0_max_uas_writedata),     //      .writedata
		.uas_lock             (mm_interconnect_0_max_uas_lock),          //      .lock
		.uas_debugaccess      (mm_interconnect_0_max_uas_debugaccess),   //      .debugaccess
		.tcm_write_n_out      (max_tcm_write_n_out),                     //   tcm.write_n_out
		.tcm_read_n_out       (max_tcm_read_n_out),                      //      .read_n_out
		.tcm_chipselect_n_out (max_tcm_chipselect_n_out),                //      .chipselect_n_out
		.tcm_request          (max_tcm_request),                         //      .request
		.tcm_grant            (max_tcm_grant),                           //      .grant
		.tcm_address_out      (max_tcm_address_out),                     //      .address_out
		.tcm_data_out         (max_tcm_data_out),                        //      .data_out
		.tcm_data_outen       (max_tcm_data_outen),                      //      .data_outen
		.tcm_data_in          (max_tcm_data_in)                          //      .data_in
	);

	opencores_i2c opencores_i2c_0 (
		.wb_clk_i   (clk_clk),                                                      //            clock.clk
		.wb_rst_i   (rst_controller_reset_out_reset),                               //      clock_reset.reset
		.scl_pad_io (opencores_i2c_0_export_0_scl_pad_io),                          //         export_0.export
		.sda_pad_io (opencores_i2c_0_export_0_sda_pad_io),                          //                 .export
		.wb_adr_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),     //   avalon_slave_0.address
		.wb_dat_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),   //                 .writedata
		.wb_dat_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),    //                 .readdata
		.wb_we_i    (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),       //                 .write
		.wb_stb_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),  //                 .chipselect
		.wb_ack_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //                 .waitrequest_n
		.wb_inta_o  ()                                                              // interrupt_sender.irq
	);

	q_sys_pin_sharer pin_sharer (
		.clk_clk               (clk_clk),                        //   clk.clk
		.reset_reset           (rst_controller_reset_out_reset), // reset.reset
		.request               (pin_sharer_tcm_request),         //   tcm.request
		.grant                 (pin_sharer_tcm_grant),           //      .grant
		.max_oen               (pin_sharer_tcm_max_oen_out),     //      .max_oen_out
		.max_wen               (pin_sharer_tcm_max_wen_out),     //      .max_wen_out
		.max_csn               (pin_sharer_tcm_max_csn_out),     //      .max_csn_out
		.tb_address            (pin_sharer_tcm_tb_address_out),  //      .tb_address_out
		.flash_oen             (pin_sharer_tcm_flash_oen_out),   //      .flash_oen_out
		.flash_wen             (pin_sharer_tcm_flash_wen_out),   //      .flash_wen_out
		.tb_data               (pin_sharer_tcm_tb_data_out),     //      .tb_data_out
		.tb_data_in            (pin_sharer_tcm_tb_data_in),      //      .tb_data_in
		.tb_data_outen         (pin_sharer_tcm_tb_data_outen),   //      .tb_data_outen
		.flash_csn             (pin_sharer_tcm_flash_csn_out),   //      .flash_csn_out
		.tcs0_request          (flash_tcm_request),              //  tcs0.request
		.tcs0_grant            (flash_tcm_grant),                //      .grant
		.tcs0_address_out      (flash_tcm_address_out),          //      .address_out
		.tcs0_read_n_out       (flash_tcm_read_n_out),           //      .read_n_out
		.tcs0_write_n_out      (flash_tcm_write_n_out),          //      .write_n_out
		.tcs0_data_out         (flash_tcm_data_out),             //      .data_out
		.tcs0_data_in          (flash_tcm_data_in),              //      .data_in
		.tcs0_data_outen       (flash_tcm_data_outen),           //      .data_outen
		.tcs0_chipselect_n_out (flash_tcm_chipselect_n_out),     //      .chipselect_n_out
		.tcs1_request          (max_tcm_request),                //  tcs1.request
		.tcs1_grant            (max_tcm_grant),                  //      .grant
		.tcs1_address_out      (max_tcm_address_out),            //      .address_out
		.tcs1_read_n_out       (max_tcm_read_n_out),             //      .read_n_out
		.tcs1_write_n_out      (max_tcm_write_n_out),            //      .write_n_out
		.tcs1_data_out         (max_tcm_data_out),               //      .data_out
		.tcs1_data_in          (max_tcm_data_in),                //      .data_in
		.tcs1_data_outen       (max_tcm_data_outen),             //      .data_outen
		.tcs1_chipselect_n_out (max_tcm_chipselect_n_out)        //      .chipselect_n_out
	);

	q_sys_pio_dipsw pio_dipsw (
		.clk      (clk_clk),                                 //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address  (mm_interconnect_0_pio_dipsw_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_dipsw_s1_readdata), //                    .readdata
		.in_port  (pio_dipsw_export)                         // external_connection.export
	);

	q_sys_pio_led pio_led (
		.clk        (clk_clk),                                 //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address    (mm_interconnect_0_pio_led_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_pio_led_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_pio_led_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_pio_led_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_pio_led_s1_readdata),   //                    .readdata
		.out_port   (pio_led_export)                           // external_connection.export
	);

	q_sys_pio_pb pio_pb (
		.clk      (clk_clk),                              //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),      //               reset.reset_n
		.address  (mm_interconnect_0_pio_pb_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_pb_s1_readdata), //                    .readdata
		.in_port  (pio_pb_export)                         // external_connection.export
	);

	product_info product_info_0 (
		.clk          (clk_clk),                                                     //       clock_reset.clk
		.reset_n      (~rst_controller_reset_out_reset),                             // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //                  .address
	);

	q_sys_mm_interconnect_0 mm_interconnect_0 (
		.clk_0_clk_clk                                       (clk_clk),                                                       //                                     clk_0_clk.clk
		.i2c_cont_bridge_0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                // i2c_cont_bridge_0_reset_reset_bridge_in_reset.reset
		.master_0_clk_reset_reset_bridge_in_reset_reset      (rst_controller_reset_out_reset),                                //      master_0_clk_reset_reset_bridge_in_reset.reset
		.i2c_cont_bridge_0_avalon_master_address             (i2c_cont_bridge_0_avalon_master_address),                       //               i2c_cont_bridge_0_avalon_master.address
		.i2c_cont_bridge_0_avalon_master_waitrequest         (i2c_cont_bridge_0_avalon_master_waitrequest),                   //                                              .waitrequest
		.i2c_cont_bridge_0_avalon_master_chipselect          (~i2c_cont_bridge_0_avalon_master_chipselect),                   //                                              .chipselect
		.i2c_cont_bridge_0_avalon_master_read                (~i2c_cont_bridge_0_avalon_master_read),                         //                                              .read
		.i2c_cont_bridge_0_avalon_master_readdata            (i2c_cont_bridge_0_avalon_master_readdata),                      //                                              .readdata
		.i2c_cont_bridge_0_avalon_master_write               (~i2c_cont_bridge_0_avalon_master_write),                        //                                              .write
		.i2c_cont_bridge_0_avalon_master_writedata           (i2c_cont_bridge_0_avalon_master_writedata),                     //                                              .writedata
		.master_0_master_address                             (master_0_master_address),                                       //                               master_0_master.address
		.master_0_master_waitrequest                         (master_0_master_waitrequest),                                   //                                              .waitrequest
		.master_0_master_byteenable                          (master_0_master_byteenable),                                    //                                              .byteenable
		.master_0_master_read                                (master_0_master_read),                                          //                                              .read
		.master_0_master_readdata                            (master_0_master_readdata),                                      //                                              .readdata
		.master_0_master_readdatavalid                       (master_0_master_readdatavalid),                                 //                                              .readdatavalid
		.master_0_master_write                               (master_0_master_write),                                         //                                              .write
		.master_0_master_writedata                           (master_0_master_writedata),                                     //                                              .writedata
		.flash_uas_address                                   (mm_interconnect_0_flash_uas_address),                           //                                     flash_uas.address
		.flash_uas_write                                     (mm_interconnect_0_flash_uas_write),                             //                                              .write
		.flash_uas_read                                      (mm_interconnect_0_flash_uas_read),                              //                                              .read
		.flash_uas_readdata                                  (mm_interconnect_0_flash_uas_readdata),                          //                                              .readdata
		.flash_uas_writedata                                 (mm_interconnect_0_flash_uas_writedata),                         //                                              .writedata
		.flash_uas_burstcount                                (mm_interconnect_0_flash_uas_burstcount),                        //                                              .burstcount
		.flash_uas_byteenable                                (mm_interconnect_0_flash_uas_byteenable),                        //                                              .byteenable
		.flash_uas_readdatavalid                             (mm_interconnect_0_flash_uas_readdatavalid),                     //                                              .readdatavalid
		.flash_uas_waitrequest                               (mm_interconnect_0_flash_uas_waitrequest),                       //                                              .waitrequest
		.flash_uas_lock                                      (mm_interconnect_0_flash_uas_lock),                              //                                              .lock
		.flash_uas_debugaccess                               (mm_interconnect_0_flash_uas_debugaccess),                       //                                              .debugaccess
		.i2c_cont_bridge_0_slv_address                       (mm_interconnect_0_i2c_cont_bridge_0_slv_address),               //                         i2c_cont_bridge_0_slv.address
		.i2c_cont_bridge_0_slv_write                         (mm_interconnect_0_i2c_cont_bridge_0_slv_write),                 //                                              .write
		.i2c_cont_bridge_0_slv_read                          (mm_interconnect_0_i2c_cont_bridge_0_slv_read),                  //                                              .read
		.i2c_cont_bridge_0_slv_readdata                      (mm_interconnect_0_i2c_cont_bridge_0_slv_readdata),              //                                              .readdata
		.i2c_cont_bridge_0_slv_writedata                     (mm_interconnect_0_i2c_cont_bridge_0_slv_writedata),             //                                              .writedata
		.i2c_cont_bridge_0_slv_waitrequest                   (~mm_interconnect_0_i2c_cont_bridge_0_slv_waitrequest),          //                                              .waitrequest
		.i2c_cont_bridge_0_slv_chipselect                    (mm_interconnect_0_i2c_cont_bridge_0_slv_chipselect),            //                                              .chipselect
		.max_uas_address                                     (mm_interconnect_0_max_uas_address),                             //                                       max_uas.address
		.max_uas_write                                       (mm_interconnect_0_max_uas_write),                               //                                              .write
		.max_uas_read                                        (mm_interconnect_0_max_uas_read),                                //                                              .read
		.max_uas_readdata                                    (mm_interconnect_0_max_uas_readdata),                            //                                              .readdata
		.max_uas_writedata                                   (mm_interconnect_0_max_uas_writedata),                           //                                              .writedata
		.max_uas_burstcount                                  (mm_interconnect_0_max_uas_burstcount),                          //                                              .burstcount
		.max_uas_byteenable                                  (mm_interconnect_0_max_uas_byteenable),                          //                                              .byteenable
		.max_uas_readdatavalid                               (mm_interconnect_0_max_uas_readdatavalid),                       //                                              .readdatavalid
		.max_uas_waitrequest                                 (mm_interconnect_0_max_uas_waitrequest),                         //                                              .waitrequest
		.max_uas_lock                                        (mm_interconnect_0_max_uas_lock),                                //                                              .lock
		.max_uas_debugaccess                                 (mm_interconnect_0_max_uas_debugaccess),                         //                                              .debugaccess
		.opencores_i2c_0_avalon_slave_0_address              (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),      //                opencores_i2c_0_avalon_slave_0.address
		.opencores_i2c_0_avalon_slave_0_write                (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),        //                                              .write
		.opencores_i2c_0_avalon_slave_0_readdata             (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),     //                                              .readdata
		.opencores_i2c_0_avalon_slave_0_writedata            (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),    //                                              .writedata
		.opencores_i2c_0_avalon_slave_0_waitrequest          (~mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //                                              .waitrequest
		.opencores_i2c_0_avalon_slave_0_chipselect           (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),   //                                              .chipselect
		.pio_dipsw_s1_address                                (mm_interconnect_0_pio_dipsw_s1_address),                        //                                  pio_dipsw_s1.address
		.pio_dipsw_s1_readdata                               (mm_interconnect_0_pio_dipsw_s1_readdata),                       //                                              .readdata
		.pio_led_s1_address                                  (mm_interconnect_0_pio_led_s1_address),                          //                                    pio_led_s1.address
		.pio_led_s1_write                                    (mm_interconnect_0_pio_led_s1_write),                            //                                              .write
		.pio_led_s1_readdata                                 (mm_interconnect_0_pio_led_s1_readdata),                         //                                              .readdata
		.pio_led_s1_writedata                                (mm_interconnect_0_pio_led_s1_writedata),                        //                                              .writedata
		.pio_led_s1_chipselect                               (mm_interconnect_0_pio_led_s1_chipselect),                       //                                              .chipselect
		.pio_pb_s1_address                                   (mm_interconnect_0_pio_pb_s1_address),                           //                                     pio_pb_s1.address
		.pio_pb_s1_readdata                                  (mm_interconnect_0_pio_pb_s1_readdata),                          //                                              .readdata
		.product_info_0_avalon_slave_0_address               (mm_interconnect_0_product_info_0_avalon_slave_0_address),       //                 product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                  (mm_interconnect_0_product_info_0_avalon_slave_0_read),          //                                              .read
		.product_info_0_avalon_slave_0_readdata              (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),      //                                              .readdata
		.product_info_0_avalon_slave_0_chipselect            (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect)     //                                              .chipselect
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (clk_clk),                        //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
