create_clock -name {clkin_50} -period 20.000 -waveform {0 10} {clkin_50}

create_clock -name {altera_reserved_tck} -period 40.800 -waveform { 0.000 20.400 } [get_ports { altera_reserved_tck }]
set_input_delay -clock altera_reserved_tck 5 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck 5 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck -clock_fall -max 5 [get_ports altera_reserved_tdo]

set_false_path -from [get_ports {user_dipsw[*]}] -to *
set_false_path -from [get_ports {user_pb[*]}] -to *

set_false_path -from * -to [get_ports {user_led[*]}]

set_input_delay -clock { clkin_50 } 5 [get_ports {disp_i2c_sda}]
set_input_delay -clock { clkin_50 } 5 [get_ports {disp_i2c_scl}]
set_output_delay -clock { clkin_50 } 2.5 [get_ports {disp_i2c_sda}]
set_output_delay -clock { clkin_50 } 2.5 [get_ports {disp_i2c_scl}]


set_false_path -from fm_d[*] -to *

set_false_path -from * -to flash_cen
set_false_path -from * -to flash_oen
set_false_path -from * -to flash_wen
set_false_path -from * -to fm_a[*]
set_false_path -from * -to fm_d[*]
set_false_path -from * -to max_csn
set_false_path -from * -to max_oen
set_false_path -from * -to max_wen