// q_sys_hmc_0.v

// Generated using ACDS version 15.1 185

`timescale 1 ps / 1 ps
module q_sys_hmc_0 (
		input  wire        clk_50_clk,                                        //                             clk_50.clk
		output wire [13:0] fpga_memory_mem_a,                                 //                        fpga_memory.mem_a
		output wire [2:0]  fpga_memory_mem_ba,                                //                                   .mem_ba
		output wire [0:0]  fpga_memory_mem_ck,                                //                                   .mem_ck
		output wire [0:0]  fpga_memory_mem_ck_n,                              //                                   .mem_ck_n
		output wire [0:0]  fpga_memory_mem_cke,                               //                                   .mem_cke
		output wire [0:0]  fpga_memory_mem_cs_n,                              //                                   .mem_cs_n
		output wire [4:0]  fpga_memory_mem_dm,                                //                                   .mem_dm
		output wire [0:0]  fpga_memory_mem_ras_n,                             //                                   .mem_ras_n
		output wire [0:0]  fpga_memory_mem_cas_n,                             //                                   .mem_cas_n
		output wire [0:0]  fpga_memory_mem_we_n,                              //                                   .mem_we_n
		output wire        fpga_memory_mem_reset_n,                           //                                   .mem_reset_n
		inout  wire [39:0] fpga_memory_mem_dq,                                //                                   .mem_dq
		inout  wire [4:0]  fpga_memory_mem_dqs,                               //                                   .mem_dqs
		inout  wire [4:0]  fpga_memory_mem_dqs_n,                             //                                   .mem_dqs_n
		output wire [0:0]  fpga_memory_mem_odt,                               //                                   .mem_odt
		input  wire        fpga_memory_oct_rzqin,                             //                    fpga_memory_oct.rzqin
		output wire [15:0] fpga_sdram_oct_sharing_seriesterminationcontrol,   //             fpga_sdram_oct_sharing.seriesterminationcontrol
		output wire [15:0] fpga_sdram_oct_sharing_parallelterminationcontrol, //                                   .parallelterminationcontrol
		output wire        master_driver_msgdma_0_conduit_end_error_mon,      // master_driver_msgdma_0_conduit_end.error_mon
		output wire        master_driver_msgdma_0_conduit_end_status_mon,     //                                   .status_mon
		output wire        mm_bridge_0_s0_waitrequest,                        //                     mm_bridge_0_s0.waitrequest
		output wire [31:0] mm_bridge_0_s0_readdata,                           //                                   .readdata
		output wire        mm_bridge_0_s0_readdatavalid,                      //                                   .readdatavalid
		input  wire [0:0]  mm_bridge_0_s0_burstcount,                         //                                   .burstcount
		input  wire [31:0] mm_bridge_0_s0_writedata,                          //                                   .writedata
		input  wire [21:0] mm_bridge_0_s0_address,                            //                                   .address
		input  wire        mm_bridge_0_s0_write,                              //                                   .write
		input  wire        mm_bridge_0_s0_read,                               //                                   .read
		input  wire [3:0]  mm_bridge_0_s0_byteenable,                         //                                   .byteenable
		input  wire        mm_bridge_0_s0_debugaccess,                        //                                   .debugaccess
		output wire        msgdma_0_status_mon_out_cal_fail_mon,              //            msgdma_0_status_mon_out.cal_fail_mon
		output wire        msgdma_0_status_mon_out_cal_success_mon,           //                                   .cal_success_mon
		output wire        msgdma_0_status_mon_out_init_done_mon,             //                                   .init_done_mon
		input  wire        refclk_clk,                                        //                             refclk.clk
		input  wire        reset_reset_n,                                     //                              reset.reset_n
		input  wire        reset_50_reset_n,                                  //                           reset_50.reset_n
		input  wire        tg_reset_n                                         //                                 tg.reset_n
	);

	wire          fpga_sdram_afi_clk_clk;                                   // fpga_sdram:afi_clk -> pll_0:refclk
	wire          pll_0_outclk0_clk;                                        // pll_0:outclk_0 -> [fpga_sdram:csr_clk, fpga_sdram:mp_cmd_clk_0_clk, fpga_sdram:mp_rfifo_clk_0_clk, fpga_sdram:mp_rfifo_clk_1_clk, fpga_sdram:mp_rfifo_clk_2_clk, fpga_sdram:mp_rfifo_clk_3_clk, fpga_sdram:mp_wfifo_clk_0_clk, fpga_sdram:mp_wfifo_clk_1_clk, fpga_sdram:mp_wfifo_clk_2_clk, fpga_sdram:mp_wfifo_clk_3_clk, irq_mapper:clk, mSGDMA_0:clk_clk, master_driver_msgdma_0:clk, mm_interconnect_0:pll_0_outclk0_clk, mm_interconnect_1:pll_0_outclk0_clk, mm_traffic_generator_0:clk, rst_controller:clk, rst_controller_002:clk, rst_controller_003:clk]
	wire          fpga_sdram_status_local_cal_fail;                         // fpga_sdram:local_cal_fail -> mSGDMA_0:status_mon_in_local_cal_fail
	wire          fpga_sdram_status_local_init_done;                        // fpga_sdram:local_init_done -> mSGDMA_0:status_mon_in_local_init_done
	wire          fpga_sdram_status_local_cal_success;                      // fpga_sdram:local_cal_success -> mSGDMA_0:status_mon_in_local_cal_success
	wire          master_driver_msgdma_0_reset_source_reset;                // master_driver_msgdma_0:reset_out -> [mSGDMA_0:reset_reset_n, mm_interconnect_0:mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:mSGDMA_0_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mSGDMA_0_reset_reset_bridge_in_reset_reset]
	wire          master_driver_msgdma_0_avalon_master_chipselect;          // master_driver_msgdma_0:csn -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_chipselect
	wire          master_driver_msgdma_0_avalon_master_waitrequest;         // mm_interconnect_0:master_driver_msgdma_0_avalon_master_waitrequest -> master_driver_msgdma_0:waitrequest_in
	wire   [31:0] master_driver_msgdma_0_avalon_master_readdata;            // mm_interconnect_0:master_driver_msgdma_0_avalon_master_readdata -> master_driver_msgdma_0:data_read
	wire          master_driver_msgdma_0_avalon_master_read;                // master_driver_msgdma_0:oen -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_read
	wire    [3:0] master_driver_msgdma_0_avalon_master_byteenable;          // master_driver_msgdma_0:be -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_byteenable
	wire   [31:0] master_driver_msgdma_0_avalon_master_address;             // master_driver_msgdma_0:address -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_address
	wire          master_driver_msgdma_0_avalon_master_write;               // master_driver_msgdma_0:wen -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_write
	wire   [31:0] master_driver_msgdma_0_avalon_master_writedata;           // master_driver_msgdma_0:data_write -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_writedata
	wire          mm_bridge_0_m0_waitrequest;                               // mm_interconnect_0:mm_bridge_0_m0_waitrequest -> mm_bridge_0:m0_waitrequest
	wire   [31:0] mm_bridge_0_m0_readdata;                                  // mm_interconnect_0:mm_bridge_0_m0_readdata -> mm_bridge_0:m0_readdata
	wire          mm_bridge_0_m0_debugaccess;                               // mm_bridge_0:m0_debugaccess -> mm_interconnect_0:mm_bridge_0_m0_debugaccess
	wire   [21:0] mm_bridge_0_m0_address;                                   // mm_bridge_0:m0_address -> mm_interconnect_0:mm_bridge_0_m0_address
	wire          mm_bridge_0_m0_read;                                      // mm_bridge_0:m0_read -> mm_interconnect_0:mm_bridge_0_m0_read
	wire    [3:0] mm_bridge_0_m0_byteenable;                                // mm_bridge_0:m0_byteenable -> mm_interconnect_0:mm_bridge_0_m0_byteenable
	wire          mm_bridge_0_m0_readdatavalid;                             // mm_interconnect_0:mm_bridge_0_m0_readdatavalid -> mm_bridge_0:m0_readdatavalid
	wire   [31:0] mm_bridge_0_m0_writedata;                                 // mm_bridge_0:m0_writedata -> mm_interconnect_0:mm_bridge_0_m0_writedata
	wire          mm_bridge_0_m0_write;                                     // mm_bridge_0:m0_write -> mm_interconnect_0:mm_bridge_0_m0_write
	wire    [0:0] mm_bridge_0_m0_burstcount;                                // mm_bridge_0:m0_burstcount -> mm_interconnect_0:mm_bridge_0_m0_burstcount
	wire   [31:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata;        // mSGDMA_0:mm_bridge_slv_readdata -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_readdata
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest;     // mSGDMA_0:mm_bridge_slv_waitrequest -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_waitrequest
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess;     // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_debugaccess -> mSGDMA_0:mm_bridge_slv_debugaccess
	wire    [8:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_address;         // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_address -> mSGDMA_0:mm_bridge_slv_address
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_read;            // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_read -> mSGDMA_0:mm_bridge_slv_read
	wire    [3:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable;      // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_byteenable -> mSGDMA_0:mm_bridge_slv_byteenable
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid;   // mSGDMA_0:mm_bridge_slv_readdatavalid -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_readdatavalid
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_write;           // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_write -> mSGDMA_0:mm_bridge_slv_write
	wire   [31:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata;       // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_writedata -> mSGDMA_0:mm_bridge_slv_writedata
	wire    [0:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount;      // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_burstcount -> mSGDMA_0:mm_bridge_slv_burstcount
	wire   [31:0] mm_interconnect_0_master_driver_msgdma_0_csr_readdata;    // master_driver_msgdma_0:csr_readdata -> mm_interconnect_0:master_driver_msgdma_0_csr_readdata
	wire          mm_interconnect_0_master_driver_msgdma_0_csr_waitrequest; // master_driver_msgdma_0:csr_waitrequest -> mm_interconnect_0:master_driver_msgdma_0_csr_waitrequest
	wire    [3:0] mm_interconnect_0_master_driver_msgdma_0_csr_address;     // mm_interconnect_0:master_driver_msgdma_0_csr_address -> master_driver_msgdma_0:csr_address
	wire          mm_interconnect_0_master_driver_msgdma_0_csr_read;        // mm_interconnect_0:master_driver_msgdma_0_csr_read -> master_driver_msgdma_0:csr_read
	wire          mm_interconnect_0_master_driver_msgdma_0_csr_write;       // mm_interconnect_0:master_driver_msgdma_0_csr_write -> master_driver_msgdma_0:csr_write
	wire   [31:0] mm_interconnect_0_master_driver_msgdma_0_csr_writedata;   // mm_interconnect_0:master_driver_msgdma_0_csr_writedata -> master_driver_msgdma_0:csr_writedata
	wire          mm_traffic_generator_0_avl_waitrequest;                   // mm_interconnect_1:mm_traffic_generator_0_avl_waitrequest -> mm_traffic_generator_0:avl_ready
	wire  [255:0] mm_traffic_generator_0_avl_readdata;                      // mm_interconnect_1:mm_traffic_generator_0_avl_readdata -> mm_traffic_generator_0:avl_rdata
	wire   [28:0] mm_traffic_generator_0_avl_address;                       // mm_traffic_generator_0:avl_addr -> mm_interconnect_1:mm_traffic_generator_0_avl_address
	wire          mm_traffic_generator_0_avl_read;                          // mm_traffic_generator_0:avl_read_req -> mm_interconnect_1:mm_traffic_generator_0_avl_read
	wire   [31:0] mm_traffic_generator_0_avl_byteenable;                    // mm_traffic_generator_0:avl_be -> mm_interconnect_1:mm_traffic_generator_0_avl_byteenable
	wire          mm_traffic_generator_0_avl_readdatavalid;                 // mm_interconnect_1:mm_traffic_generator_0_avl_readdatavalid -> mm_traffic_generator_0:avl_rdata_valid
	wire  [255:0] mm_traffic_generator_0_avl_writedata;                     // mm_traffic_generator_0:avl_wdata -> mm_interconnect_1:mm_traffic_generator_0_avl_writedata
	wire          mm_traffic_generator_0_avl_write;                         // mm_traffic_generator_0:avl_write_req -> mm_interconnect_1:mm_traffic_generator_0_avl_write
	wire    [6:0] mm_traffic_generator_0_avl_burstcount;                    // mm_traffic_generator_0:avl_size -> mm_interconnect_1:mm_traffic_generator_0_avl_burstcount
	wire  [255:0] msgdma_0_dma_read_master_readdata;                        // mm_interconnect_1:mSGDMA_0_dma_read_master_readdata -> mSGDMA_0:dma_read_master_readdata
	wire          msgdma_0_dma_read_master_waitrequest;                     // mm_interconnect_1:mSGDMA_0_dma_read_master_waitrequest -> mSGDMA_0:dma_read_master_waitrequest
	wire   [28:0] msgdma_0_dma_read_master_address;                         // mSGDMA_0:dma_read_master_address -> mm_interconnect_1:mSGDMA_0_dma_read_master_address
	wire          msgdma_0_dma_read_master_read;                            // mSGDMA_0:dma_read_master_read -> mm_interconnect_1:mSGDMA_0_dma_read_master_read
	wire   [31:0] msgdma_0_dma_read_master_byteenable;                      // mSGDMA_0:dma_read_master_byteenable -> mm_interconnect_1:mSGDMA_0_dma_read_master_byteenable
	wire          msgdma_0_dma_read_master_readdatavalid;                   // mm_interconnect_1:mSGDMA_0_dma_read_master_readdatavalid -> mSGDMA_0:dma_read_master_readdatavalid
	wire    [5:0] msgdma_0_dma_read_master_burstcount;                      // mSGDMA_0:dma_read_master_burstcount -> mm_interconnect_1:mSGDMA_0_dma_read_master_burstcount
	wire          msgdma_0_dma_write_master_waitrequest;                    // mm_interconnect_1:mSGDMA_0_dma_write_master_waitrequest -> mSGDMA_0:dma_write_master_waitrequest
	wire   [28:0] msgdma_0_dma_write_master_address;                        // mSGDMA_0:dma_write_master_address -> mm_interconnect_1:mSGDMA_0_dma_write_master_address
	wire   [31:0] msgdma_0_dma_write_master_byteenable;                     // mSGDMA_0:dma_write_master_byteenable -> mm_interconnect_1:mSGDMA_0_dma_write_master_byteenable
	wire          msgdma_0_dma_write_master_write;                          // mSGDMA_0:dma_write_master_write -> mm_interconnect_1:mSGDMA_0_dma_write_master_write
	wire  [255:0] msgdma_0_dma_write_master_writedata;                      // mSGDMA_0:dma_write_master_writedata -> mm_interconnect_1:mSGDMA_0_dma_write_master_writedata
	wire    [5:0] msgdma_0_dma_write_master_burstcount;                     // mSGDMA_0:dma_write_master_burstcount -> mm_interconnect_1:mSGDMA_0_dma_write_master_burstcount
	wire          mm_interconnect_1_fpga_sdram_avl_0_beginbursttransfer;    // mm_interconnect_1:fpga_sdram_avl_0_beginbursttransfer -> fpga_sdram:avl_burstbegin_0
	wire  [255:0] mm_interconnect_1_fpga_sdram_avl_0_readdata;              // fpga_sdram:avl_rdata_0 -> mm_interconnect_1:fpga_sdram_avl_0_readdata
	wire          mm_interconnect_1_fpga_sdram_avl_0_waitrequest;           // fpga_sdram:avl_ready_0 -> mm_interconnect_1:fpga_sdram_avl_0_waitrequest
	wire   [23:0] mm_interconnect_1_fpga_sdram_avl_0_address;               // mm_interconnect_1:fpga_sdram_avl_0_address -> fpga_sdram:avl_addr_0
	wire          mm_interconnect_1_fpga_sdram_avl_0_read;                  // mm_interconnect_1:fpga_sdram_avl_0_read -> fpga_sdram:avl_read_req_0
	wire   [31:0] mm_interconnect_1_fpga_sdram_avl_0_byteenable;            // mm_interconnect_1:fpga_sdram_avl_0_byteenable -> fpga_sdram:avl_be_0
	wire          mm_interconnect_1_fpga_sdram_avl_0_readdatavalid;         // fpga_sdram:avl_rdata_valid_0 -> mm_interconnect_1:fpga_sdram_avl_0_readdatavalid
	wire          mm_interconnect_1_fpga_sdram_avl_0_write;                 // mm_interconnect_1:fpga_sdram_avl_0_write -> fpga_sdram:avl_write_req_0
	wire  [255:0] mm_interconnect_1_fpga_sdram_avl_0_writedata;             // mm_interconnect_1:fpga_sdram_avl_0_writedata -> fpga_sdram:avl_wdata_0
	wire    [7:0] mm_interconnect_1_fpga_sdram_avl_0_burstcount;            // mm_interconnect_1:fpga_sdram_avl_0_burstcount -> fpga_sdram:avl_size_0
	wire          irq_mapper_receiver0_irq;                                 // mSGDMA_0:dispatcher_read_csr_irq_irq -> irq_mapper:receiver0_irq
	wire          irq_mapper_receiver1_irq;                                 // mSGDMA_0:dispatcher_write_csr_irq_irq -> irq_mapper:receiver1_irq
	wire    [1:0] master_driver_msgdma_0_interrupt_receiver_irq;            // irq_mapper:sender_irq -> master_driver_msgdma_0:irq
	wire          rst_controller_reset_out_reset;                           // rst_controller:reset_out -> [irq_mapper:reset, master_driver_msgdma_0:reset_n, mm_interconnect_0:master_driver_msgdma_0_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_001_reset_out_reset;                       // rst_controller_001:reset_out -> [mm_bridge_0:reset, mm_interconnect_0:mm_bridge_0_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_002_reset_out_reset;                       // rst_controller_002:reset_out -> [mm_interconnect_1:fpga_sdram_avl_0_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:fpga_sdram_mp_cmd_reset_n_0_reset_bridge_in_reset_reset]
	wire          rst_controller_003_reset_out_reset;                       // rst_controller_003:reset_out -> [mm_interconnect_1:mm_traffic_generator_0_avl_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mm_traffic_generator_0_avl_translator_reset_reset_bridge_in_reset_reset]

	q_sys_hmc_0_fpga_sdram fpga_sdram (
		.pll_ref_clk                (refclk_clk),                                            //        pll_ref_clk.clk
		.global_reset_n             (reset_reset_n),                                         //       global_reset.reset_n
		.soft_reset_n               (reset_reset_n),                                         //         soft_reset.reset_n
		.afi_clk                    (fpga_sdram_afi_clk_clk),                                //            afi_clk.clk
		.afi_half_clk               (),                                                      //       afi_half_clk.clk
		.afi_reset_n                (),                                                      //          afi_reset.reset_n
		.afi_reset_export_n         (),                                                      //   afi_reset_export.reset_n
		.mem_a                      (fpga_memory_mem_a),                                     //             memory.mem_a
		.mem_ba                     (fpga_memory_mem_ba),                                    //                   .mem_ba
		.mem_ck                     (fpga_memory_mem_ck),                                    //                   .mem_ck
		.mem_ck_n                   (fpga_memory_mem_ck_n),                                  //                   .mem_ck_n
		.mem_cke                    (fpga_memory_mem_cke),                                   //                   .mem_cke
		.mem_cs_n                   (fpga_memory_mem_cs_n),                                  //                   .mem_cs_n
		.mem_dm                     (fpga_memory_mem_dm),                                    //                   .mem_dm
		.mem_ras_n                  (fpga_memory_mem_ras_n),                                 //                   .mem_ras_n
		.mem_cas_n                  (fpga_memory_mem_cas_n),                                 //                   .mem_cas_n
		.mem_we_n                   (fpga_memory_mem_we_n),                                  //                   .mem_we_n
		.mem_reset_n                (fpga_memory_mem_reset_n),                               //                   .mem_reset_n
		.mem_dq                     (fpga_memory_mem_dq),                                    //                   .mem_dq
		.mem_dqs                    (fpga_memory_mem_dqs),                                   //                   .mem_dqs
		.mem_dqs_n                  (fpga_memory_mem_dqs_n),                                 //                   .mem_dqs_n
		.mem_odt                    (fpga_memory_mem_odt),                                   //                   .mem_odt
		.avl_ready_0                (mm_interconnect_1_fpga_sdram_avl_0_waitrequest),        //              avl_0.waitrequest_n
		.avl_burstbegin_0           (mm_interconnect_1_fpga_sdram_avl_0_beginbursttransfer), //                   .beginbursttransfer
		.avl_addr_0                 (mm_interconnect_1_fpga_sdram_avl_0_address),            //                   .address
		.avl_rdata_valid_0          (mm_interconnect_1_fpga_sdram_avl_0_readdatavalid),      //                   .readdatavalid
		.avl_rdata_0                (mm_interconnect_1_fpga_sdram_avl_0_readdata),           //                   .readdata
		.avl_wdata_0                (mm_interconnect_1_fpga_sdram_avl_0_writedata),          //                   .writedata
		.avl_read_req_0             (mm_interconnect_1_fpga_sdram_avl_0_read),               //                   .read
		.avl_write_req_0            (mm_interconnect_1_fpga_sdram_avl_0_write),              //                   .write
		.avl_size_0                 (mm_interconnect_1_fpga_sdram_avl_0_burstcount),         //                   .burstcount
		.avl_be_0                   (mm_interconnect_1_fpga_sdram_avl_0_byteenable),         //                   .byteenable
		.mp_cmd_clk_0_clk           (pll_0_outclk0_clk),                                     //       mp_cmd_clk_0.clk
		.mp_cmd_reset_n_0_reset_n   (reset_reset_n),                                         //   mp_cmd_reset_n_0.reset_n
		.mp_rfifo_clk_0_clk         (pll_0_outclk0_clk),                                     //     mp_rfifo_clk_0.clk
		.mp_rfifo_reset_n_0_reset_n (reset_reset_n),                                         // mp_rfifo_reset_n_0.reset_n
		.mp_wfifo_clk_0_clk         (pll_0_outclk0_clk),                                     //     mp_wfifo_clk_0.clk
		.mp_wfifo_reset_n_0_reset_n (reset_reset_n),                                         // mp_wfifo_reset_n_0.reset_n
		.mp_rfifo_clk_1_clk         (pll_0_outclk0_clk),                                     //     mp_rfifo_clk_1.clk
		.mp_rfifo_reset_n_1_reset_n (reset_reset_n),                                         // mp_rfifo_reset_n_1.reset_n
		.mp_wfifo_clk_1_clk         (pll_0_outclk0_clk),                                     //     mp_wfifo_clk_1.clk
		.mp_wfifo_reset_n_1_reset_n (reset_reset_n),                                         // mp_wfifo_reset_n_1.reset_n
		.mp_rfifo_clk_2_clk         (pll_0_outclk0_clk),                                     //     mp_rfifo_clk_2.clk
		.mp_rfifo_reset_n_2_reset_n (reset_reset_n),                                         // mp_rfifo_reset_n_2.reset_n
		.mp_wfifo_clk_2_clk         (pll_0_outclk0_clk),                                     //     mp_wfifo_clk_2.clk
		.mp_wfifo_reset_n_2_reset_n (reset_reset_n),                                         // mp_wfifo_reset_n_2.reset_n
		.mp_rfifo_clk_3_clk         (pll_0_outclk0_clk),                                     //     mp_rfifo_clk_3.clk
		.mp_rfifo_reset_n_3_reset_n (reset_reset_n),                                         // mp_rfifo_reset_n_3.reset_n
		.mp_wfifo_clk_3_clk         (pll_0_outclk0_clk),                                     //     mp_wfifo_clk_3.clk
		.mp_wfifo_reset_n_3_reset_n (reset_reset_n),                                         // mp_wfifo_reset_n_3.reset_n
		.csr_clk                    (pll_0_outclk0_clk),                                     //            csr_clk.clk
		.csr_reset_n                (reset_reset_n),                                         //        csr_reset_n.reset_n
		.local_init_done            (fpga_sdram_status_local_init_done),                     //             status.local_init_done
		.local_cal_success          (fpga_sdram_status_local_cal_success),                   //                   .local_cal_success
		.local_cal_fail             (fpga_sdram_status_local_cal_fail),                      //                   .local_cal_fail
		.oct_rzqin                  (fpga_memory_oct_rzqin),                                 //                oct.rzqin
		.seriesterminationcontrol   (fpga_sdram_oct_sharing_seriesterminationcontrol),       //        oct_sharing.seriesterminationcontrol
		.parallelterminationcontrol (fpga_sdram_oct_sharing_parallelterminationcontrol),     //                   .parallelterminationcontrol
		.pll_mem_clk                (),                                                      //        pll_sharing.pll_mem_clk
		.pll_write_clk              (),                                                      //                   .pll_write_clk
		.pll_locked                 (),                                                      //                   .pll_locked
		.pll_write_clk_pre_phy_clk  (),                                                      //                   .pll_write_clk_pre_phy_clk
		.pll_addr_cmd_clk           (),                                                      //                   .pll_addr_cmd_clk
		.pll_avl_clk                (),                                                      //                   .pll_avl_clk
		.pll_config_clk             (),                                                      //                   .pll_config_clk
		.pll_mem_phy_clk            (),                                                      //                   .pll_mem_phy_clk
		.afi_phy_clk                (),                                                      //                   .afi_phy_clk
		.pll_avl_phy_clk            (),                                                      //                   .pll_avl_phy_clk
		.csr_addr                   (),                                                      //                csr.address
		.csr_read_req               (),                                                      //                   .read
		.csr_rdata                  (),                                                      //                   .readdata
		.csr_write_req              (),                                                      //                   .write
		.csr_wdata                  (),                                                      //                   .writedata
		.csr_waitrequest            (),                                                      //                   .waitrequest
		.csr_be                     (),                                                      //                   .byteenable
		.csr_rdata_valid            ()                                                       //                   .readdatavalid
	);

	q_sys_hmc_0_mSGDMA_0 msgdma_0 (
		.clk_clk                         (pll_0_outclk0_clk),                                      //                      clk.clk
		.clk_0_clk                       (clk_50_clk),                                             //                    clk_0.clk
		.dispatcher_read_csr_irq_irq     (irq_mapper_receiver0_irq),                               //  dispatcher_read_csr_irq.irq
		.dispatcher_write_csr_irq_irq    (irq_mapper_receiver1_irq),                               // dispatcher_write_csr_irq.irq
		.dma_read_master_address         (msgdma_0_dma_read_master_address),                       //          dma_read_master.address
		.dma_read_master_read            (msgdma_0_dma_read_master_read),                          //                         .read
		.dma_read_master_byteenable      (msgdma_0_dma_read_master_byteenable),                    //                         .byteenable
		.dma_read_master_readdata        (msgdma_0_dma_read_master_readdata),                      //                         .readdata
		.dma_read_master_waitrequest     (msgdma_0_dma_read_master_waitrequest),                   //                         .waitrequest
		.dma_read_master_readdatavalid   (msgdma_0_dma_read_master_readdatavalid),                 //                         .readdatavalid
		.dma_read_master_burstcount      (msgdma_0_dma_read_master_burstcount),                    //                         .burstcount
		.dma_write_master_address        (msgdma_0_dma_write_master_address),                      //         dma_write_master.address
		.dma_write_master_write          (msgdma_0_dma_write_master_write),                        //                         .write
		.dma_write_master_byteenable     (msgdma_0_dma_write_master_byteenable),                   //                         .byteenable
		.dma_write_master_writedata      (msgdma_0_dma_write_master_writedata),                    //                         .writedata
		.dma_write_master_waitrequest    (msgdma_0_dma_write_master_waitrequest),                  //                         .waitrequest
		.dma_write_master_burstcount     (msgdma_0_dma_write_master_burstcount),                   //                         .burstcount
		.mm_bridge_slv_waitrequest       (mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest),   //            mm_bridge_slv.waitrequest
		.mm_bridge_slv_readdata          (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata),      //                         .readdata
		.mm_bridge_slv_readdatavalid     (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid), //                         .readdatavalid
		.mm_bridge_slv_burstcount        (mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount),    //                         .burstcount
		.mm_bridge_slv_writedata         (mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata),     //                         .writedata
		.mm_bridge_slv_address           (mm_interconnect_0_msgdma_0_mm_bridge_slv_address),       //                         .address
		.mm_bridge_slv_write             (mm_interconnect_0_msgdma_0_mm_bridge_slv_write),         //                         .write
		.mm_bridge_slv_read              (mm_interconnect_0_msgdma_0_mm_bridge_slv_read),          //                         .read
		.mm_bridge_slv_byteenable        (mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable),    //                         .byteenable
		.mm_bridge_slv_debugaccess       (mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess),   //                         .debugaccess
		.reset_reset_n                   (~master_driver_msgdma_0_reset_source_reset),             //                    reset.reset_n
		.reset_0_reset_n                 (reset_50_reset_n),                                       //                  reset_0.reset_n
		.status_mon_in_local_init_done   (fpga_sdram_status_local_init_done),                      //            status_mon_in.local_init_done
		.status_mon_in_local_cal_success (fpga_sdram_status_local_cal_success),                    //                         .local_cal_success
		.status_mon_in_local_cal_fail    (fpga_sdram_status_local_cal_fail),                       //                         .local_cal_fail
		.status_mon_out_cal_fail_mon     (msgdma_0_status_mon_out_cal_fail_mon),                   //           status_mon_out.cal_fail_mon
		.status_mon_out_cal_success_mon  (msgdma_0_status_mon_out_cal_success_mon),                //                         .cal_success_mon
		.status_mon_out_init_done_mon    (msgdma_0_status_mon_out_init_done_mon)                   //                         .init_done_mon
	);

	master_driver_msgdma #(
		.PRBS_PATTERN_GENERATOR_BASE (32'b00000000001000000000000001000000),
		.PRBS_PATTERN_CHECKER_BASE   (32'b00000000001000000000000000000000),
		.MEMORY_BASE_ADDRESS         (32'b00000000000000000000000000000000),
		.MEMORY_SPAN                 (32'b00100000000000000000000000000000),
		.BLOCK_SIZE                  (32'b00100000000000000000000000000000),
		.DISPATCHER_WRITE_CSR        (32'b00000000001000000000000001100000),
		.DISPATCHER_WRITE_DESCRIPTOR (32'b00000000001000000000000010100000),
		.DISPATCHER_READ_CSR         (32'b00000000001000000000000010000000),
		.DISPATCHER_READ_DESCRIPTOR  (32'b00000000001000000000000010110000),
		.TIMER_BASE                  (32'b00000000001000000000000100000000),
		.FREQUENCY_COUNTER_BASE      (32'b00000000001000000000000101000000),
		.ENABLE_PER_INFO             (1),
		.LOCAL_DATA_WORDS            (32'b00000000000000000000000000100000)
	) master_driver_msgdma_0 (
		.reset_n         (~rst_controller_reset_out_reset),                          //              reset.reset_n
		.clk             (pll_0_outclk0_clk),                                        //              clock.clk
		.csr_address     (mm_interconnect_0_master_driver_msgdma_0_csr_address),     //                csr.address
		.csr_read        (mm_interconnect_0_master_driver_msgdma_0_csr_read),        //                   .read
		.csr_write       (mm_interconnect_0_master_driver_msgdma_0_csr_write),       //                   .write
		.csr_readdata    (mm_interconnect_0_master_driver_msgdma_0_csr_readdata),    //                   .readdata
		.csr_writedata   (mm_interconnect_0_master_driver_msgdma_0_csr_writedata),   //                   .writedata
		.csr_waitrequest (mm_interconnect_0_master_driver_msgdma_0_csr_waitrequest), //                   .waitrequest
		.irq             (master_driver_msgdma_0_interrupt_receiver_irq),            // interrupt_receiver.irq
		.waitrequest_in  (master_driver_msgdma_0_avalon_master_waitrequest),         //      avalon_master.waitrequest
		.csn             (master_driver_msgdma_0_avalon_master_chipselect),          //                   .chipselect_n
		.wen             (master_driver_msgdma_0_avalon_master_write),               //                   .write_n
		.oen             (master_driver_msgdma_0_avalon_master_read),                //                   .read_n
		.be              (master_driver_msgdma_0_avalon_master_byteenable),          //                   .byteenable
		.address         (master_driver_msgdma_0_avalon_master_address),             //                   .address
		.data_write      (master_driver_msgdma_0_avalon_master_writedata),           //                   .writedata
		.data_read       (master_driver_msgdma_0_avalon_master_readdata),            //                   .readdata
		.reset_out       (master_driver_msgdma_0_reset_source_reset),                //       reset_source.reset
		.error_mon       (master_driver_msgdma_0_conduit_end_error_mon),             //        conduit_end.export
		.status_mon      (master_driver_msgdma_0_conduit_end_status_mon)             //                   .export
	);

	altera_avalon_mm_bridge #(
		.DATA_WIDTH        (32),
		.SYMBOL_WIDTH      (8),
		.HDL_ADDR_WIDTH    (22),
		.BURSTCOUNT_WIDTH  (1),
		.PIPELINE_COMMAND  (1),
		.PIPELINE_RESPONSE (1)
	) mm_bridge_0 (
		.clk              (clk_50_clk),                         //   clk.clk
		.reset            (rst_controller_001_reset_out_reset), // reset.reset
		.s0_waitrequest   (mm_bridge_0_s0_waitrequest),         //    s0.waitrequest
		.s0_readdata      (mm_bridge_0_s0_readdata),            //      .readdata
		.s0_readdatavalid (mm_bridge_0_s0_readdatavalid),       //      .readdatavalid
		.s0_burstcount    (mm_bridge_0_s0_burstcount),          //      .burstcount
		.s0_writedata     (mm_bridge_0_s0_writedata),           //      .writedata
		.s0_address       (mm_bridge_0_s0_address),             //      .address
		.s0_write         (mm_bridge_0_s0_write),               //      .write
		.s0_read          (mm_bridge_0_s0_read),                //      .read
		.s0_byteenable    (mm_bridge_0_s0_byteenable),          //      .byteenable
		.s0_debugaccess   (mm_bridge_0_s0_debugaccess),         //      .debugaccess
		.m0_waitrequest   (mm_bridge_0_m0_waitrequest),         //    m0.waitrequest
		.m0_readdata      (mm_bridge_0_m0_readdata),            //      .readdata
		.m0_readdatavalid (mm_bridge_0_m0_readdatavalid),       //      .readdatavalid
		.m0_burstcount    (mm_bridge_0_m0_burstcount),          //      .burstcount
		.m0_writedata     (mm_bridge_0_m0_writedata),           //      .writedata
		.m0_address       (mm_bridge_0_m0_address),             //      .address
		.m0_write         (mm_bridge_0_m0_write),               //      .write
		.m0_read          (mm_bridge_0_m0_read),                //      .read
		.m0_byteenable    (mm_bridge_0_m0_byteenable),          //      .byteenable
		.m0_debugaccess   (mm_bridge_0_m0_debugaccess),         //      .debugaccess
		.s0_response      (),                                   // (terminated)
		.m0_response      (2'b00)                               // (terminated)
	);

	q_sys_hmc_0_mm_traffic_generator_0 #(
		.DEVICE_FAMILY                          ("Cyclone V"),
		.TG_AVL_DATA_WIDTH                      (256),
		.TG_AVL_ADDR_WIDTH                      (29),
		.TG_AVL_WORD_ADDR_WIDTH                 (24),
		.TG_AVL_SIZE_WIDTH                      (7),
		.TG_AVL_BE_WIDTH                        (32),
		.DRIVER_SIGNATURE                       (1431634071),
		.TG_GEN_BYTE_ADDR                       (1),
		.TG_NUM_DRIVER_LOOP                     (10000),
		.TG_ENABLE_UNIX_ID                      (0),
		.TG_USE_UNIX_ID                         (0),
		.TG_RANDOM_BYTE_ENABLE                  (0),
		.TG_ENABLE_READ_COMPARE                 (1),
		.TG_POWER_OF_TWO_BURSTS_ONLY            (0),
		.TG_BURST_ON_BURST_BOUNDARY             (0),
		.TG_DO_NOT_CROSS_4KB_BOUNDARY           (0),
		.TG_TIMEOUT_COUNTER_WIDTH               (32),
		.TG_MAX_READ_LATENCY                    (20),
		.TG_SINGLE_RW_SEQ_ADDR_COUNT            (32),
		.TG_SINGLE_RW_RAND_ADDR_COUNT           (32),
		.TG_SINGLE_RW_RAND_SEQ_ADDR_COUNT       (32),
		.TG_BLOCK_RW_SEQ_ADDR_COUNT             (8),
		.TG_BLOCK_RW_RAND_ADDR_COUNT            (8),
		.TG_BLOCK_RW_RAND_SEQ_ADDR_COUNT        (8),
		.TG_BLOCK_RW_BLOCK_SIZE                 (8),
		.TG_TEMPLATE_STAGE_COUNT                (4),
		.TG_SEQ_ADDR_GEN_MIN_BURSTCOUNT         (1),
		.TG_SEQ_ADDR_GEN_MAX_BURSTCOUNT         (64),
		.TG_RAND_ADDR_GEN_MIN_BURSTCOUNT        (1),
		.TG_RAND_ADDR_GEN_MAX_BURSTCOUNT        (64),
		.TG_RAND_SEQ_ADDR_GEN_MIN_BURSTCOUNT    (1),
		.TG_RAND_SEQ_ADDR_GEN_MAX_BURSTCOUNT    (64),
		.TG_RAND_SEQ_ADDR_GEN_RAND_ADDR_PERCENT (50)
	) mm_traffic_generator_0 (
		.clk             (pll_0_outclk0_clk),                        // avl_clock.clk
		.reset_n         (tg_reset_n),                               // avl_reset.reset_n
		.pass            (),                                         //    status.pass
		.fail            (),                                         //          .fail
		.test_complete   (),                                         //          .test_complete
		.avl_ready       (~mm_traffic_generator_0_avl_waitrequest),  //       avl.waitrequest_n
		.avl_addr        (mm_traffic_generator_0_avl_address),       //          .address
		.avl_size        (mm_traffic_generator_0_avl_burstcount),    //          .burstcount
		.avl_wdata       (mm_traffic_generator_0_avl_writedata),     //          .writedata
		.avl_rdata       (mm_traffic_generator_0_avl_readdata),      //          .readdata
		.avl_write_req   (mm_traffic_generator_0_avl_write),         //          .write
		.avl_read_req    (mm_traffic_generator_0_avl_read),          //          .read
		.avl_rdata_valid (mm_traffic_generator_0_avl_readdatavalid), //          .readdatavalid
		.avl_be          (mm_traffic_generator_0_avl_byteenable)     //          .byteenable
	);

	q_sys_hmc_0_pll_0 pll_0 (
		.refclk   (fpga_sdram_afi_clk_clk), //  refclk.clk
		.rst      (~reset_reset_n),         //   reset.reset
		.outclk_0 (pll_0_outclk0_clk),      // outclk0.clk
		.locked   ()                        // (terminated)
	);

	q_sys_hmc_0_mm_interconnect_0 mm_interconnect_0 (
		.ext_clk_50_clk_clk                                                  (clk_50_clk),                                               //                                                ext_clk_50_clk.clk
		.pll_0_outclk0_clk                                                   (pll_0_outclk0_clk),                                        //                                                 pll_0_outclk0.clk
		.master_driver_msgdma_0_reset_reset_bridge_in_reset_reset            (rst_controller_reset_out_reset),                           //            master_driver_msgdma_0_reset_reset_bridge_in_reset.reset
		.mm_bridge_0_reset_reset_bridge_in_reset_reset                       (rst_controller_001_reset_out_reset),                       //                       mm_bridge_0_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset_reset (master_driver_msgdma_0_reset_source_reset),                // mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_reset_reset_bridge_in_reset_reset                          (master_driver_msgdma_0_reset_source_reset),                //                          mSGDMA_0_reset_reset_bridge_in_reset.reset
		.master_driver_msgdma_0_avalon_master_address                        (master_driver_msgdma_0_avalon_master_address),             //                          master_driver_msgdma_0_avalon_master.address
		.master_driver_msgdma_0_avalon_master_waitrequest                    (master_driver_msgdma_0_avalon_master_waitrequest),         //                                                              .waitrequest
		.master_driver_msgdma_0_avalon_master_byteenable                     (master_driver_msgdma_0_avalon_master_byteenable),          //                                                              .byteenable
		.master_driver_msgdma_0_avalon_master_chipselect                     (~master_driver_msgdma_0_avalon_master_chipselect),         //                                                              .chipselect
		.master_driver_msgdma_0_avalon_master_read                           (~master_driver_msgdma_0_avalon_master_read),               //                                                              .read
		.master_driver_msgdma_0_avalon_master_readdata                       (master_driver_msgdma_0_avalon_master_readdata),            //                                                              .readdata
		.master_driver_msgdma_0_avalon_master_write                          (~master_driver_msgdma_0_avalon_master_write),              //                                                              .write
		.master_driver_msgdma_0_avalon_master_writedata                      (master_driver_msgdma_0_avalon_master_writedata),           //                                                              .writedata
		.mm_bridge_0_m0_address                                              (mm_bridge_0_m0_address),                                   //                                                mm_bridge_0_m0.address
		.mm_bridge_0_m0_waitrequest                                          (mm_bridge_0_m0_waitrequest),                               //                                                              .waitrequest
		.mm_bridge_0_m0_burstcount                                           (mm_bridge_0_m0_burstcount),                                //                                                              .burstcount
		.mm_bridge_0_m0_byteenable                                           (mm_bridge_0_m0_byteenable),                                //                                                              .byteenable
		.mm_bridge_0_m0_read                                                 (mm_bridge_0_m0_read),                                      //                                                              .read
		.mm_bridge_0_m0_readdata                                             (mm_bridge_0_m0_readdata),                                  //                                                              .readdata
		.mm_bridge_0_m0_readdatavalid                                        (mm_bridge_0_m0_readdatavalid),                             //                                                              .readdatavalid
		.mm_bridge_0_m0_write                                                (mm_bridge_0_m0_write),                                     //                                                              .write
		.mm_bridge_0_m0_writedata                                            (mm_bridge_0_m0_writedata),                                 //                                                              .writedata
		.mm_bridge_0_m0_debugaccess                                          (mm_bridge_0_m0_debugaccess),                               //                                                              .debugaccess
		.master_driver_msgdma_0_csr_address                                  (mm_interconnect_0_master_driver_msgdma_0_csr_address),     //                                    master_driver_msgdma_0_csr.address
		.master_driver_msgdma_0_csr_write                                    (mm_interconnect_0_master_driver_msgdma_0_csr_write),       //                                                              .write
		.master_driver_msgdma_0_csr_read                                     (mm_interconnect_0_master_driver_msgdma_0_csr_read),        //                                                              .read
		.master_driver_msgdma_0_csr_readdata                                 (mm_interconnect_0_master_driver_msgdma_0_csr_readdata),    //                                                              .readdata
		.master_driver_msgdma_0_csr_writedata                                (mm_interconnect_0_master_driver_msgdma_0_csr_writedata),   //                                                              .writedata
		.master_driver_msgdma_0_csr_waitrequest                              (mm_interconnect_0_master_driver_msgdma_0_csr_waitrequest), //                                                              .waitrequest
		.mSGDMA_0_mm_bridge_slv_address                                      (mm_interconnect_0_msgdma_0_mm_bridge_slv_address),         //                                        mSGDMA_0_mm_bridge_slv.address
		.mSGDMA_0_mm_bridge_slv_write                                        (mm_interconnect_0_msgdma_0_mm_bridge_slv_write),           //                                                              .write
		.mSGDMA_0_mm_bridge_slv_read                                         (mm_interconnect_0_msgdma_0_mm_bridge_slv_read),            //                                                              .read
		.mSGDMA_0_mm_bridge_slv_readdata                                     (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata),        //                                                              .readdata
		.mSGDMA_0_mm_bridge_slv_writedata                                    (mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata),       //                                                              .writedata
		.mSGDMA_0_mm_bridge_slv_burstcount                                   (mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount),      //                                                              .burstcount
		.mSGDMA_0_mm_bridge_slv_byteenable                                   (mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable),      //                                                              .byteenable
		.mSGDMA_0_mm_bridge_slv_readdatavalid                                (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid),   //                                                              .readdatavalid
		.mSGDMA_0_mm_bridge_slv_waitrequest                                  (mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest),     //                                                              .waitrequest
		.mSGDMA_0_mm_bridge_slv_debugaccess                                  (mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess)      //                                                              .debugaccess
	);

	q_sys_hmc_0_mm_interconnect_1 mm_interconnect_1 (
		.pll_0_outclk0_clk                                                       (pll_0_outclk0_clk),                                     //                                                     pll_0_outclk0.clk
		.fpga_sdram_avl_0_translator_reset_reset_bridge_in_reset_reset           (rst_controller_002_reset_out_reset),                    //           fpga_sdram_avl_0_translator_reset_reset_bridge_in_reset.reset
		.fpga_sdram_mp_cmd_reset_n_0_reset_bridge_in_reset_reset                 (rst_controller_002_reset_out_reset),                    //                 fpga_sdram_mp_cmd_reset_n_0_reset_bridge_in_reset.reset
		.mm_traffic_generator_0_avl_reset_reset_bridge_in_reset_reset            (rst_controller_003_reset_out_reset),                    //            mm_traffic_generator_0_avl_reset_reset_bridge_in_reset.reset
		.mm_traffic_generator_0_avl_translator_reset_reset_bridge_in_reset_reset (rst_controller_003_reset_out_reset),                    // mm_traffic_generator_0_avl_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset_reset   (master_driver_msgdma_0_reset_source_reset),             //   mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_reset_reset_bridge_in_reset_reset                              (master_driver_msgdma_0_reset_source_reset),             //                              mSGDMA_0_reset_reset_bridge_in_reset.reset
		.mm_traffic_generator_0_avl_address                                      (mm_traffic_generator_0_avl_address),                    //                                        mm_traffic_generator_0_avl.address
		.mm_traffic_generator_0_avl_waitrequest                                  (mm_traffic_generator_0_avl_waitrequest),                //                                                                  .waitrequest
		.mm_traffic_generator_0_avl_burstcount                                   (mm_traffic_generator_0_avl_burstcount),                 //                                                                  .burstcount
		.mm_traffic_generator_0_avl_byteenable                                   (mm_traffic_generator_0_avl_byteenable),                 //                                                                  .byteenable
		.mm_traffic_generator_0_avl_read                                         (mm_traffic_generator_0_avl_read),                       //                                                                  .read
		.mm_traffic_generator_0_avl_readdata                                     (mm_traffic_generator_0_avl_readdata),                   //                                                                  .readdata
		.mm_traffic_generator_0_avl_readdatavalid                                (mm_traffic_generator_0_avl_readdatavalid),              //                                                                  .readdatavalid
		.mm_traffic_generator_0_avl_write                                        (mm_traffic_generator_0_avl_write),                      //                                                                  .write
		.mm_traffic_generator_0_avl_writedata                                    (mm_traffic_generator_0_avl_writedata),                  //                                                                  .writedata
		.mSGDMA_0_dma_read_master_address                                        (msgdma_0_dma_read_master_address),                      //                                          mSGDMA_0_dma_read_master.address
		.mSGDMA_0_dma_read_master_waitrequest                                    (msgdma_0_dma_read_master_waitrequest),                  //                                                                  .waitrequest
		.mSGDMA_0_dma_read_master_burstcount                                     (msgdma_0_dma_read_master_burstcount),                   //                                                                  .burstcount
		.mSGDMA_0_dma_read_master_byteenable                                     (msgdma_0_dma_read_master_byteenable),                   //                                                                  .byteenable
		.mSGDMA_0_dma_read_master_read                                           (msgdma_0_dma_read_master_read),                         //                                                                  .read
		.mSGDMA_0_dma_read_master_readdata                                       (msgdma_0_dma_read_master_readdata),                     //                                                                  .readdata
		.mSGDMA_0_dma_read_master_readdatavalid                                  (msgdma_0_dma_read_master_readdatavalid),                //                                                                  .readdatavalid
		.mSGDMA_0_dma_write_master_address                                       (msgdma_0_dma_write_master_address),                     //                                         mSGDMA_0_dma_write_master.address
		.mSGDMA_0_dma_write_master_waitrequest                                   (msgdma_0_dma_write_master_waitrequest),                 //                                                                  .waitrequest
		.mSGDMA_0_dma_write_master_burstcount                                    (msgdma_0_dma_write_master_burstcount),                  //                                                                  .burstcount
		.mSGDMA_0_dma_write_master_byteenable                                    (msgdma_0_dma_write_master_byteenable),                  //                                                                  .byteenable
		.mSGDMA_0_dma_write_master_write                                         (msgdma_0_dma_write_master_write),                       //                                                                  .write
		.mSGDMA_0_dma_write_master_writedata                                     (msgdma_0_dma_write_master_writedata),                   //                                                                  .writedata
		.fpga_sdram_avl_0_address                                                (mm_interconnect_1_fpga_sdram_avl_0_address),            //                                                  fpga_sdram_avl_0.address
		.fpga_sdram_avl_0_write                                                  (mm_interconnect_1_fpga_sdram_avl_0_write),              //                                                                  .write
		.fpga_sdram_avl_0_read                                                   (mm_interconnect_1_fpga_sdram_avl_0_read),               //                                                                  .read
		.fpga_sdram_avl_0_readdata                                               (mm_interconnect_1_fpga_sdram_avl_0_readdata),           //                                                                  .readdata
		.fpga_sdram_avl_0_writedata                                              (mm_interconnect_1_fpga_sdram_avl_0_writedata),          //                                                                  .writedata
		.fpga_sdram_avl_0_beginbursttransfer                                     (mm_interconnect_1_fpga_sdram_avl_0_beginbursttransfer), //                                                                  .beginbursttransfer
		.fpga_sdram_avl_0_burstcount                                             (mm_interconnect_1_fpga_sdram_avl_0_burstcount),         //                                                                  .burstcount
		.fpga_sdram_avl_0_byteenable                                             (mm_interconnect_1_fpga_sdram_avl_0_byteenable),         //                                                                  .byteenable
		.fpga_sdram_avl_0_readdatavalid                                          (mm_interconnect_1_fpga_sdram_avl_0_readdatavalid),      //                                                                  .readdatavalid
		.fpga_sdram_avl_0_waitrequest                                            (~mm_interconnect_1_fpga_sdram_avl_0_waitrequest)        //                                                                  .waitrequest
	);

	q_sys_hmc_0_irq_mapper irq_mapper (
		.clk           (pll_0_outclk0_clk),                             //       clk.clk
		.reset         (rst_controller_reset_out_reset),                // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),                      // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),                      // receiver1.irq
		.sender_irq    (master_driver_msgdma_0_interrupt_receiver_irq)  //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_50_reset_n),              // reset_in0.reset
		.clk            (pll_0_outclk0_clk),              //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_50_reset_n),                  // reset_in0.reset
		.clk            (clk_50_clk),                         //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (pll_0_outclk0_clk),                  //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~tg_reset_n),                        // reset_in0.reset
		.clk            (pll_0_outclk0_clk),                  //       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
