
module q_sys_hmc (
	clk_50_clk,
	fpga_memory_mem_a,
	fpga_memory_mem_ba,
	fpga_memory_mem_ck,
	fpga_memory_mem_ck_n,
	fpga_memory_mem_cke,
	fpga_memory_mem_cs_n,
	fpga_memory_mem_dm,
	fpga_memory_mem_ras_n,
	fpga_memory_mem_cas_n,
	fpga_memory_mem_we_n,
	fpga_memory_mem_reset_n,
	fpga_memory_mem_dq,
	fpga_memory_mem_dqs,
	fpga_memory_mem_dqs_n,
	fpga_memory_mem_odt,
	fpga_memory_oct_rzqin,
	fpga_sdram_oct_sharing_seriesterminationcontrol,
	fpga_sdram_oct_sharing_parallelterminationcontrol,
	master_driver_msgdma_0_conduit_end_error_mon,
	master_driver_msgdma_0_conduit_end_status_mon,
	mm_bridge_0_s0_waitrequest,
	mm_bridge_0_s0_readdata,
	mm_bridge_0_s0_readdatavalid,
	mm_bridge_0_s0_burstcount,
	mm_bridge_0_s0_writedata,
	mm_bridge_0_s0_address,
	mm_bridge_0_s0_write,
	mm_bridge_0_s0_read,
	mm_bridge_0_s0_byteenable,
	mm_bridge_0_s0_debugaccess,
	msgdma_0_status_mon_out_cal_fail_mon,
	msgdma_0_status_mon_out_cal_success_mon,
	msgdma_0_status_mon_out_init_done_mon,
	refclk_clk,
	reset_reset_n,
	reset_50_reset_n,
	tg_reset_n);	

	input		clk_50_clk;
	output	[13:0]	fpga_memory_mem_a;
	output	[2:0]	fpga_memory_mem_ba;
	output	[0:0]	fpga_memory_mem_ck;
	output	[0:0]	fpga_memory_mem_ck_n;
	output	[0:0]	fpga_memory_mem_cke;
	output	[0:0]	fpga_memory_mem_cs_n;
	output	[4:0]	fpga_memory_mem_dm;
	output	[0:0]	fpga_memory_mem_ras_n;
	output	[0:0]	fpga_memory_mem_cas_n;
	output	[0:0]	fpga_memory_mem_we_n;
	output		fpga_memory_mem_reset_n;
	inout	[39:0]	fpga_memory_mem_dq;
	inout	[4:0]	fpga_memory_mem_dqs;
	inout	[4:0]	fpga_memory_mem_dqs_n;
	output	[0:0]	fpga_memory_mem_odt;
	input		fpga_memory_oct_rzqin;
	output	[15:0]	fpga_sdram_oct_sharing_seriesterminationcontrol;
	output	[15:0]	fpga_sdram_oct_sharing_parallelterminationcontrol;
	output		master_driver_msgdma_0_conduit_end_error_mon;
	output		master_driver_msgdma_0_conduit_end_status_mon;
	output		mm_bridge_0_s0_waitrequest;
	output	[31:0]	mm_bridge_0_s0_readdata;
	output		mm_bridge_0_s0_readdatavalid;
	input	[0:0]	mm_bridge_0_s0_burstcount;
	input	[31:0]	mm_bridge_0_s0_writedata;
	input	[21:0]	mm_bridge_0_s0_address;
	input		mm_bridge_0_s0_write;
	input		mm_bridge_0_s0_read;
	input	[3:0]	mm_bridge_0_s0_byteenable;
	input		mm_bridge_0_s0_debugaccess;
	output		msgdma_0_status_mon_out_cal_fail_mon;
	output		msgdma_0_status_mon_out_cal_success_mon;
	output		msgdma_0_status_mon_out_init_done_mon;
	input		refclk_clk;
	input		reset_reset_n;
	input		reset_50_reset_n;
	input		tg_reset_n;
endmodule
