
module q_sys (
	clk_100_clk,
	clk_100_reset_reset_n,
	clk_50_clk,
	cmos_0_data_pattern_checker_0_pattern_in_valid,
	cmos_0_data_pattern_checker_0_pattern_in_ready,
	cmos_0_data_pattern_checker_0_pattern_in_data,
	cmos_0_data_pattern_generator_0_pattern_out_valid,
	cmos_0_data_pattern_generator_0_pattern_out_ready,
	cmos_0_data_pattern_generator_0_pattern_out_data,
	cmos_0_master_driver_com_0_conduit_end_lock,
	cmos_0_master_driver_com_0_conduit_end_error_mon,
	cmos_0_master_driver_com_0_conduit_end_status_mon,
	lvds_0_data_pattern_checker_0_pattern_in_valid,
	lvds_0_data_pattern_checker_0_pattern_in_ready,
	lvds_0_data_pattern_checker_0_pattern_in_data,
	lvds_0_data_pattern_checker_1_pattern_in_valid,
	lvds_0_data_pattern_checker_1_pattern_in_ready,
	lvds_0_data_pattern_checker_1_pattern_in_data,
	lvds_0_data_pattern_checker_2_pattern_in_valid,
	lvds_0_data_pattern_checker_2_pattern_in_ready,
	lvds_0_data_pattern_checker_2_pattern_in_data,
	lvds_0_data_pattern_generator_0_pattern_out_valid,
	lvds_0_data_pattern_generator_0_pattern_out_ready,
	lvds_0_data_pattern_generator_0_pattern_out_data,
	lvds_0_data_pattern_generator_1_pattern_out_valid,
	lvds_0_data_pattern_generator_1_pattern_out_ready,
	lvds_0_data_pattern_generator_1_pattern_out_data,
	lvds_0_data_pattern_generator_2_pattern_out_valid,
	lvds_0_data_pattern_generator_2_pattern_out_ready,
	lvds_0_data_pattern_generator_2_pattern_out_data,
	lvds_0_master_driver_com_0_conduit_end_lock,
	lvds_0_master_driver_com_0_conduit_end_error_mon,
	lvds_0_master_driver_com_0_conduit_end_status_mon,
	lvds_0_master_driver_com_1_conduit_end_lock,
	lvds_0_master_driver_com_1_conduit_end_error_mon,
	lvds_0_master_driver_com_1_conduit_end_status_mon,
	lvds_0_master_driver_com_2_conduit_end_lock,
	lvds_0_master_driver_com_2_conduit_end_error_mon,
	lvds_0_master_driver_com_2_conduit_end_status_mon,
	lvds_0_rx_clk,
	lvds_0_tx_clk,
	reset_50_reset_n,
	xcvr_0_tester_0_master_driver_com_0_conduit_end_lock,
	xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon,
	xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon,
	xcvr_0_tester_1_master_driver_com_0_conduit_end_lock,
	xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon,
	xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon,
	xcvr_0_tester_2_master_driver_com_0_conduit_end_lock,
	xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon,
	xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon,
	xcvr_0_tester_3_master_driver_com_0_conduit_end_lock,
	xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon,
	xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon,
	xcvr_0_xcvr_custom_phy_0_pll_locked_export,
	xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk,
	xcvr_0_xcvr_custom_phy_0_rx_serial_data_export,
	xcvr_0_xcvr_custom_phy_0_tx_serial_data_export,
	xcvr_0_xcvr_custom_phy_1_pll_locked_export,
	xcvr_0_xcvr_custom_phy_1_pll_ref_clk_clk,
	xcvr_0_xcvr_custom_phy_1_rx_serial_data_export,
	xcvr_0_xcvr_custom_phy_1_tx_serial_data_export,
	xcvr_0_xcvr_custom_phy_2_pll_ref_clk_clk,
	xcvr_0_xcvr_custom_phy_2_pll_locked_export,
	xcvr_0_xcvr_custom_phy_2_rx_serial_data_export,
	xcvr_0_xcvr_custom_phy_2_tx_serial_data_export,
	xcvr_0_xcvr_custom_phy_3_pll_locked_export,
	xcvr_0_xcvr_custom_phy_3_pll_ref_clk_clk,
	xcvr_0_xcvr_custom_phy_3_rx_serial_data_export,
	xcvr_0_xcvr_custom_phy_3_tx_serial_data_export);	

	input		clk_100_clk;
	input		clk_100_reset_reset_n;
	input		clk_50_clk;
	input		cmos_0_data_pattern_checker_0_pattern_in_valid;
	output		cmos_0_data_pattern_checker_0_pattern_in_ready;
	input	[31:0]	cmos_0_data_pattern_checker_0_pattern_in_data;
	output		cmos_0_data_pattern_generator_0_pattern_out_valid;
	input		cmos_0_data_pattern_generator_0_pattern_out_ready;
	output	[31:0]	cmos_0_data_pattern_generator_0_pattern_out_data;
	input		cmos_0_master_driver_com_0_conduit_end_lock;
	output		cmos_0_master_driver_com_0_conduit_end_error_mon;
	output		cmos_0_master_driver_com_0_conduit_end_status_mon;
	input		lvds_0_data_pattern_checker_0_pattern_in_valid;
	output		lvds_0_data_pattern_checker_0_pattern_in_ready;
	input	[31:0]	lvds_0_data_pattern_checker_0_pattern_in_data;
	input		lvds_0_data_pattern_checker_1_pattern_in_valid;
	output		lvds_0_data_pattern_checker_1_pattern_in_ready;
	input	[39:0]	lvds_0_data_pattern_checker_1_pattern_in_data;
	input		lvds_0_data_pattern_checker_2_pattern_in_valid;
	output		lvds_0_data_pattern_checker_2_pattern_in_ready;
	input	[63:0]	lvds_0_data_pattern_checker_2_pattern_in_data;
	output		lvds_0_data_pattern_generator_0_pattern_out_valid;
	input		lvds_0_data_pattern_generator_0_pattern_out_ready;
	output	[31:0]	lvds_0_data_pattern_generator_0_pattern_out_data;
	output		lvds_0_data_pattern_generator_1_pattern_out_valid;
	input		lvds_0_data_pattern_generator_1_pattern_out_ready;
	output	[39:0]	lvds_0_data_pattern_generator_1_pattern_out_data;
	output		lvds_0_data_pattern_generator_2_pattern_out_valid;
	input		lvds_0_data_pattern_generator_2_pattern_out_ready;
	output	[63:0]	lvds_0_data_pattern_generator_2_pattern_out_data;
	input		lvds_0_master_driver_com_0_conduit_end_lock;
	output		lvds_0_master_driver_com_0_conduit_end_error_mon;
	output		lvds_0_master_driver_com_0_conduit_end_status_mon;
	input		lvds_0_master_driver_com_1_conduit_end_lock;
	output		lvds_0_master_driver_com_1_conduit_end_error_mon;
	output		lvds_0_master_driver_com_1_conduit_end_status_mon;
	input		lvds_0_master_driver_com_2_conduit_end_lock;
	output		lvds_0_master_driver_com_2_conduit_end_error_mon;
	output		lvds_0_master_driver_com_2_conduit_end_status_mon;
	input		lvds_0_rx_clk;
	input		lvds_0_tx_clk;
	input		reset_50_reset_n;
	input		xcvr_0_tester_0_master_driver_com_0_conduit_end_lock;
	output		xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon;
	output		xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon;
	input		xcvr_0_tester_1_master_driver_com_0_conduit_end_lock;
	output		xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon;
	output		xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon;
	input		xcvr_0_tester_2_master_driver_com_0_conduit_end_lock;
	output		xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon;
	output		xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon;
	input		xcvr_0_tester_3_master_driver_com_0_conduit_end_lock;
	output		xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon;
	output		xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon;
	output	[0:0]	xcvr_0_xcvr_custom_phy_0_pll_locked_export;
	input	[0:0]	xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk;
	input	[0:0]	xcvr_0_xcvr_custom_phy_0_rx_serial_data_export;
	output	[0:0]	xcvr_0_xcvr_custom_phy_0_tx_serial_data_export;
	output	[0:0]	xcvr_0_xcvr_custom_phy_1_pll_locked_export;
	input	[0:0]	xcvr_0_xcvr_custom_phy_1_pll_ref_clk_clk;
	input	[0:0]	xcvr_0_xcvr_custom_phy_1_rx_serial_data_export;
	output	[0:0]	xcvr_0_xcvr_custom_phy_1_tx_serial_data_export;
	input	[0:0]	xcvr_0_xcvr_custom_phy_2_pll_ref_clk_clk;
	output	[0:0]	xcvr_0_xcvr_custom_phy_2_pll_locked_export;
	input	[0:0]	xcvr_0_xcvr_custom_phy_2_rx_serial_data_export;
	output	[0:0]	xcvr_0_xcvr_custom_phy_2_tx_serial_data_export;
	output	[0:0]	xcvr_0_xcvr_custom_phy_3_pll_locked_export;
	input	[0:0]	xcvr_0_xcvr_custom_phy_3_pll_ref_clk_clk;
	input	[0:0]	xcvr_0_xcvr_custom_phy_3_rx_serial_data_export;
	output	[0:0]	xcvr_0_xcvr_custom_phy_3_tx_serial_data_export;
endmodule
