// q_sys_lvds_0.v

// Generated using ACDS version 22.1 915

`timescale 1 ps / 1 ps
module q_sys_lvds_0 (
		input  wire        clk50_clk,                                  //                                clk50.clk
		input  wire        data_pattern_checker_0_pattern_in_valid,    //    data_pattern_checker_0_pattern_in.valid
		output wire        data_pattern_checker_0_pattern_in_ready,    //                                     .ready
		input  wire [31:0] data_pattern_checker_0_pattern_in_data,     //                                     .data
		input  wire        data_pattern_checker_1_pattern_in_valid,    //    data_pattern_checker_1_pattern_in.valid
		output wire        data_pattern_checker_1_pattern_in_ready,    //                                     .ready
		input  wire [39:0] data_pattern_checker_1_pattern_in_data,     //                                     .data
		input  wire        data_pattern_checker_2_pattern_in_valid,    //    data_pattern_checker_2_pattern_in.valid
		output wire        data_pattern_checker_2_pattern_in_ready,    //                                     .ready
		input  wire [63:0] data_pattern_checker_2_pattern_in_data,     //                                     .data
		output wire        data_pattern_generator_0_pattern_out_valid, // data_pattern_generator_0_pattern_out.valid
		input  wire        data_pattern_generator_0_pattern_out_ready, //                                     .ready
		output wire [31:0] data_pattern_generator_0_pattern_out_data,  //                                     .data
		output wire        data_pattern_generator_1_pattern_out_valid, // data_pattern_generator_1_pattern_out.valid
		input  wire        data_pattern_generator_1_pattern_out_ready, //                                     .ready
		output wire [39:0] data_pattern_generator_1_pattern_out_data,  //                                     .data
		output wire        data_pattern_generator_2_pattern_out_valid, // data_pattern_generator_2_pattern_out.valid
		input  wire        data_pattern_generator_2_pattern_out_ready, //                                     .ready
		output wire [63:0] data_pattern_generator_2_pattern_out_data,  //                                     .data
		input  wire        master_driver_com_0_conduit_end_lock,       //      master_driver_com_0_conduit_end.lock
		output wire        master_driver_com_0_conduit_end_error_mon,  //                                     .error_mon
		output wire        master_driver_com_0_conduit_end_status_mon, //                                     .status_mon
		input  wire        master_driver_com_1_conduit_end_lock,       //      master_driver_com_1_conduit_end.lock
		output wire        master_driver_com_1_conduit_end_error_mon,  //                                     .error_mon
		output wire        master_driver_com_1_conduit_end_status_mon, //                                     .status_mon
		input  wire        master_driver_com_2_conduit_end_lock,       //      master_driver_com_2_conduit_end.lock
		output wire        master_driver_com_2_conduit_end_error_mon,  //                                     .error_mon
		output wire        master_driver_com_2_conduit_end_status_mon, //                                     .status_mon
		output wire        mm_bridge_0_s0_waitrequest,                 //                       mm_bridge_0_s0.waitrequest
		output wire [31:0] mm_bridge_0_s0_readdata,                    //                                     .readdata
		output wire        mm_bridge_0_s0_readdatavalid,               //                                     .readdatavalid
		input  wire [0:0]  mm_bridge_0_s0_burstcount,                  //                                     .burstcount
		input  wire [31:0] mm_bridge_0_s0_writedata,                   //                                     .writedata
		input  wire [13:0] mm_bridge_0_s0_address,                     //                                     .address
		input  wire        mm_bridge_0_s0_write,                       //                                     .write
		input  wire        mm_bridge_0_s0_read,                        //                                     .read
		input  wire [3:0]  mm_bridge_0_s0_byteenable,                  //                                     .byteenable
		input  wire        mm_bridge_0_s0_debugaccess,                 //                                     .debugaccess
		input  wire        reset_reset_n,                              //                                reset.reset_n
		input  wire        rx_clk,                                     //                                   rx.clk
		input  wire        tx_clk                                      //                                   tx.clk
	);

	wire         master_driver_com_0_avalon_master_chipselect;                    // master_driver_com_0:master_csn -> mm_interconnect_0:master_driver_com_0_avalon_master_chipselect
	wire         master_driver_com_0_avalon_master_waitrequest;                   // mm_interconnect_0:master_driver_com_0_avalon_master_waitrequest -> master_driver_com_0:waitrequest_in
	wire  [31:0] master_driver_com_0_avalon_master_readdata;                      // mm_interconnect_0:master_driver_com_0_avalon_master_readdata -> master_driver_com_0:master_rdata
	wire         master_driver_com_0_avalon_master_read;                          // master_driver_com_0:master_oen -> mm_interconnect_0:master_driver_com_0_avalon_master_read
	wire   [3:0] master_driver_com_0_avalon_master_byteenable;                    // master_driver_com_0:master_be -> mm_interconnect_0:master_driver_com_0_avalon_master_byteenable
	wire  [31:0] master_driver_com_0_avalon_master_address;                       // master_driver_com_0:master_address -> mm_interconnect_0:master_driver_com_0_avalon_master_address
	wire         master_driver_com_0_avalon_master_write;                         // master_driver_com_0:master_wen -> mm_interconnect_0:master_driver_com_0_avalon_master_write
	wire  [31:0] master_driver_com_0_avalon_master_writedata;                     // master_driver_com_0:master_wdata -> mm_interconnect_0:master_driver_com_0_avalon_master_writedata
	wire         mm_bridge_0_m0_waitrequest;                                      // mm_interconnect_0:mm_bridge_0_m0_waitrequest -> mm_bridge_0:m0_waitrequest
	wire  [31:0] mm_bridge_0_m0_readdata;                                         // mm_interconnect_0:mm_bridge_0_m0_readdata -> mm_bridge_0:m0_readdata
	wire         mm_bridge_0_m0_debugaccess;                                      // mm_bridge_0:m0_debugaccess -> mm_interconnect_0:mm_bridge_0_m0_debugaccess
	wire  [13:0] mm_bridge_0_m0_address;                                          // mm_bridge_0:m0_address -> mm_interconnect_0:mm_bridge_0_m0_address
	wire         mm_bridge_0_m0_read;                                             // mm_bridge_0:m0_read -> mm_interconnect_0:mm_bridge_0_m0_read
	wire   [3:0] mm_bridge_0_m0_byteenable;                                       // mm_bridge_0:m0_byteenable -> mm_interconnect_0:mm_bridge_0_m0_byteenable
	wire         mm_bridge_0_m0_readdatavalid;                                    // mm_interconnect_0:mm_bridge_0_m0_readdatavalid -> mm_bridge_0:m0_readdatavalid
	wire  [31:0] mm_bridge_0_m0_writedata;                                        // mm_bridge_0:m0_writedata -> mm_interconnect_0:mm_bridge_0_m0_writedata
	wire         mm_bridge_0_m0_write;                                            // mm_bridge_0:m0_write -> mm_interconnect_0:mm_bridge_0_m0_write
	wire   [0:0] mm_bridge_0_m0_burstcount;                                       // mm_bridge_0:m0_burstcount -> mm_interconnect_0:mm_bridge_0_m0_burstcount
	wire         master_driver_com_2_avalon_master_chipselect;                    // master_driver_com_2:master_csn -> mm_interconnect_0:master_driver_com_2_avalon_master_chipselect
	wire         master_driver_com_2_avalon_master_waitrequest;                   // mm_interconnect_0:master_driver_com_2_avalon_master_waitrequest -> master_driver_com_2:waitrequest_in
	wire  [31:0] master_driver_com_2_avalon_master_readdata;                      // mm_interconnect_0:master_driver_com_2_avalon_master_readdata -> master_driver_com_2:master_rdata
	wire         master_driver_com_2_avalon_master_read;                          // master_driver_com_2:master_oen -> mm_interconnect_0:master_driver_com_2_avalon_master_read
	wire   [3:0] master_driver_com_2_avalon_master_byteenable;                    // master_driver_com_2:master_be -> mm_interconnect_0:master_driver_com_2_avalon_master_byteenable
	wire  [31:0] master_driver_com_2_avalon_master_address;                       // master_driver_com_2:master_address -> mm_interconnect_0:master_driver_com_2_avalon_master_address
	wire         master_driver_com_2_avalon_master_write;                         // master_driver_com_2:master_wen -> mm_interconnect_0:master_driver_com_2_avalon_master_write
	wire  [31:0] master_driver_com_2_avalon_master_writedata;                     // master_driver_com_2:master_wdata -> mm_interconnect_0:master_driver_com_2_avalon_master_writedata
	wire         master_driver_com_1_avalon_master_chipselect;                    // master_driver_com_1:master_csn -> mm_interconnect_0:master_driver_com_1_avalon_master_chipselect
	wire         master_driver_com_1_avalon_master_waitrequest;                   // mm_interconnect_0:master_driver_com_1_avalon_master_waitrequest -> master_driver_com_1:waitrequest_in
	wire  [31:0] master_driver_com_1_avalon_master_readdata;                      // mm_interconnect_0:master_driver_com_1_avalon_master_readdata -> master_driver_com_1:master_rdata
	wire         master_driver_com_1_avalon_master_read;                          // master_driver_com_1:master_oen -> mm_interconnect_0:master_driver_com_1_avalon_master_read
	wire   [3:0] master_driver_com_1_avalon_master_byteenable;                    // master_driver_com_1:master_be -> mm_interconnect_0:master_driver_com_1_avalon_master_byteenable
	wire  [31:0] master_driver_com_1_avalon_master_address;                       // master_driver_com_1:master_address -> mm_interconnect_0:master_driver_com_1_avalon_master_address
	wire         master_driver_com_1_avalon_master_write;                         // master_driver_com_1:master_wen -> mm_interconnect_0:master_driver_com_1_avalon_master_write
	wire  [31:0] master_driver_com_1_avalon_master_writedata;                     // master_driver_com_1:master_wdata -> mm_interconnect_0:master_driver_com_1_avalon_master_writedata
	wire  [31:0] mm_interconnect_0_freq_counter_0_csr_readdata;                   // freq_counter_0:csr_readdata -> mm_interconnect_0:freq_counter_0_csr_readdata
	wire         mm_interconnect_0_freq_counter_0_csr_waitrequest;                // freq_counter_0:csr_waitrequest -> mm_interconnect_0:freq_counter_0_csr_waitrequest
	wire   [3:0] mm_interconnect_0_freq_counter_0_csr_address;                    // mm_interconnect_0:freq_counter_0_csr_address -> freq_counter_0:csr_address
	wire         mm_interconnect_0_freq_counter_0_csr_read;                       // mm_interconnect_0:freq_counter_0_csr_read -> freq_counter_0:csr_read
	wire  [31:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_readdata;     // data_pattern_checker_0:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_0_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_0_csr_slave_address -> data_pattern_checker_0:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_0_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_0_csr_slave_read -> data_pattern_checker_0:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_0_csr_slave_byteenable -> data_pattern_checker_0:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_0_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_0_csr_slave_write -> data_pattern_checker_0:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_0_csr_slave_writedata -> data_pattern_checker_0:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_readdata;   // data_pattern_generator_0:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_0_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_0_csr_slave_address -> data_pattern_generator_0:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_0_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_0_csr_slave_read -> data_pattern_generator_0:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_0_csr_slave_byteenable -> data_pattern_generator_0:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_0_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_0_csr_slave_write -> data_pattern_generator_0:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_0_csr_slave_writedata -> data_pattern_generator_0:csr_slave_writedata
	wire         mm_interconnect_0_timer_0_s1_chipselect;                         // mm_interconnect_0:timer_0_s1_chipselect -> timer_0:chipselect
	wire  [15:0] mm_interconnect_0_timer_0_s1_readdata;                           // timer_0:readdata -> mm_interconnect_0:timer_0_s1_readdata
	wire   [3:0] mm_interconnect_0_timer_0_s1_address;                            // mm_interconnect_0:timer_0_s1_address -> timer_0:address
	wire         mm_interconnect_0_timer_0_s1_write;                              // mm_interconnect_0:timer_0_s1_write -> timer_0:write_n
	wire  [15:0] mm_interconnect_0_timer_0_s1_writedata;                          // mm_interconnect_0:timer_0_s1_writedata -> timer_0:writedata
	wire  [31:0] mm_interconnect_0_master_driver_com_0_csr_readdata;              // master_driver_com_0:csr_readdata -> mm_interconnect_0:master_driver_com_0_csr_readdata
	wire         mm_interconnect_0_master_driver_com_0_csr_waitrequest;           // master_driver_com_0:csr_waitrequest -> mm_interconnect_0:master_driver_com_0_csr_waitrequest
	wire   [3:0] mm_interconnect_0_master_driver_com_0_csr_address;               // mm_interconnect_0:master_driver_com_0_csr_address -> master_driver_com_0:csr_address
	wire         mm_interconnect_0_master_driver_com_0_csr_read;                  // mm_interconnect_0:master_driver_com_0_csr_read -> master_driver_com_0:csr_read
	wire         mm_interconnect_0_master_driver_com_0_csr_write;                 // mm_interconnect_0:master_driver_com_0_csr_write -> master_driver_com_0:csr_write
	wire  [31:0] mm_interconnect_0_master_driver_com_0_csr_writedata;             // mm_interconnect_0:master_driver_com_0_csr_writedata -> master_driver_com_0:csr_writedata
	wire  [31:0] mm_interconnect_0_master_driver_com_1_csr_readdata;              // master_driver_com_1:csr_readdata -> mm_interconnect_0:master_driver_com_1_csr_readdata
	wire         mm_interconnect_0_master_driver_com_1_csr_waitrequest;           // master_driver_com_1:csr_waitrequest -> mm_interconnect_0:master_driver_com_1_csr_waitrequest
	wire   [3:0] mm_interconnect_0_master_driver_com_1_csr_address;               // mm_interconnect_0:master_driver_com_1_csr_address -> master_driver_com_1:csr_address
	wire         mm_interconnect_0_master_driver_com_1_csr_read;                  // mm_interconnect_0:master_driver_com_1_csr_read -> master_driver_com_1:csr_read
	wire         mm_interconnect_0_master_driver_com_1_csr_write;                 // mm_interconnect_0:master_driver_com_1_csr_write -> master_driver_com_1:csr_write
	wire  [31:0] mm_interconnect_0_master_driver_com_1_csr_writedata;             // mm_interconnect_0:master_driver_com_1_csr_writedata -> master_driver_com_1:csr_writedata
	wire  [31:0] mm_interconnect_0_master_driver_com_2_csr_readdata;              // master_driver_com_2:csr_readdata -> mm_interconnect_0:master_driver_com_2_csr_readdata
	wire         mm_interconnect_0_master_driver_com_2_csr_waitrequest;           // master_driver_com_2:csr_waitrequest -> mm_interconnect_0:master_driver_com_2_csr_waitrequest
	wire   [3:0] mm_interconnect_0_master_driver_com_2_csr_address;               // mm_interconnect_0:master_driver_com_2_csr_address -> master_driver_com_2:csr_address
	wire         mm_interconnect_0_master_driver_com_2_csr_read;                  // mm_interconnect_0:master_driver_com_2_csr_read -> master_driver_com_2:csr_read
	wire         mm_interconnect_0_master_driver_com_2_csr_write;                 // mm_interconnect_0:master_driver_com_2_csr_write -> master_driver_com_2:csr_write
	wire  [31:0] mm_interconnect_0_master_driver_com_2_csr_writedata;             // mm_interconnect_0:master_driver_com_2_csr_writedata -> master_driver_com_2:csr_writedata
	wire  [31:0] mm_interconnect_0_freq_counter_1_csr_readdata;                   // freq_counter_1:csr_readdata -> mm_interconnect_0:freq_counter_1_csr_readdata
	wire         mm_interconnect_0_freq_counter_1_csr_waitrequest;                // freq_counter_1:csr_waitrequest -> mm_interconnect_0:freq_counter_1_csr_waitrequest
	wire   [3:0] mm_interconnect_0_freq_counter_1_csr_address;                    // mm_interconnect_0:freq_counter_1_csr_address -> freq_counter_1:csr_address
	wire         mm_interconnect_0_freq_counter_1_csr_read;                       // mm_interconnect_0:freq_counter_1_csr_read -> freq_counter_1:csr_read
	wire  [31:0] mm_interconnect_0_freq_counter_2_csr_readdata;                   // freq_counter_2:csr_readdata -> mm_interconnect_0:freq_counter_2_csr_readdata
	wire         mm_interconnect_0_freq_counter_2_csr_waitrequest;                // freq_counter_2:csr_waitrequest -> mm_interconnect_0:freq_counter_2_csr_waitrequest
	wire   [3:0] mm_interconnect_0_freq_counter_2_csr_address;                    // mm_interconnect_0:freq_counter_2_csr_address -> freq_counter_2:csr_address
	wire         mm_interconnect_0_freq_counter_2_csr_read;                       // mm_interconnect_0:freq_counter_2_csr_read -> freq_counter_2:csr_read
	wire  [31:0] mm_interconnect_0_data_pattern_generator_1_csr_slave_readdata;   // data_pattern_generator_1:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_1_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_1_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_1_csr_slave_address -> data_pattern_generator_1:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_1_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_1_csr_slave_read -> data_pattern_generator_1:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_1_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_1_csr_slave_byteenable -> data_pattern_generator_1:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_1_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_1_csr_slave_write -> data_pattern_generator_1:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_1_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_1_csr_slave_writedata -> data_pattern_generator_1:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_generator_2_csr_slave_readdata;   // data_pattern_generator_2:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_2_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_2_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_2_csr_slave_address -> data_pattern_generator_2:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_2_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_2_csr_slave_read -> data_pattern_generator_2:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_2_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_2_csr_slave_byteenable -> data_pattern_generator_2:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_2_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_2_csr_slave_write -> data_pattern_generator_2:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_2_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_2_csr_slave_writedata -> data_pattern_generator_2:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_1_csr_slave_readdata;     // data_pattern_checker_1:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_1_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_1_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_1_csr_slave_address -> data_pattern_checker_1:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_1_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_1_csr_slave_read -> data_pattern_checker_1:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_1_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_1_csr_slave_byteenable -> data_pattern_checker_1:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_1_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_1_csr_slave_write -> data_pattern_checker_1:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_1_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_1_csr_slave_writedata -> data_pattern_checker_1:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_2_csr_slave_readdata;     // data_pattern_checker_2:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_2_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_2_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_2_csr_slave_address -> data_pattern_checker_2:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_2_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_2_csr_slave_read -> data_pattern_checker_2:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_2_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_2_csr_slave_byteenable -> data_pattern_checker_2:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_2_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_2_csr_slave_write -> data_pattern_checker_2:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_2_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_2_csr_slave_writedata -> data_pattern_checker_2:csr_slave_writedata
	wire         mm_interconnect_0_timer_1_s1_chipselect;                         // mm_interconnect_0:timer_1_s1_chipselect -> timer_1:chipselect
	wire  [15:0] mm_interconnect_0_timer_1_s1_readdata;                           // timer_1:readdata -> mm_interconnect_0:timer_1_s1_readdata
	wire   [3:0] mm_interconnect_0_timer_1_s1_address;                            // mm_interconnect_0:timer_1_s1_address -> timer_1:address
	wire         mm_interconnect_0_timer_1_s1_write;                              // mm_interconnect_0:timer_1_s1_write -> timer_1:write_n
	wire  [15:0] mm_interconnect_0_timer_1_s1_writedata;                          // mm_interconnect_0:timer_1_s1_writedata -> timer_1:writedata
	wire         mm_interconnect_0_timer_2_s1_chipselect;                         // mm_interconnect_0:timer_2_s1_chipselect -> timer_2:chipselect
	wire  [15:0] mm_interconnect_0_timer_2_s1_readdata;                           // timer_2:readdata -> mm_interconnect_0:timer_2_s1_readdata
	wire   [3:0] mm_interconnect_0_timer_2_s1_address;                            // mm_interconnect_0:timer_2_s1_address -> timer_2:address
	wire         mm_interconnect_0_timer_2_s1_write;                              // mm_interconnect_0:timer_2_s1_write -> timer_2:write_n
	wire  [15:0] mm_interconnect_0_timer_2_s1_writedata;                          // mm_interconnect_0:timer_2_s1_writedata -> timer_2:writedata
	wire         rst_controller_reset_out_reset;                                  // rst_controller:reset_out -> [data_pattern_checker_0:reset_reset, data_pattern_checker_1:reset_reset, data_pattern_checker_2:reset_reset, data_pattern_generator_0:reset_reset, data_pattern_generator_1:reset_reset, data_pattern_generator_2:reset_reset, freq_counter_0:reset_n, freq_counter_1:reset_n, freq_counter_2:reset_n, master_driver_com_0:reset_n, master_driver_com_1:reset_n, mm_bridge_0:reset, mm_interconnect_0:master_driver_com_0_reset_reset_bridge_in_reset_reset, timer_0:reset_n, timer_1:reset_n, timer_2:reset_n]
	wire         rst_controller_001_reset_out_reset;                              // rst_controller_001:reset_out -> [master_driver_com_2:reset_n, mm_interconnect_0:master_driver_com_2_reset_reset_bridge_in_reset_reset]

	q_sys_cmos_0_data_pattern_checker_0 #(
		.ST_DATA_W            (32),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_checker_0 (
		.csr_clk_clk          (clk50_clk),                                                     //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_0_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_0_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_0_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_0_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_0_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_0_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (rx_clk),                                                        // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_0_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_0_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_0_pattern_in_data)                         //               .data
	);

	q_sys_lvds_0_data_pattern_checker_1 #(
		.ST_DATA_W            (40),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_checker_1 (
		.csr_clk_clk          (clk50_clk),                                                     //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_1_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_1_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_1_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_1_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_1_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_1_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (rx_clk),                                                        // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_1_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_1_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_1_pattern_in_data)                         //               .data
	);

	q_sys_lvds_0_data_pattern_checker_2 #(
		.ST_DATA_W            (64),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_checker_2 (
		.csr_clk_clk          (clk50_clk),                                                     //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_2_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_2_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_2_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_2_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_2_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_2_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (rx_clk),                                                        // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_2_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_2_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_2_pattern_in_data)                         //               .data
	);

	q_sys_cmos_0_data_pattern_generator_0 #(
		.ST_DATA_W            (32),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_generator_0 (
		.csr_clk_clk          (clk50_clk),                                                       //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                  //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_0_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_0_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_0_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_0_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_0_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_0_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (tx_clk),                                                          // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_0_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_0_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_0_pattern_out_data)                        //                .data
	);

	q_sys_lvds_0_data_pattern_generator_1 #(
		.ST_DATA_W            (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_generator_1 (
		.csr_clk_clk          (clk50_clk),                                                       //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                  //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_1_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_1_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_1_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_1_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_1_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_1_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (tx_clk),                                                          // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_1_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_1_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_1_pattern_out_data)                        //                .data
	);

	q_sys_lvds_0_data_pattern_generator_2 #(
		.ST_DATA_W            (64),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_generator_2 (
		.csr_clk_clk          (clk50_clk),                                                       //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                  //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_2_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_2_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_2_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_2_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_2_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_2_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (tx_clk),                                                          // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_2_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_2_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_2_pattern_out_data)                        //                .data
	);

	freq_counter #(
		.SYSTEM_CLK_FREQ_PICO_SEC (20000),
		.DIV                      (1)
	) freq_counter_0 (
		.reset_n         (~rst_controller_reset_out_reset),                  //        reset.reset_n
		.clk             (clk50_clk),                                        //        clock.clk
		.csr_address     (mm_interconnect_0_freq_counter_0_csr_address),     //          csr.address
		.csr_read        (mm_interconnect_0_freq_counter_0_csr_read),        //             .read
		.csr_readdata    (mm_interconnect_0_freq_counter_0_csr_readdata),    //             .readdata
		.csr_waitrequest (mm_interconnect_0_freq_counter_0_csr_waitrequest), //             .waitrequest
		.sample_clk      (rx_clk)                                            // sample_clock.clk
	);

	freq_counter #(
		.SYSTEM_CLK_FREQ_PICO_SEC (20000),
		.DIV                      (1)
	) freq_counter_1 (
		.reset_n         (~rst_controller_reset_out_reset),                  //        reset.reset_n
		.clk             (clk50_clk),                                        //        clock.clk
		.csr_address     (mm_interconnect_0_freq_counter_1_csr_address),     //          csr.address
		.csr_read        (mm_interconnect_0_freq_counter_1_csr_read),        //             .read
		.csr_readdata    (mm_interconnect_0_freq_counter_1_csr_readdata),    //             .readdata
		.csr_waitrequest (mm_interconnect_0_freq_counter_1_csr_waitrequest), //             .waitrequest
		.sample_clk      (rx_clk)                                            // sample_clock.clk
	);

	freq_counter #(
		.SYSTEM_CLK_FREQ_PICO_SEC (20000),
		.DIV                      (1)
	) freq_counter_2 (
		.reset_n         (~rst_controller_reset_out_reset),                  //        reset.reset_n
		.clk             (clk50_clk),                                        //        clock.clk
		.csr_address     (mm_interconnect_0_freq_counter_2_csr_address),     //          csr.address
		.csr_read        (mm_interconnect_0_freq_counter_2_csr_read),        //             .read
		.csr_readdata    (mm_interconnect_0_freq_counter_2_csr_readdata),    //             .readdata
		.csr_waitrequest (mm_interconnect_0_freq_counter_2_csr_waitrequest), //             .waitrequest
		.sample_clk      (rx_clk)                                            // sample_clock.clk
	);

	master_driver_com #(
		.CHECKER_BASE           (32'b00000000000000000001000000100000),
		.GENERATOR_BASE         (32'b00000000000000000001000000000000),
		.TIMER_BASE             (32'b00000000000000000001000100000000),
		.FREQ_BASE              (32'b00000000000000000001001000000000),
		.DESERIALIZATION_FACTOR (32'b00000000000000000000000000001000),
		.NUM_OF_CH              (32'b00000000000000000000000000000100),
		.ENABLE_PER_INFO        (1)
	) master_driver_com_0 (
		.reset_n         (~rst_controller_reset_out_reset),                       //         reset.reset_n
		.clk             (clk50_clk),                                             //         clock.clk
		.waitrequest_in  (master_driver_com_0_avalon_master_waitrequest),         // avalon_master.waitrequest
		.master_csn      (master_driver_com_0_avalon_master_chipselect),          //              .chipselect_n
		.master_wen      (master_driver_com_0_avalon_master_write),               //              .write_n
		.master_oen      (master_driver_com_0_avalon_master_read),                //              .read_n
		.master_be       (master_driver_com_0_avalon_master_byteenable),          //              .byteenable
		.master_address  (master_driver_com_0_avalon_master_address),             //              .address
		.master_wdata    (master_driver_com_0_avalon_master_writedata),           //              .writedata
		.master_rdata    (master_driver_com_0_avalon_master_readdata),            //              .readdata
		.csr_read        (mm_interconnect_0_master_driver_com_0_csr_read),        //           csr.read
		.csr_write       (mm_interconnect_0_master_driver_com_0_csr_write),       //              .write
		.csr_readdata    (mm_interconnect_0_master_driver_com_0_csr_readdata),    //              .readdata
		.csr_writedata   (mm_interconnect_0_master_driver_com_0_csr_writedata),   //              .writedata
		.csr_waitrequest (mm_interconnect_0_master_driver_com_0_csr_waitrequest), //              .waitrequest
		.csr_address     (mm_interconnect_0_master_driver_com_0_csr_address),     //              .address
		.lock            (master_driver_com_0_conduit_end_lock),                  //   conduit_end.export
		.error_mon       (master_driver_com_0_conduit_end_error_mon),             //              .export
		.status_mon      (master_driver_com_0_conduit_end_status_mon)             //              .export
	);

	master_driver_com #(
		.CHECKER_BASE           (32'b00000000000000000010000000100000),
		.GENERATOR_BASE         (32'b00000000000000000010000000000000),
		.TIMER_BASE             (32'b00000000000000000010000100000000),
		.FREQ_BASE              (32'b00000000000000000010001000000000),
		.DESERIALIZATION_FACTOR (32'b00000000000000000000000000001000),
		.NUM_OF_CH              (32'b00000000000000000000000000000101),
		.ENABLE_PER_INFO        (1)
	) master_driver_com_1 (
		.reset_n         (~rst_controller_reset_out_reset),                       //         reset.reset_n
		.clk             (clk50_clk),                                             //         clock.clk
		.waitrequest_in  (master_driver_com_1_avalon_master_waitrequest),         // avalon_master.waitrequest
		.master_csn      (master_driver_com_1_avalon_master_chipselect),          //              .chipselect_n
		.master_wen      (master_driver_com_1_avalon_master_write),               //              .write_n
		.master_oen      (master_driver_com_1_avalon_master_read),                //              .read_n
		.master_be       (master_driver_com_1_avalon_master_byteenable),          //              .byteenable
		.master_address  (master_driver_com_1_avalon_master_address),             //              .address
		.master_wdata    (master_driver_com_1_avalon_master_writedata),           //              .writedata
		.master_rdata    (master_driver_com_1_avalon_master_readdata),            //              .readdata
		.csr_read        (mm_interconnect_0_master_driver_com_1_csr_read),        //           csr.read
		.csr_write       (mm_interconnect_0_master_driver_com_1_csr_write),       //              .write
		.csr_readdata    (mm_interconnect_0_master_driver_com_1_csr_readdata),    //              .readdata
		.csr_writedata   (mm_interconnect_0_master_driver_com_1_csr_writedata),   //              .writedata
		.csr_waitrequest (mm_interconnect_0_master_driver_com_1_csr_waitrequest), //              .waitrequest
		.csr_address     (mm_interconnect_0_master_driver_com_1_csr_address),     //              .address
		.lock            (master_driver_com_1_conduit_end_lock),                  //   conduit_end.export
		.error_mon       (master_driver_com_1_conduit_end_error_mon),             //              .export
		.status_mon      (master_driver_com_1_conduit_end_status_mon)             //              .export
	);

	master_driver_com #(
		.CHECKER_BASE           (32'b00000000000000000011000000100000),
		.GENERATOR_BASE         (32'b00000000000000000011000000000000),
		.TIMER_BASE             (32'b00000000000000000011000100000000),
		.FREQ_BASE              (32'b00000000000000000011001000000000),
		.DESERIALIZATION_FACTOR (32'b00000000000000000000000000001000),
		.NUM_OF_CH              (32'b00000000000000000000000000001000),
		.ENABLE_PER_INFO        (1)
	) master_driver_com_2 (
		.reset_n         (~rst_controller_001_reset_out_reset),                   //         reset.reset_n
		.clk             (rx_clk),                                                //         clock.clk
		.waitrequest_in  (master_driver_com_2_avalon_master_waitrequest),         // avalon_master.waitrequest
		.master_csn      (master_driver_com_2_avalon_master_chipselect),          //              .chipselect_n
		.master_wen      (master_driver_com_2_avalon_master_write),               //              .write_n
		.master_oen      (master_driver_com_2_avalon_master_read),                //              .read_n
		.master_be       (master_driver_com_2_avalon_master_byteenable),          //              .byteenable
		.master_address  (master_driver_com_2_avalon_master_address),             //              .address
		.master_wdata    (master_driver_com_2_avalon_master_writedata),           //              .writedata
		.master_rdata    (master_driver_com_2_avalon_master_readdata),            //              .readdata
		.csr_read        (mm_interconnect_0_master_driver_com_2_csr_read),        //           csr.read
		.csr_write       (mm_interconnect_0_master_driver_com_2_csr_write),       //              .write
		.csr_readdata    (mm_interconnect_0_master_driver_com_2_csr_readdata),    //              .readdata
		.csr_writedata   (mm_interconnect_0_master_driver_com_2_csr_writedata),   //              .writedata
		.csr_waitrequest (mm_interconnect_0_master_driver_com_2_csr_waitrequest), //              .waitrequest
		.csr_address     (mm_interconnect_0_master_driver_com_2_csr_address),     //              .address
		.lock            (master_driver_com_2_conduit_end_lock),                  //   conduit_end.export
		.error_mon       (master_driver_com_2_conduit_end_error_mon),             //              .export
		.status_mon      (master_driver_com_2_conduit_end_status_mon)             //              .export
	);

	altera_avalon_mm_bridge #(
		.DATA_WIDTH        (32),
		.SYMBOL_WIDTH      (8),
		.HDL_ADDR_WIDTH    (14),
		.BURSTCOUNT_WIDTH  (1),
		.PIPELINE_COMMAND  (1),
		.PIPELINE_RESPONSE (1)
	) mm_bridge_0 (
		.clk              (clk50_clk),                      //   clk.clk
		.reset            (rst_controller_reset_out_reset), // reset.reset
		.s0_waitrequest   (mm_bridge_0_s0_waitrequest),     //    s0.waitrequest
		.s0_readdata      (mm_bridge_0_s0_readdata),        //      .readdata
		.s0_readdatavalid (mm_bridge_0_s0_readdatavalid),   //      .readdatavalid
		.s0_burstcount    (mm_bridge_0_s0_burstcount),      //      .burstcount
		.s0_writedata     (mm_bridge_0_s0_writedata),       //      .writedata
		.s0_address       (mm_bridge_0_s0_address),         //      .address
		.s0_write         (mm_bridge_0_s0_write),           //      .write
		.s0_read          (mm_bridge_0_s0_read),            //      .read
		.s0_byteenable    (mm_bridge_0_s0_byteenable),      //      .byteenable
		.s0_debugaccess   (mm_bridge_0_s0_debugaccess),     //      .debugaccess
		.m0_waitrequest   (mm_bridge_0_m0_waitrequest),     //    m0.waitrequest
		.m0_readdata      (mm_bridge_0_m0_readdata),        //      .readdata
		.m0_readdatavalid (mm_bridge_0_m0_readdatavalid),   //      .readdatavalid
		.m0_burstcount    (mm_bridge_0_m0_burstcount),      //      .burstcount
		.m0_writedata     (mm_bridge_0_m0_writedata),       //      .writedata
		.m0_address       (mm_bridge_0_m0_address),         //      .address
		.m0_write         (mm_bridge_0_m0_write),           //      .write
		.m0_read          (mm_bridge_0_m0_read),            //      .read
		.m0_byteenable    (mm_bridge_0_m0_byteenable),      //      .byteenable
		.m0_debugaccess   (mm_bridge_0_m0_debugaccess),     //      .debugaccess
		.s0_response      (),                               // (terminated)
		.m0_response      (2'b00)                           // (terminated)
	);

	q_sys_cmos_0_timer_0 timer_0 (
		.clk        (clk50_clk),                               //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         // reset.reset_n
		.address    (mm_interconnect_0_timer_0_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_timer_0_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_timer_0_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_timer_0_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_timer_0_s1_write),     //      .write_n
		.irq        ()                                         //   irq.irq
	);

	q_sys_cmos_0_timer_0 timer_1 (
		.clk        (clk50_clk),                               //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         // reset.reset_n
		.address    (mm_interconnect_0_timer_1_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_timer_1_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_timer_1_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_timer_1_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_timer_1_s1_write),     //      .write_n
		.irq        ()                                         //   irq.irq
	);

	q_sys_cmos_0_timer_0 timer_2 (
		.clk        (clk50_clk),                               //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         // reset.reset_n
		.address    (mm_interconnect_0_timer_2_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_timer_2_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_timer_2_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_timer_2_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_timer_2_s1_write),     //      .write_n
		.irq        ()                                         //   irq.irq
	);

	q_sys_lvds_0_mm_interconnect_0 mm_interconnect_0 (
		.clk_50_clk_clk                                        (clk50_clk),                                                       //                                      clk_50_clk.clk
		.clk_rx_clk_clk                                        (rx_clk),                                                          //                                      clk_rx_clk.clk
		.master_driver_com_0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                  // master_driver_com_0_reset_reset_bridge_in_reset.reset
		.master_driver_com_2_reset_reset_bridge_in_reset_reset (rst_controller_001_reset_out_reset),                              // master_driver_com_2_reset_reset_bridge_in_reset.reset
		.master_driver_com_0_avalon_master_address             (master_driver_com_0_avalon_master_address),                       //               master_driver_com_0_avalon_master.address
		.master_driver_com_0_avalon_master_waitrequest         (master_driver_com_0_avalon_master_waitrequest),                   //                                                .waitrequest
		.master_driver_com_0_avalon_master_byteenable          (master_driver_com_0_avalon_master_byteenable),                    //                                                .byteenable
		.master_driver_com_0_avalon_master_chipselect          (~master_driver_com_0_avalon_master_chipselect),                   //                                                .chipselect
		.master_driver_com_0_avalon_master_read                (~master_driver_com_0_avalon_master_read),                         //                                                .read
		.master_driver_com_0_avalon_master_readdata            (master_driver_com_0_avalon_master_readdata),                      //                                                .readdata
		.master_driver_com_0_avalon_master_write               (~master_driver_com_0_avalon_master_write),                        //                                                .write
		.master_driver_com_0_avalon_master_writedata           (master_driver_com_0_avalon_master_writedata),                     //                                                .writedata
		.master_driver_com_1_avalon_master_address             (master_driver_com_1_avalon_master_address),                       //               master_driver_com_1_avalon_master.address
		.master_driver_com_1_avalon_master_waitrequest         (master_driver_com_1_avalon_master_waitrequest),                   //                                                .waitrequest
		.master_driver_com_1_avalon_master_byteenable          (master_driver_com_1_avalon_master_byteenable),                    //                                                .byteenable
		.master_driver_com_1_avalon_master_chipselect          (~master_driver_com_1_avalon_master_chipselect),                   //                                                .chipselect
		.master_driver_com_1_avalon_master_read                (~master_driver_com_1_avalon_master_read),                         //                                                .read
		.master_driver_com_1_avalon_master_readdata            (master_driver_com_1_avalon_master_readdata),                      //                                                .readdata
		.master_driver_com_1_avalon_master_write               (~master_driver_com_1_avalon_master_write),                        //                                                .write
		.master_driver_com_1_avalon_master_writedata           (master_driver_com_1_avalon_master_writedata),                     //                                                .writedata
		.master_driver_com_2_avalon_master_address             (master_driver_com_2_avalon_master_address),                       //               master_driver_com_2_avalon_master.address
		.master_driver_com_2_avalon_master_waitrequest         (master_driver_com_2_avalon_master_waitrequest),                   //                                                .waitrequest
		.master_driver_com_2_avalon_master_byteenable          (master_driver_com_2_avalon_master_byteenable),                    //                                                .byteenable
		.master_driver_com_2_avalon_master_chipselect          (~master_driver_com_2_avalon_master_chipselect),                   //                                                .chipselect
		.master_driver_com_2_avalon_master_read                (~master_driver_com_2_avalon_master_read),                         //                                                .read
		.master_driver_com_2_avalon_master_readdata            (master_driver_com_2_avalon_master_readdata),                      //                                                .readdata
		.master_driver_com_2_avalon_master_write               (~master_driver_com_2_avalon_master_write),                        //                                                .write
		.master_driver_com_2_avalon_master_writedata           (master_driver_com_2_avalon_master_writedata),                     //                                                .writedata
		.mm_bridge_0_m0_address                                (mm_bridge_0_m0_address),                                          //                                  mm_bridge_0_m0.address
		.mm_bridge_0_m0_waitrequest                            (mm_bridge_0_m0_waitrequest),                                      //                                                .waitrequest
		.mm_bridge_0_m0_burstcount                             (mm_bridge_0_m0_burstcount),                                       //                                                .burstcount
		.mm_bridge_0_m0_byteenable                             (mm_bridge_0_m0_byteenable),                                       //                                                .byteenable
		.mm_bridge_0_m0_read                                   (mm_bridge_0_m0_read),                                             //                                                .read
		.mm_bridge_0_m0_readdata                               (mm_bridge_0_m0_readdata),                                         //                                                .readdata
		.mm_bridge_0_m0_readdatavalid                          (mm_bridge_0_m0_readdatavalid),                                    //                                                .readdatavalid
		.mm_bridge_0_m0_write                                  (mm_bridge_0_m0_write),                                            //                                                .write
		.mm_bridge_0_m0_writedata                              (mm_bridge_0_m0_writedata),                                        //                                                .writedata
		.mm_bridge_0_m0_debugaccess                            (mm_bridge_0_m0_debugaccess),                                      //                                                .debugaccess
		.data_pattern_checker_0_csr_slave_address              (mm_interconnect_0_data_pattern_checker_0_csr_slave_address),      //                data_pattern_checker_0_csr_slave.address
		.data_pattern_checker_0_csr_slave_write                (mm_interconnect_0_data_pattern_checker_0_csr_slave_write),        //                                                .write
		.data_pattern_checker_0_csr_slave_read                 (mm_interconnect_0_data_pattern_checker_0_csr_slave_read),         //                                                .read
		.data_pattern_checker_0_csr_slave_readdata             (mm_interconnect_0_data_pattern_checker_0_csr_slave_readdata),     //                                                .readdata
		.data_pattern_checker_0_csr_slave_writedata            (mm_interconnect_0_data_pattern_checker_0_csr_slave_writedata),    //                                                .writedata
		.data_pattern_checker_0_csr_slave_byteenable           (mm_interconnect_0_data_pattern_checker_0_csr_slave_byteenable),   //                                                .byteenable
		.data_pattern_checker_1_csr_slave_address              (mm_interconnect_0_data_pattern_checker_1_csr_slave_address),      //                data_pattern_checker_1_csr_slave.address
		.data_pattern_checker_1_csr_slave_write                (mm_interconnect_0_data_pattern_checker_1_csr_slave_write),        //                                                .write
		.data_pattern_checker_1_csr_slave_read                 (mm_interconnect_0_data_pattern_checker_1_csr_slave_read),         //                                                .read
		.data_pattern_checker_1_csr_slave_readdata             (mm_interconnect_0_data_pattern_checker_1_csr_slave_readdata),     //                                                .readdata
		.data_pattern_checker_1_csr_slave_writedata            (mm_interconnect_0_data_pattern_checker_1_csr_slave_writedata),    //                                                .writedata
		.data_pattern_checker_1_csr_slave_byteenable           (mm_interconnect_0_data_pattern_checker_1_csr_slave_byteenable),   //                                                .byteenable
		.data_pattern_checker_2_csr_slave_address              (mm_interconnect_0_data_pattern_checker_2_csr_slave_address),      //                data_pattern_checker_2_csr_slave.address
		.data_pattern_checker_2_csr_slave_write                (mm_interconnect_0_data_pattern_checker_2_csr_slave_write),        //                                                .write
		.data_pattern_checker_2_csr_slave_read                 (mm_interconnect_0_data_pattern_checker_2_csr_slave_read),         //                                                .read
		.data_pattern_checker_2_csr_slave_readdata             (mm_interconnect_0_data_pattern_checker_2_csr_slave_readdata),     //                                                .readdata
		.data_pattern_checker_2_csr_slave_writedata            (mm_interconnect_0_data_pattern_checker_2_csr_slave_writedata),    //                                                .writedata
		.data_pattern_checker_2_csr_slave_byteenable           (mm_interconnect_0_data_pattern_checker_2_csr_slave_byteenable),   //                                                .byteenable
		.data_pattern_generator_0_csr_slave_address            (mm_interconnect_0_data_pattern_generator_0_csr_slave_address),    //              data_pattern_generator_0_csr_slave.address
		.data_pattern_generator_0_csr_slave_write              (mm_interconnect_0_data_pattern_generator_0_csr_slave_write),      //                                                .write
		.data_pattern_generator_0_csr_slave_read               (mm_interconnect_0_data_pattern_generator_0_csr_slave_read),       //                                                .read
		.data_pattern_generator_0_csr_slave_readdata           (mm_interconnect_0_data_pattern_generator_0_csr_slave_readdata),   //                                                .readdata
		.data_pattern_generator_0_csr_slave_writedata          (mm_interconnect_0_data_pattern_generator_0_csr_slave_writedata),  //                                                .writedata
		.data_pattern_generator_0_csr_slave_byteenable         (mm_interconnect_0_data_pattern_generator_0_csr_slave_byteenable), //                                                .byteenable
		.data_pattern_generator_1_csr_slave_address            (mm_interconnect_0_data_pattern_generator_1_csr_slave_address),    //              data_pattern_generator_1_csr_slave.address
		.data_pattern_generator_1_csr_slave_write              (mm_interconnect_0_data_pattern_generator_1_csr_slave_write),      //                                                .write
		.data_pattern_generator_1_csr_slave_read               (mm_interconnect_0_data_pattern_generator_1_csr_slave_read),       //                                                .read
		.data_pattern_generator_1_csr_slave_readdata           (mm_interconnect_0_data_pattern_generator_1_csr_slave_readdata),   //                                                .readdata
		.data_pattern_generator_1_csr_slave_writedata          (mm_interconnect_0_data_pattern_generator_1_csr_slave_writedata),  //                                                .writedata
		.data_pattern_generator_1_csr_slave_byteenable         (mm_interconnect_0_data_pattern_generator_1_csr_slave_byteenable), //                                                .byteenable
		.data_pattern_generator_2_csr_slave_address            (mm_interconnect_0_data_pattern_generator_2_csr_slave_address),    //              data_pattern_generator_2_csr_slave.address
		.data_pattern_generator_2_csr_slave_write              (mm_interconnect_0_data_pattern_generator_2_csr_slave_write),      //                                                .write
		.data_pattern_generator_2_csr_slave_read               (mm_interconnect_0_data_pattern_generator_2_csr_slave_read),       //                                                .read
		.data_pattern_generator_2_csr_slave_readdata           (mm_interconnect_0_data_pattern_generator_2_csr_slave_readdata),   //                                                .readdata
		.data_pattern_generator_2_csr_slave_writedata          (mm_interconnect_0_data_pattern_generator_2_csr_slave_writedata),  //                                                .writedata
		.data_pattern_generator_2_csr_slave_byteenable         (mm_interconnect_0_data_pattern_generator_2_csr_slave_byteenable), //                                                .byteenable
		.freq_counter_0_csr_address                            (mm_interconnect_0_freq_counter_0_csr_address),                    //                              freq_counter_0_csr.address
		.freq_counter_0_csr_read                               (mm_interconnect_0_freq_counter_0_csr_read),                       //                                                .read
		.freq_counter_0_csr_readdata                           (mm_interconnect_0_freq_counter_0_csr_readdata),                   //                                                .readdata
		.freq_counter_0_csr_waitrequest                        (mm_interconnect_0_freq_counter_0_csr_waitrequest),                //                                                .waitrequest
		.freq_counter_1_csr_address                            (mm_interconnect_0_freq_counter_1_csr_address),                    //                              freq_counter_1_csr.address
		.freq_counter_1_csr_read                               (mm_interconnect_0_freq_counter_1_csr_read),                       //                                                .read
		.freq_counter_1_csr_readdata                           (mm_interconnect_0_freq_counter_1_csr_readdata),                   //                                                .readdata
		.freq_counter_1_csr_waitrequest                        (mm_interconnect_0_freq_counter_1_csr_waitrequest),                //                                                .waitrequest
		.freq_counter_2_csr_address                            (mm_interconnect_0_freq_counter_2_csr_address),                    //                              freq_counter_2_csr.address
		.freq_counter_2_csr_read                               (mm_interconnect_0_freq_counter_2_csr_read),                       //                                                .read
		.freq_counter_2_csr_readdata                           (mm_interconnect_0_freq_counter_2_csr_readdata),                   //                                                .readdata
		.freq_counter_2_csr_waitrequest                        (mm_interconnect_0_freq_counter_2_csr_waitrequest),                //                                                .waitrequest
		.master_driver_com_0_csr_address                       (mm_interconnect_0_master_driver_com_0_csr_address),               //                         master_driver_com_0_csr.address
		.master_driver_com_0_csr_write                         (mm_interconnect_0_master_driver_com_0_csr_write),                 //                                                .write
		.master_driver_com_0_csr_read                          (mm_interconnect_0_master_driver_com_0_csr_read),                  //                                                .read
		.master_driver_com_0_csr_readdata                      (mm_interconnect_0_master_driver_com_0_csr_readdata),              //                                                .readdata
		.master_driver_com_0_csr_writedata                     (mm_interconnect_0_master_driver_com_0_csr_writedata),             //                                                .writedata
		.master_driver_com_0_csr_waitrequest                   (mm_interconnect_0_master_driver_com_0_csr_waitrequest),           //                                                .waitrequest
		.master_driver_com_1_csr_address                       (mm_interconnect_0_master_driver_com_1_csr_address),               //                         master_driver_com_1_csr.address
		.master_driver_com_1_csr_write                         (mm_interconnect_0_master_driver_com_1_csr_write),                 //                                                .write
		.master_driver_com_1_csr_read                          (mm_interconnect_0_master_driver_com_1_csr_read),                  //                                                .read
		.master_driver_com_1_csr_readdata                      (mm_interconnect_0_master_driver_com_1_csr_readdata),              //                                                .readdata
		.master_driver_com_1_csr_writedata                     (mm_interconnect_0_master_driver_com_1_csr_writedata),             //                                                .writedata
		.master_driver_com_1_csr_waitrequest                   (mm_interconnect_0_master_driver_com_1_csr_waitrequest),           //                                                .waitrequest
		.master_driver_com_2_csr_address                       (mm_interconnect_0_master_driver_com_2_csr_address),               //                         master_driver_com_2_csr.address
		.master_driver_com_2_csr_write                         (mm_interconnect_0_master_driver_com_2_csr_write),                 //                                                .write
		.master_driver_com_2_csr_read                          (mm_interconnect_0_master_driver_com_2_csr_read),                  //                                                .read
		.master_driver_com_2_csr_readdata                      (mm_interconnect_0_master_driver_com_2_csr_readdata),              //                                                .readdata
		.master_driver_com_2_csr_writedata                     (mm_interconnect_0_master_driver_com_2_csr_writedata),             //                                                .writedata
		.master_driver_com_2_csr_waitrequest                   (mm_interconnect_0_master_driver_com_2_csr_waitrequest),           //                                                .waitrequest
		.timer_0_s1_address                                    (mm_interconnect_0_timer_0_s1_address),                            //                                      timer_0_s1.address
		.timer_0_s1_write                                      (mm_interconnect_0_timer_0_s1_write),                              //                                                .write
		.timer_0_s1_readdata                                   (mm_interconnect_0_timer_0_s1_readdata),                           //                                                .readdata
		.timer_0_s1_writedata                                  (mm_interconnect_0_timer_0_s1_writedata),                          //                                                .writedata
		.timer_0_s1_chipselect                                 (mm_interconnect_0_timer_0_s1_chipselect),                         //                                                .chipselect
		.timer_1_s1_address                                    (mm_interconnect_0_timer_1_s1_address),                            //                                      timer_1_s1.address
		.timer_1_s1_write                                      (mm_interconnect_0_timer_1_s1_write),                              //                                                .write
		.timer_1_s1_readdata                                   (mm_interconnect_0_timer_1_s1_readdata),                           //                                                .readdata
		.timer_1_s1_writedata                                  (mm_interconnect_0_timer_1_s1_writedata),                          //                                                .writedata
		.timer_1_s1_chipselect                                 (mm_interconnect_0_timer_1_s1_chipselect),                         //                                                .chipselect
		.timer_2_s1_address                                    (mm_interconnect_0_timer_2_s1_address),                            //                                      timer_2_s1.address
		.timer_2_s1_write                                      (mm_interconnect_0_timer_2_s1_write),                              //                                                .write
		.timer_2_s1_readdata                                   (mm_interconnect_0_timer_2_s1_readdata),                           //                                                .readdata
		.timer_2_s1_writedata                                  (mm_interconnect_0_timer_2_s1_writedata),                          //                                                .writedata
		.timer_2_s1_chipselect                                 (mm_interconnect_0_timer_2_s1_chipselect)                          //                                                .chipselect
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (clk50_clk),                      //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (rx_clk),                             //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
