
module q_sys_cmos (
	clkin_clk,
	clkin_reset_reset_n,
	data_pattern_generator_0_pattern_out_valid,
	data_pattern_generator_0_pattern_out_ready,
	data_pattern_generator_0_pattern_out_data,
	data_pattern_checker_0_pattern_in_valid,
	data_pattern_checker_0_pattern_in_ready,
	data_pattern_checker_0_pattern_in_data,
	mm_bridge_0_s0_waitrequest,
	mm_bridge_0_s0_readdata,
	mm_bridge_0_s0_readdatavalid,
	mm_bridge_0_s0_burstcount,
	mm_bridge_0_s0_writedata,
	mm_bridge_0_s0_address,
	mm_bridge_0_s0_write,
	mm_bridge_0_s0_read,
	mm_bridge_0_s0_byteenable,
	mm_bridge_0_s0_debugaccess,
	master_driver_com_0_conduit_end_lock,
	master_driver_com_0_conduit_end_error_mon,
	master_driver_com_0_conduit_end_status_mon);	

	input		clkin_clk;
	input		clkin_reset_reset_n;
	output		data_pattern_generator_0_pattern_out_valid;
	input		data_pattern_generator_0_pattern_out_ready;
	output	[31:0]	data_pattern_generator_0_pattern_out_data;
	input		data_pattern_checker_0_pattern_in_valid;
	output		data_pattern_checker_0_pattern_in_ready;
	input	[31:0]	data_pattern_checker_0_pattern_in_data;
	output		mm_bridge_0_s0_waitrequest;
	output	[31:0]	mm_bridge_0_s0_readdata;
	output		mm_bridge_0_s0_readdatavalid;
	input	[0:0]	mm_bridge_0_s0_burstcount;
	input	[31:0]	mm_bridge_0_s0_writedata;
	input	[9:0]	mm_bridge_0_s0_address;
	input		mm_bridge_0_s0_write;
	input		mm_bridge_0_s0_read;
	input	[3:0]	mm_bridge_0_s0_byteenable;
	input		mm_bridge_0_s0_debugaccess;
	input		master_driver_com_0_conduit_end_lock;
	output		master_driver_com_0_conduit_end_error_mon;
	output		master_driver_com_0_conduit_end_status_mon;
endmodule
