	component q_sys is
		port (
			clk_100_clk                                                : in  std_logic                     := 'X';             -- clk
			clk_100_reset_reset_n                                      : in  std_logic                     := 'X';             -- reset_n
			clk_50_clk                                                 : in  std_logic                     := 'X';             -- clk
			cmos_0_data_pattern_checker_0_pattern_in_valid             : in  std_logic                     := 'X';             -- valid
			cmos_0_data_pattern_checker_0_pattern_in_ready             : out std_logic;                                        -- ready
			cmos_0_data_pattern_checker_0_pattern_in_data              : in  std_logic_vector(49 downto 0) := (others => 'X'); -- data
			cmos_0_data_pattern_generator_0_pattern_out_valid          : out std_logic;                                        -- valid
			cmos_0_data_pattern_generator_0_pattern_out_ready          : in  std_logic                     := 'X';             -- ready
			cmos_0_data_pattern_generator_0_pattern_out_data           : out std_logic_vector(49 downto 0);                    -- data
			cmos_0_master_driver_com_0_conduit_end_lock                : in  std_logic                     := 'X';             -- lock
			cmos_0_master_driver_com_0_conduit_end_error_mon           : out std_logic;                                        -- error_mon
			cmos_0_master_driver_com_0_conduit_end_status_mon          : out std_logic;                                        -- status_mon
			reset_50_reset_n                                           : in  std_logic                     := 'X';             -- reset_n
			xcvr_0_tester_0_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			xcvr_0_tester_1_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			xcvr_0_tester_2_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			xcvr_0_tester_3_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			xcvr_0_xcvr_custom_phy_0_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_0_xcvr_custom_phy_0_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_0_xcvr_custom_phy_0_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_1_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_1_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_0_xcvr_custom_phy_1_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_0_xcvr_custom_phy_1_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_2_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_2_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_0_xcvr_custom_phy_2_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_0_xcvr_custom_phy_2_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_3_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_0_xcvr_custom_phy_3_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_0_xcvr_custom_phy_3_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_0_xcvr_custom_phy_3_tx_serial_data_export             : out std_logic_vector(0 downto 0)                      -- export
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			clk_100_clk                                                => CONNECTED_TO_clk_100_clk,                                                --                                         clk_100.clk
			clk_100_reset_reset_n                                      => CONNECTED_TO_clk_100_reset_reset_n,                                      --                                   clk_100_reset.reset_n
			clk_50_clk                                                 => CONNECTED_TO_clk_50_clk,                                                 --                                          clk_50.clk
			cmos_0_data_pattern_checker_0_pattern_in_valid             => CONNECTED_TO_cmos_0_data_pattern_checker_0_pattern_in_valid,             --        cmos_0_data_pattern_checker_0_pattern_in.valid
			cmos_0_data_pattern_checker_0_pattern_in_ready             => CONNECTED_TO_cmos_0_data_pattern_checker_0_pattern_in_ready,             --                                                .ready
			cmos_0_data_pattern_checker_0_pattern_in_data              => CONNECTED_TO_cmos_0_data_pattern_checker_0_pattern_in_data,              --                                                .data
			cmos_0_data_pattern_generator_0_pattern_out_valid          => CONNECTED_TO_cmos_0_data_pattern_generator_0_pattern_out_valid,          --     cmos_0_data_pattern_generator_0_pattern_out.valid
			cmos_0_data_pattern_generator_0_pattern_out_ready          => CONNECTED_TO_cmos_0_data_pattern_generator_0_pattern_out_ready,          --                                                .ready
			cmos_0_data_pattern_generator_0_pattern_out_data           => CONNECTED_TO_cmos_0_data_pattern_generator_0_pattern_out_data,           --                                                .data
			cmos_0_master_driver_com_0_conduit_end_lock                => CONNECTED_TO_cmos_0_master_driver_com_0_conduit_end_lock,                --          cmos_0_master_driver_com_0_conduit_end.lock
			cmos_0_master_driver_com_0_conduit_end_error_mon           => CONNECTED_TO_cmos_0_master_driver_com_0_conduit_end_error_mon,           --                                                .error_mon
			cmos_0_master_driver_com_0_conduit_end_status_mon          => CONNECTED_TO_cmos_0_master_driver_com_0_conduit_end_status_mon,          --                                                .status_mon
			reset_50_reset_n                                           => CONNECTED_TO_reset_50_reset_n,                                           --                                        reset_50.reset_n
			xcvr_0_tester_0_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_xcvr_0_tester_0_master_driver_com_0_conduit_end_lock,       -- xcvr_0_tester_0_master_driver_com_0_conduit_end.lock
			xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon,  --                                                .error_mon
			xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon, --                                                .status_mon
			xcvr_0_tester_1_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_xcvr_0_tester_1_master_driver_com_0_conduit_end_lock,       -- xcvr_0_tester_1_master_driver_com_0_conduit_end.lock
			xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon,  --                                                .error_mon
			xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon, --                                                .status_mon
			xcvr_0_tester_2_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_xcvr_0_tester_2_master_driver_com_0_conduit_end_lock,       -- xcvr_0_tester_2_master_driver_com_0_conduit_end.lock
			xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon,  --                                                .error_mon
			xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon, --                                                .status_mon
			xcvr_0_tester_3_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_xcvr_0_tester_3_master_driver_com_0_conduit_end_lock,       -- xcvr_0_tester_3_master_driver_com_0_conduit_end.lock
			xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon,  --                                                .error_mon
			xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon, --                                                .status_mon
			xcvr_0_xcvr_custom_phy_0_pll_locked_export                 => CONNECTED_TO_xcvr_0_xcvr_custom_phy_0_pll_locked_export,                 --             xcvr_0_xcvr_custom_phy_0_pll_locked.export
			xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk,                   --            xcvr_0_xcvr_custom_phy_0_pll_ref_clk.clk
			xcvr_0_xcvr_custom_phy_0_rx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_0_rx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_0_rx_serial_data.export
			xcvr_0_xcvr_custom_phy_0_tx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_0_tx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_0_tx_serial_data.export
			xcvr_0_xcvr_custom_phy_1_pll_locked_export                 => CONNECTED_TO_xcvr_0_xcvr_custom_phy_1_pll_locked_export,                 --             xcvr_0_xcvr_custom_phy_1_pll_locked.export
			xcvr_0_xcvr_custom_phy_1_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_0_xcvr_custom_phy_1_pll_ref_clk_clk,                   --            xcvr_0_xcvr_custom_phy_1_pll_ref_clk.clk
			xcvr_0_xcvr_custom_phy_1_rx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_1_rx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_1_rx_serial_data.export
			xcvr_0_xcvr_custom_phy_1_tx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_1_tx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_1_tx_serial_data.export
			xcvr_0_xcvr_custom_phy_2_pll_locked_export                 => CONNECTED_TO_xcvr_0_xcvr_custom_phy_2_pll_locked_export,                 --             xcvr_0_xcvr_custom_phy_2_pll_locked.export
			xcvr_0_xcvr_custom_phy_2_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_0_xcvr_custom_phy_2_pll_ref_clk_clk,                   --            xcvr_0_xcvr_custom_phy_2_pll_ref_clk.clk
			xcvr_0_xcvr_custom_phy_2_rx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_2_rx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_2_rx_serial_data.export
			xcvr_0_xcvr_custom_phy_2_tx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_2_tx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_2_tx_serial_data.export
			xcvr_0_xcvr_custom_phy_3_pll_locked_export                 => CONNECTED_TO_xcvr_0_xcvr_custom_phy_3_pll_locked_export,                 --             xcvr_0_xcvr_custom_phy_3_pll_locked.export
			xcvr_0_xcvr_custom_phy_3_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_0_xcvr_custom_phy_3_pll_ref_clk_clk,                   --            xcvr_0_xcvr_custom_phy_3_pll_ref_clk.clk
			xcvr_0_xcvr_custom_phy_3_rx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_3_rx_serial_data_export,             --         xcvr_0_xcvr_custom_phy_3_rx_serial_data.export
			xcvr_0_xcvr_custom_phy_3_tx_serial_data_export             => CONNECTED_TO_xcvr_0_xcvr_custom_phy_3_tx_serial_data_export              --         xcvr_0_xcvr_custom_phy_3_tx_serial_data.export
		);

