// q_sys.v

// Generated using ACDS version 22.1 915

`timescale 1 ps / 1 ps
module q_sys (
		input  wire        clk_100_clk,                                                //                                         clk_100.clk
		input  wire        clk_100_reset_reset_n,                                      //                                   clk_100_reset.reset_n
		input  wire        clk_50_clk,                                                 //                                          clk_50.clk
		input  wire        cmos_0_data_pattern_checker_0_pattern_in_valid,             //        cmos_0_data_pattern_checker_0_pattern_in.valid
		output wire        cmos_0_data_pattern_checker_0_pattern_in_ready,             //                                                .ready
		input  wire [49:0] cmos_0_data_pattern_checker_0_pattern_in_data,              //                                                .data
		output wire        cmos_0_data_pattern_generator_0_pattern_out_valid,          //     cmos_0_data_pattern_generator_0_pattern_out.valid
		input  wire        cmos_0_data_pattern_generator_0_pattern_out_ready,          //                                                .ready
		output wire [49:0] cmos_0_data_pattern_generator_0_pattern_out_data,           //                                                .data
		input  wire        cmos_0_master_driver_com_0_conduit_end_lock,                //          cmos_0_master_driver_com_0_conduit_end.lock
		output wire        cmos_0_master_driver_com_0_conduit_end_error_mon,           //                                                .error_mon
		output wire        cmos_0_master_driver_com_0_conduit_end_status_mon,          //                                                .status_mon
		input  wire        reset_50_reset_n,                                           //                                        reset_50.reset_n
		input  wire        xcvr_0_tester_0_master_driver_com_0_conduit_end_lock,       // xcvr_0_tester_0_master_driver_com_0_conduit_end.lock
		output wire        xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon,  //                                                .error_mon
		output wire        xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon, //                                                .status_mon
		input  wire        xcvr_0_tester_1_master_driver_com_0_conduit_end_lock,       // xcvr_0_tester_1_master_driver_com_0_conduit_end.lock
		output wire        xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon,  //                                                .error_mon
		output wire        xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon, //                                                .status_mon
		input  wire        xcvr_0_tester_2_master_driver_com_0_conduit_end_lock,       // xcvr_0_tester_2_master_driver_com_0_conduit_end.lock
		output wire        xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon,  //                                                .error_mon
		output wire        xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon, //                                                .status_mon
		input  wire        xcvr_0_tester_3_master_driver_com_0_conduit_end_lock,       // xcvr_0_tester_3_master_driver_com_0_conduit_end.lock
		output wire        xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon,  //                                                .error_mon
		output wire        xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon, //                                                .status_mon
		output wire [0:0]  xcvr_0_xcvr_custom_phy_0_pll_locked_export,                 //             xcvr_0_xcvr_custom_phy_0_pll_locked.export
		input  wire [0:0]  xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk,                   //            xcvr_0_xcvr_custom_phy_0_pll_ref_clk.clk
		input  wire [3:0]  xcvr_0_xcvr_custom_phy_0_rx_serial_data_export,             //         xcvr_0_xcvr_custom_phy_0_rx_serial_data.export
		output wire [3:0]  xcvr_0_xcvr_custom_phy_0_tx_serial_data_export              //         xcvr_0_xcvr_custom_phy_0_tx_serial_data.export
	);

	wire  [31:0] master_0_master_readdata;                                   // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                    // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                       // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                 // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                              // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                      // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                  // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect; // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;   // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;    // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;       // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire  [31:0] mm_interconnect_0_cmos_0_mm_bridge_0_s0_readdata;           // cmos_0:mm_bridge_0_s0_readdata -> mm_interconnect_0:cmos_0_mm_bridge_0_s0_readdata
	wire         mm_interconnect_0_cmos_0_mm_bridge_0_s0_waitrequest;        // cmos_0:mm_bridge_0_s0_waitrequest -> mm_interconnect_0:cmos_0_mm_bridge_0_s0_waitrequest
	wire         mm_interconnect_0_cmos_0_mm_bridge_0_s0_debugaccess;        // mm_interconnect_0:cmos_0_mm_bridge_0_s0_debugaccess -> cmos_0:mm_bridge_0_s0_debugaccess
	wire   [9:0] mm_interconnect_0_cmos_0_mm_bridge_0_s0_address;            // mm_interconnect_0:cmos_0_mm_bridge_0_s0_address -> cmos_0:mm_bridge_0_s0_address
	wire         mm_interconnect_0_cmos_0_mm_bridge_0_s0_read;               // mm_interconnect_0:cmos_0_mm_bridge_0_s0_read -> cmos_0:mm_bridge_0_s0_read
	wire   [3:0] mm_interconnect_0_cmos_0_mm_bridge_0_s0_byteenable;         // mm_interconnect_0:cmos_0_mm_bridge_0_s0_byteenable -> cmos_0:mm_bridge_0_s0_byteenable
	wire         mm_interconnect_0_cmos_0_mm_bridge_0_s0_readdatavalid;      // cmos_0:mm_bridge_0_s0_readdatavalid -> mm_interconnect_0:cmos_0_mm_bridge_0_s0_readdatavalid
	wire         mm_interconnect_0_cmos_0_mm_bridge_0_s0_write;              // mm_interconnect_0:cmos_0_mm_bridge_0_s0_write -> cmos_0:mm_bridge_0_s0_write
	wire  [31:0] mm_interconnect_0_cmos_0_mm_bridge_0_s0_writedata;          // mm_interconnect_0:cmos_0_mm_bridge_0_s0_writedata -> cmos_0:mm_bridge_0_s0_writedata
	wire   [0:0] mm_interconnect_0_cmos_0_mm_bridge_0_s0_burstcount;         // mm_interconnect_0:cmos_0_mm_bridge_0_s0_burstcount -> cmos_0:mm_bridge_0_s0_burstcount
	wire  [31:0] mm_interconnect_0_xcvr_0_mm_bridge_0_s0_readdata;           // xcvr_0:mm_bridge_0_s0_readdata -> mm_interconnect_0:xcvr_0_mm_bridge_0_s0_readdata
	wire         mm_interconnect_0_xcvr_0_mm_bridge_0_s0_waitrequest;        // xcvr_0:mm_bridge_0_s0_waitrequest -> mm_interconnect_0:xcvr_0_mm_bridge_0_s0_waitrequest
	wire         mm_interconnect_0_xcvr_0_mm_bridge_0_s0_debugaccess;        // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_debugaccess -> xcvr_0:mm_bridge_0_s0_debugaccess
	wire  [14:0] mm_interconnect_0_xcvr_0_mm_bridge_0_s0_address;            // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_address -> xcvr_0:mm_bridge_0_s0_address
	wire         mm_interconnect_0_xcvr_0_mm_bridge_0_s0_read;               // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_read -> xcvr_0:mm_bridge_0_s0_read
	wire   [3:0] mm_interconnect_0_xcvr_0_mm_bridge_0_s0_byteenable;         // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_byteenable -> xcvr_0:mm_bridge_0_s0_byteenable
	wire         mm_interconnect_0_xcvr_0_mm_bridge_0_s0_readdatavalid;      // xcvr_0:mm_bridge_0_s0_readdatavalid -> mm_interconnect_0:xcvr_0_mm_bridge_0_s0_readdatavalid
	wire         mm_interconnect_0_xcvr_0_mm_bridge_0_s0_write;              // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_write -> xcvr_0:mm_bridge_0_s0_write
	wire  [31:0] mm_interconnect_0_xcvr_0_mm_bridge_0_s0_writedata;          // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_writedata -> xcvr_0:mm_bridge_0_s0_writedata
	wire   [0:0] mm_interconnect_0_xcvr_0_mm_bridge_0_s0_burstcount;         // mm_interconnect_0:xcvr_0_mm_bridge_0_s0_burstcount -> xcvr_0:mm_bridge_0_s0_burstcount
	wire         rst_controller_reset_out_reset;                             // rst_controller:reset_out -> [mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_0:product_info_0_reset_reset_bridge_in_reset_reset, product_info_0:reset_n]

	q_sys_cmos_0 cmos_0 (
		.clkin_clk                                  (clk_50_clk),                                            //                                clkin.clk
		.clkin_reset_reset_n                        (reset_50_reset_n),                                      //                          clkin_reset.reset_n
		.data_pattern_generator_0_pattern_out_valid (cmos_0_data_pattern_generator_0_pattern_out_valid),     // data_pattern_generator_0_pattern_out.valid
		.data_pattern_generator_0_pattern_out_ready (cmos_0_data_pattern_generator_0_pattern_out_ready),     //                                     .ready
		.data_pattern_generator_0_pattern_out_data  (cmos_0_data_pattern_generator_0_pattern_out_data),      //                                     .data
		.data_pattern_checker_0_pattern_in_valid    (cmos_0_data_pattern_checker_0_pattern_in_valid),        //    data_pattern_checker_0_pattern_in.valid
		.data_pattern_checker_0_pattern_in_ready    (cmos_0_data_pattern_checker_0_pattern_in_ready),        //                                     .ready
		.data_pattern_checker_0_pattern_in_data     (cmos_0_data_pattern_checker_0_pattern_in_data),         //                                     .data
		.mm_bridge_0_s0_waitrequest                 (mm_interconnect_0_cmos_0_mm_bridge_0_s0_waitrequest),   //                       mm_bridge_0_s0.waitrequest
		.mm_bridge_0_s0_readdata                    (mm_interconnect_0_cmos_0_mm_bridge_0_s0_readdata),      //                                     .readdata
		.mm_bridge_0_s0_readdatavalid               (mm_interconnect_0_cmos_0_mm_bridge_0_s0_readdatavalid), //                                     .readdatavalid
		.mm_bridge_0_s0_burstcount                  (mm_interconnect_0_cmos_0_mm_bridge_0_s0_burstcount),    //                                     .burstcount
		.mm_bridge_0_s0_writedata                   (mm_interconnect_0_cmos_0_mm_bridge_0_s0_writedata),     //                                     .writedata
		.mm_bridge_0_s0_address                     (mm_interconnect_0_cmos_0_mm_bridge_0_s0_address),       //                                     .address
		.mm_bridge_0_s0_write                       (mm_interconnect_0_cmos_0_mm_bridge_0_s0_write),         //                                     .write
		.mm_bridge_0_s0_read                        (mm_interconnect_0_cmos_0_mm_bridge_0_s0_read),          //                                     .read
		.mm_bridge_0_s0_byteenable                  (mm_interconnect_0_cmos_0_mm_bridge_0_s0_byteenable),    //                                     .byteenable
		.mm_bridge_0_s0_debugaccess                 (mm_interconnect_0_cmos_0_mm_bridge_0_s0_debugaccess),   //                                     .debugaccess
		.master_driver_com_0_conduit_end_lock       (cmos_0_master_driver_com_0_conduit_end_lock),           //      master_driver_com_0_conduit_end.lock
		.master_driver_com_0_conduit_end_error_mon  (cmos_0_master_driver_com_0_conduit_end_error_mon),      //                                     .error_mon
		.master_driver_com_0_conduit_end_status_mon (cmos_0_master_driver_com_0_conduit_end_status_mon)      //                                     .status_mon
	);

	q_sys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_50_clk),                    //          clk.clk
		.clk_reset_reset      (~reset_50_reset_n),             //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	product_info product_info_0 (
		.clk          (clk_50_clk),                                                  //          clock.clk
		.reset_n      (~rst_controller_reset_out_reset),                             //          reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), // avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //               .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //               .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //               .address
	);

	q_sys_xcvr_0 xcvr_0 (
		.clk_100_clk                                         (clk_100_clk),                                                //                                  clk_100.clk
		.clk_100_reset_reset_n                               (clk_100_reset_reset_n),                                      //                            clk_100_reset.reset_n
		.xcvr_custom_phy_0_tx_serial_data_export             (xcvr_0_xcvr_custom_phy_0_tx_serial_data_export),             //         xcvr_custom_phy_0_tx_serial_data.export
		.xcvr_custom_phy_0_rx_serial_data_export             (xcvr_0_xcvr_custom_phy_0_rx_serial_data_export),             //         xcvr_custom_phy_0_rx_serial_data.export
		.alt_xcvr_reconfig_0_reconfig_busy_reconfig_busy     (),                                                           //        alt_xcvr_reconfig_0_reconfig_busy.reconfig_busy
		.xcvr_custom_phy_0_pll_locked_export                 (xcvr_0_xcvr_custom_phy_0_pll_locked_export),                 //             xcvr_custom_phy_0_pll_locked.export
		.xcvr_custom_phy_0_tx_ready_export                   (),                                                           //               xcvr_custom_phy_0_tx_ready.export
		.xcvr_custom_phy_0_rx_ready_export                   (),                                                           //               xcvr_custom_phy_0_rx_ready.export
		.xcvr_custom_phy_0_pll_ref_clk_clk                   (xcvr_0_xcvr_custom_phy_0_pll_ref_clk_clk),                   //            xcvr_custom_phy_0_pll_ref_clk.clk
		.clk_50_clk                                          (clk_50_clk),                                                 //                                   clk_50.clk
		.reset_50_reset_n                                    (reset_50_reset_n),                                           //                                 reset_50.reset_n
		.mm_bridge_0_s0_waitrequest                          (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_waitrequest),        //                           mm_bridge_0_s0.waitrequest
		.mm_bridge_0_s0_readdata                             (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_readdata),           //                                         .readdata
		.mm_bridge_0_s0_readdatavalid                        (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_readdatavalid),      //                                         .readdatavalid
		.mm_bridge_0_s0_burstcount                           (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_burstcount),         //                                         .burstcount
		.mm_bridge_0_s0_writedata                            (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_writedata),          //                                         .writedata
		.mm_bridge_0_s0_address                              (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_address),            //                                         .address
		.mm_bridge_0_s0_write                                (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_write),              //                                         .write
		.mm_bridge_0_s0_read                                 (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_read),               //                                         .read
		.mm_bridge_0_s0_byteenable                           (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_byteenable),         //                                         .byteenable
		.mm_bridge_0_s0_debugaccess                          (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_debugaccess),        //                                         .debugaccess
		.tester_0_master_driver_com_0_conduit_end_lock       (xcvr_0_tester_0_master_driver_com_0_conduit_end_lock),       // tester_0_master_driver_com_0_conduit_end.lock
		.tester_0_master_driver_com_0_conduit_end_error_mon  (xcvr_0_tester_0_master_driver_com_0_conduit_end_error_mon),  //                                         .error_mon
		.tester_0_master_driver_com_0_conduit_end_status_mon (xcvr_0_tester_0_master_driver_com_0_conduit_end_status_mon), //                                         .status_mon
		.tester_1_master_driver_com_0_conduit_end_lock       (xcvr_0_tester_1_master_driver_com_0_conduit_end_lock),       // tester_1_master_driver_com_0_conduit_end.lock
		.tester_1_master_driver_com_0_conduit_end_error_mon  (xcvr_0_tester_1_master_driver_com_0_conduit_end_error_mon),  //                                         .error_mon
		.tester_1_master_driver_com_0_conduit_end_status_mon (xcvr_0_tester_1_master_driver_com_0_conduit_end_status_mon), //                                         .status_mon
		.tester_2_master_driver_com_0_conduit_end_lock       (xcvr_0_tester_2_master_driver_com_0_conduit_end_lock),       // tester_2_master_driver_com_0_conduit_end.lock
		.tester_2_master_driver_com_0_conduit_end_error_mon  (xcvr_0_tester_2_master_driver_com_0_conduit_end_error_mon),  //                                         .error_mon
		.tester_2_master_driver_com_0_conduit_end_status_mon (xcvr_0_tester_2_master_driver_com_0_conduit_end_status_mon), //                                         .status_mon
		.tester_3_master_driver_com_0_conduit_end_lock       (xcvr_0_tester_3_master_driver_com_0_conduit_end_lock),       // tester_3_master_driver_com_0_conduit_end.lock
		.tester_3_master_driver_com_0_conduit_end_error_mon  (xcvr_0_tester_3_master_driver_com_0_conduit_end_error_mon),  //                                         .error_mon
		.tester_3_master_driver_com_0_conduit_end_status_mon (xcvr_0_tester_3_master_driver_com_0_conduit_end_status_mon)  //                                         .status_mon
	);

	q_sys_mm_interconnect_0 mm_interconnect_0 (
		.clk_50_clk_clk                                   (clk_50_clk),                                                 //                                 clk_50_clk.clk
		.master_0_clk_reset_reset_bridge_in_reset_reset   (rst_controller_reset_out_reset),                             //   master_0_clk_reset_reset_bridge_in_reset.reset
		.product_info_0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                             // product_info_0_reset_reset_bridge_in_reset.reset
		.master_0_master_address                          (master_0_master_address),                                    //                            master_0_master.address
		.master_0_master_waitrequest                      (master_0_master_waitrequest),                                //                                           .waitrequest
		.master_0_master_byteenable                       (master_0_master_byteenable),                                 //                                           .byteenable
		.master_0_master_read                             (master_0_master_read),                                       //                                           .read
		.master_0_master_readdata                         (master_0_master_readdata),                                   //                                           .readdata
		.master_0_master_readdatavalid                    (master_0_master_readdatavalid),                              //                                           .readdatavalid
		.master_0_master_write                            (master_0_master_write),                                      //                                           .write
		.master_0_master_writedata                        (master_0_master_writedata),                                  //                                           .writedata
		.cmos_0_mm_bridge_0_s0_address                    (mm_interconnect_0_cmos_0_mm_bridge_0_s0_address),            //                      cmos_0_mm_bridge_0_s0.address
		.cmos_0_mm_bridge_0_s0_write                      (mm_interconnect_0_cmos_0_mm_bridge_0_s0_write),              //                                           .write
		.cmos_0_mm_bridge_0_s0_read                       (mm_interconnect_0_cmos_0_mm_bridge_0_s0_read),               //                                           .read
		.cmos_0_mm_bridge_0_s0_readdata                   (mm_interconnect_0_cmos_0_mm_bridge_0_s0_readdata),           //                                           .readdata
		.cmos_0_mm_bridge_0_s0_writedata                  (mm_interconnect_0_cmos_0_mm_bridge_0_s0_writedata),          //                                           .writedata
		.cmos_0_mm_bridge_0_s0_burstcount                 (mm_interconnect_0_cmos_0_mm_bridge_0_s0_burstcount),         //                                           .burstcount
		.cmos_0_mm_bridge_0_s0_byteenable                 (mm_interconnect_0_cmos_0_mm_bridge_0_s0_byteenable),         //                                           .byteenable
		.cmos_0_mm_bridge_0_s0_readdatavalid              (mm_interconnect_0_cmos_0_mm_bridge_0_s0_readdatavalid),      //                                           .readdatavalid
		.cmos_0_mm_bridge_0_s0_waitrequest                (mm_interconnect_0_cmos_0_mm_bridge_0_s0_waitrequest),        //                                           .waitrequest
		.cmos_0_mm_bridge_0_s0_debugaccess                (mm_interconnect_0_cmos_0_mm_bridge_0_s0_debugaccess),        //                                           .debugaccess
		.product_info_0_avalon_slave_0_address            (mm_interconnect_0_product_info_0_avalon_slave_0_address),    //              product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read               (mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                                           .read
		.product_info_0_avalon_slave_0_readdata           (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),   //                                           .readdata
		.product_info_0_avalon_slave_0_chipselect         (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //                                           .chipselect
		.xcvr_0_mm_bridge_0_s0_address                    (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_address),            //                      xcvr_0_mm_bridge_0_s0.address
		.xcvr_0_mm_bridge_0_s0_write                      (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_write),              //                                           .write
		.xcvr_0_mm_bridge_0_s0_read                       (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_read),               //                                           .read
		.xcvr_0_mm_bridge_0_s0_readdata                   (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_readdata),           //                                           .readdata
		.xcvr_0_mm_bridge_0_s0_writedata                  (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_writedata),          //                                           .writedata
		.xcvr_0_mm_bridge_0_s0_burstcount                 (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_burstcount),         //                                           .burstcount
		.xcvr_0_mm_bridge_0_s0_byteenable                 (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_byteenable),         //                                           .byteenable
		.xcvr_0_mm_bridge_0_s0_readdatavalid              (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_readdatavalid),      //                                           .readdatavalid
		.xcvr_0_mm_bridge_0_s0_waitrequest                (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_waitrequest),        //                                           .waitrequest
		.xcvr_0_mm_bridge_0_s0_debugaccess                (mm_interconnect_0_xcvr_0_mm_bridge_0_s0_debugaccess)         //                                           .debugaccess
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_50_reset_n),              // reset_in0.reset
		.clk            (clk_50_clk),                     //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
