	component q_sys_xcvr is
		port (
			alt_xcvr_reconfig_0_reconfig_busy_reconfig_busy     : out std_logic;                                        -- reconfig_busy
			clk_100_clk                                         : in  std_logic                     := 'X';             -- clk
			clk_100_reset_reset_n                               : in  std_logic                     := 'X';             -- reset_n
			clk_50_clk                                          : in  std_logic                     := 'X';             -- clk
			mm_bridge_0_s0_waitrequest                          : out std_logic;                                        -- waitrequest
			mm_bridge_0_s0_readdata                             : out std_logic_vector(31 downto 0);                    -- readdata
			mm_bridge_0_s0_readdatavalid                        : out std_logic;                                        -- readdatavalid
			mm_bridge_0_s0_burstcount                           : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- burstcount
			mm_bridge_0_s0_writedata                            : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			mm_bridge_0_s0_address                              : in  std_logic_vector(14 downto 0) := (others => 'X'); -- address
			mm_bridge_0_s0_write                                : in  std_logic                     := 'X';             -- write
			mm_bridge_0_s0_read                                 : in  std_logic                     := 'X';             -- read
			mm_bridge_0_s0_byteenable                           : in  std_logic_vector(3 downto 0)  := (others => 'X'); -- byteenable
			mm_bridge_0_s0_debugaccess                          : in  std_logic                     := 'X';             -- debugaccess
			reset_50_reset_n                                    : in  std_logic                     := 'X';             -- reset_n
			tester_0_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			tester_0_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			tester_0_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			tester_1_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			tester_1_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			tester_1_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			tester_2_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			tester_2_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			tester_2_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			tester_3_master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			tester_3_master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			tester_3_master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			xcvr_custom_phy_0_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_0_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_custom_phy_0_rx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_0_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_custom_phy_0_tx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_0_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_1_tx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_1_rx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_1_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_custom_phy_1_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_1_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_1_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_custom_phy_2_tx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_2_rx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_2_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_custom_phy_2_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_2_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_2_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- export
			xcvr_custom_phy_3_tx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_3_rx_ready_export                   : out std_logic;                                        -- export
			xcvr_custom_phy_3_pll_ref_clk_clk                   : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- clk
			xcvr_custom_phy_3_tx_serial_data_export             : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_3_pll_locked_export                 : out std_logic_vector(0 downto 0);                     -- export
			xcvr_custom_phy_3_rx_serial_data_export             : in  std_logic_vector(0 downto 0)  := (others => 'X')  -- export
		);
	end component q_sys_xcvr;

	u0 : component q_sys_xcvr
		port map (
			alt_xcvr_reconfig_0_reconfig_busy_reconfig_busy     => CONNECTED_TO_alt_xcvr_reconfig_0_reconfig_busy_reconfig_busy,     --        alt_xcvr_reconfig_0_reconfig_busy.reconfig_busy
			clk_100_clk                                         => CONNECTED_TO_clk_100_clk,                                         --                                  clk_100.clk
			clk_100_reset_reset_n                               => CONNECTED_TO_clk_100_reset_reset_n,                               --                            clk_100_reset.reset_n
			clk_50_clk                                          => CONNECTED_TO_clk_50_clk,                                          --                                   clk_50.clk
			mm_bridge_0_s0_waitrequest                          => CONNECTED_TO_mm_bridge_0_s0_waitrequest,                          --                           mm_bridge_0_s0.waitrequest
			mm_bridge_0_s0_readdata                             => CONNECTED_TO_mm_bridge_0_s0_readdata,                             --                                         .readdata
			mm_bridge_0_s0_readdatavalid                        => CONNECTED_TO_mm_bridge_0_s0_readdatavalid,                        --                                         .readdatavalid
			mm_bridge_0_s0_burstcount                           => CONNECTED_TO_mm_bridge_0_s0_burstcount,                           --                                         .burstcount
			mm_bridge_0_s0_writedata                            => CONNECTED_TO_mm_bridge_0_s0_writedata,                            --                                         .writedata
			mm_bridge_0_s0_address                              => CONNECTED_TO_mm_bridge_0_s0_address,                              --                                         .address
			mm_bridge_0_s0_write                                => CONNECTED_TO_mm_bridge_0_s0_write,                                --                                         .write
			mm_bridge_0_s0_read                                 => CONNECTED_TO_mm_bridge_0_s0_read,                                 --                                         .read
			mm_bridge_0_s0_byteenable                           => CONNECTED_TO_mm_bridge_0_s0_byteenable,                           --                                         .byteenable
			mm_bridge_0_s0_debugaccess                          => CONNECTED_TO_mm_bridge_0_s0_debugaccess,                          --                                         .debugaccess
			reset_50_reset_n                                    => CONNECTED_TO_reset_50_reset_n,                                    --                                 reset_50.reset_n
			tester_0_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_tester_0_master_driver_com_0_conduit_end_lock,       -- tester_0_master_driver_com_0_conduit_end.lock
			tester_0_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_tester_0_master_driver_com_0_conduit_end_error_mon,  --                                         .error_mon
			tester_0_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_tester_0_master_driver_com_0_conduit_end_status_mon, --                                         .status_mon
			tester_1_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_tester_1_master_driver_com_0_conduit_end_lock,       -- tester_1_master_driver_com_0_conduit_end.lock
			tester_1_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_tester_1_master_driver_com_0_conduit_end_error_mon,  --                                         .error_mon
			tester_1_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_tester_1_master_driver_com_0_conduit_end_status_mon, --                                         .status_mon
			tester_2_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_tester_2_master_driver_com_0_conduit_end_lock,       -- tester_2_master_driver_com_0_conduit_end.lock
			tester_2_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_tester_2_master_driver_com_0_conduit_end_error_mon,  --                                         .error_mon
			tester_2_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_tester_2_master_driver_com_0_conduit_end_status_mon, --                                         .status_mon
			tester_3_master_driver_com_0_conduit_end_lock       => CONNECTED_TO_tester_3_master_driver_com_0_conduit_end_lock,       -- tester_3_master_driver_com_0_conduit_end.lock
			tester_3_master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_tester_3_master_driver_com_0_conduit_end_error_mon,  --                                         .error_mon
			tester_3_master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_tester_3_master_driver_com_0_conduit_end_status_mon, --                                         .status_mon
			xcvr_custom_phy_0_pll_locked_export                 => CONNECTED_TO_xcvr_custom_phy_0_pll_locked_export,                 --             xcvr_custom_phy_0_pll_locked.export
			xcvr_custom_phy_0_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_custom_phy_0_pll_ref_clk_clk,                   --            xcvr_custom_phy_0_pll_ref_clk.clk
			xcvr_custom_phy_0_rx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_0_rx_ready_export,                   --               xcvr_custom_phy_0_rx_ready.export
			xcvr_custom_phy_0_rx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_0_rx_serial_data_export,             --         xcvr_custom_phy_0_rx_serial_data.export
			xcvr_custom_phy_0_tx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_0_tx_ready_export,                   --               xcvr_custom_phy_0_tx_ready.export
			xcvr_custom_phy_0_tx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_0_tx_serial_data_export,             --         xcvr_custom_phy_0_tx_serial_data.export
			xcvr_custom_phy_1_tx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_1_tx_ready_export,                   --               xcvr_custom_phy_1_tx_ready.export
			xcvr_custom_phy_1_rx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_1_rx_ready_export,                   --               xcvr_custom_phy_1_rx_ready.export
			xcvr_custom_phy_1_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_custom_phy_1_pll_ref_clk_clk,                   --            xcvr_custom_phy_1_pll_ref_clk.clk
			xcvr_custom_phy_1_tx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_1_tx_serial_data_export,             --         xcvr_custom_phy_1_tx_serial_data.export
			xcvr_custom_phy_1_pll_locked_export                 => CONNECTED_TO_xcvr_custom_phy_1_pll_locked_export,                 --             xcvr_custom_phy_1_pll_locked.export
			xcvr_custom_phy_1_rx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_1_rx_serial_data_export,             --         xcvr_custom_phy_1_rx_serial_data.export
			xcvr_custom_phy_2_tx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_2_tx_ready_export,                   --               xcvr_custom_phy_2_tx_ready.export
			xcvr_custom_phy_2_rx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_2_rx_ready_export,                   --               xcvr_custom_phy_2_rx_ready.export
			xcvr_custom_phy_2_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_custom_phy_2_pll_ref_clk_clk,                   --            xcvr_custom_phy_2_pll_ref_clk.clk
			xcvr_custom_phy_2_tx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_2_tx_serial_data_export,             --         xcvr_custom_phy_2_tx_serial_data.export
			xcvr_custom_phy_2_pll_locked_export                 => CONNECTED_TO_xcvr_custom_phy_2_pll_locked_export,                 --             xcvr_custom_phy_2_pll_locked.export
			xcvr_custom_phy_2_rx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_2_rx_serial_data_export,             --         xcvr_custom_phy_2_rx_serial_data.export
			xcvr_custom_phy_3_tx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_3_tx_ready_export,                   --               xcvr_custom_phy_3_tx_ready.export
			xcvr_custom_phy_3_rx_ready_export                   => CONNECTED_TO_xcvr_custom_phy_3_rx_ready_export,                   --               xcvr_custom_phy_3_rx_ready.export
			xcvr_custom_phy_3_pll_ref_clk_clk                   => CONNECTED_TO_xcvr_custom_phy_3_pll_ref_clk_clk,                   --            xcvr_custom_phy_3_pll_ref_clk.clk
			xcvr_custom_phy_3_tx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_3_tx_serial_data_export,             --         xcvr_custom_phy_3_tx_serial_data.export
			xcvr_custom_phy_3_pll_locked_export                 => CONNECTED_TO_xcvr_custom_phy_3_pll_locked_export,                 --             xcvr_custom_phy_3_pll_locked.export
			xcvr_custom_phy_3_rx_serial_data_export             => CONNECTED_TO_xcvr_custom_phy_3_rx_serial_data_export              --         xcvr_custom_phy_3_rx_serial_data.export
		);

