
module xcvr_tester (
	clk_50_clk,
	clk_50_reset_reset_n,
	rx_clk_in_clk_clk,
	tx_clk_in_clk_clk,
	timing_adapter_tx0_out_data,
	timing_adapter_rx0_in_data,
	mm_bridge_0_s0_waitrequest,
	mm_bridge_0_s0_readdata,
	mm_bridge_0_s0_readdatavalid,
	mm_bridge_0_s0_burstcount,
	mm_bridge_0_s0_writedata,
	mm_bridge_0_s0_address,
	mm_bridge_0_s0_write,
	mm_bridge_0_s0_read,
	mm_bridge_0_s0_byteenable,
	mm_bridge_0_s0_debugaccess,
	master_driver_com_0_conduit_end_lock,
	master_driver_com_0_conduit_end_error_mon,
	master_driver_com_0_conduit_end_status_mon);	

	input		clk_50_clk;
	input		clk_50_reset_reset_n;
	input		rx_clk_in_clk_clk;
	input		tx_clk_in_clk_clk;
	output	[39:0]	timing_adapter_tx0_out_data;
	input	[39:0]	timing_adapter_rx0_in_data;
	output		mm_bridge_0_s0_waitrequest;
	output	[31:0]	mm_bridge_0_s0_readdata;
	output		mm_bridge_0_s0_readdatavalid;
	input	[0:0]	mm_bridge_0_s0_burstcount;
	input	[31:0]	mm_bridge_0_s0_writedata;
	input	[9:0]	mm_bridge_0_s0_address;
	input		mm_bridge_0_s0_write;
	input		mm_bridge_0_s0_read;
	input	[3:0]	mm_bridge_0_s0_byteenable;
	input		mm_bridge_0_s0_debugaccess;
	input		master_driver_com_0_conduit_end_lock;
	output		master_driver_com_0_conduit_end_error_mon;
	output		master_driver_com_0_conduit_end_status_mon;
endmodule
