
module q_sys (
	clk_50_clk,
	reset_50_reset_n,
	oct_hmc_rzqin,
	memory_hmc_mem_a,
	memory_hmc_mem_ba,
	memory_hmc_mem_ck,
	memory_hmc_mem_ck_n,
	memory_hmc_mem_cke,
	memory_hmc_mem_cs_n,
	memory_hmc_mem_dm,
	memory_hmc_mem_ras_n,
	memory_hmc_mem_cas_n,
	memory_hmc_mem_we_n,
	memory_hmc_mem_reset_n,
	memory_hmc_mem_dq,
	memory_hmc_mem_dqs,
	memory_hmc_mem_dqs_n,
	memory_hmc_mem_odt,
	memory_smc_mem_a,
	memory_smc_mem_ba,
	memory_smc_mem_ck,
	memory_smc_mem_ck_n,
	memory_smc_mem_cke,
	memory_smc_mem_cs_n,
	memory_smc_mem_dm,
	memory_smc_mem_ras_n,
	memory_smc_mem_cas_n,
	memory_smc_mem_we_n,
	memory_smc_mem_reset_n,
	memory_smc_mem_dq,
	memory_smc_mem_dqs,
	memory_smc_mem_dqs_n,
	memory_smc_mem_odt,
	hmc_status_cal_fail_mon,
	hmc_status_cal_success_mon,
	hmc_status_init_done_mon,
	smc_status_cal_fail_mon,
	smc_status_cal_success_mon,
	smc_status_init_done_mon,
	smc_error_mon,
	smc_status_mon,
	hmc_error_mon,
	hmc_status_mon,
	clk_hmc_clk,
	clk_smc_clk,
	tg_smc_reset_n,
	tg_hmc_reset_n,
	reset_hmc_reset_n,
	reset_smc_reset_n);	

	input		clk_50_clk;
	input		reset_50_reset_n;
	input		oct_hmc_rzqin;
	output	[13:0]	memory_hmc_mem_a;
	output	[2:0]	memory_hmc_mem_ba;
	output	[0:0]	memory_hmc_mem_ck;
	output	[0:0]	memory_hmc_mem_ck_n;
	output	[0:0]	memory_hmc_mem_cke;
	output	[0:0]	memory_hmc_mem_cs_n;
	output	[4:0]	memory_hmc_mem_dm;
	output	[0:0]	memory_hmc_mem_ras_n;
	output	[0:0]	memory_hmc_mem_cas_n;
	output	[0:0]	memory_hmc_mem_we_n;
	output		memory_hmc_mem_reset_n;
	inout	[39:0]	memory_hmc_mem_dq;
	inout	[4:0]	memory_hmc_mem_dqs;
	inout	[4:0]	memory_hmc_mem_dqs_n;
	output	[0:0]	memory_hmc_mem_odt;
	output	[13:0]	memory_smc_mem_a;
	output	[2:0]	memory_smc_mem_ba;
	output	[0:0]	memory_smc_mem_ck;
	output	[0:0]	memory_smc_mem_ck_n;
	output	[0:0]	memory_smc_mem_cke;
	output	[0:0]	memory_smc_mem_cs_n;
	output	[7:0]	memory_smc_mem_dm;
	output	[0:0]	memory_smc_mem_ras_n;
	output	[0:0]	memory_smc_mem_cas_n;
	output	[0:0]	memory_smc_mem_we_n;
	output		memory_smc_mem_reset_n;
	inout	[63:0]	memory_smc_mem_dq;
	inout	[7:0]	memory_smc_mem_dqs;
	inout	[7:0]	memory_smc_mem_dqs_n;
	output	[0:0]	memory_smc_mem_odt;
	output		hmc_status_cal_fail_mon;
	output		hmc_status_cal_success_mon;
	output		hmc_status_init_done_mon;
	output		smc_status_cal_fail_mon;
	output		smc_status_cal_success_mon;
	output		smc_status_init_done_mon;
	output		smc_error_mon;
	output		smc_status_mon;
	output		hmc_error_mon;
	output		hmc_status_mon;
	input		clk_hmc_clk;
	input		clk_smc_clk;
	input		tg_smc_reset_n;
	input		tg_hmc_reset_n;
	input		reset_hmc_reset_n;
	input		reset_smc_reset_n;
endmodule
